Topic: Introduction

AcroPlot Pro - User's Guide
×

  • Introduction
  • Next page

AcroPlot Suite 2025

AcroPlot Suite (Includes AcroPlot Pro, AcroPlot Matrix, and High Quality PDF Printer Driver)

AcroPlot Suite is has been one of the most advanced CAD to PDF solution available on the market since 2001. With AcroPlot Pro to convert various formats to PDF, DWF, and image formats, AcroPlot Matrix to edit and markup PDF files, and one of the highest quality PDF Printer Drivers we have all of your needs covered.

AcroPlot Pro

is the next generation in digital CAD conversion software. With the capability to convert an extensive list of file formats to PDF, DWF, and images AcroPlot Pro will serve as a nexus for CAD Professionals everywhere.

Input Formats:

DWG, DXF, DOC, TXT, RTF, XLS, BMP, CALS, JPG, GIF, TIFF, PLT and more.

Output Formats:

PDF, DWF, BMP, CALS, JPG, GIF, GP4, PNG, TIFF

More Information Online-->

AcroPlot Matrix

software enables you to easily view, comment, modify and print an extensive list of file types like PDF, DWF, TIFF, PLT, and more, that are associated with the architecture, engineering, construction, and manufacturing design workflows in today's business environment.
With a streamlined interface that makes it easy to use, yet very powerful, AcroPlot Matrix doesn't get in the way of getting work done. Users can quickly open and add comments or stamps to files, insert, reorder, rotate, or delete pages, and even merge various file types into a single PDF or DWF.
Printing files to scale at full or reduced sizes that are dimensionally accurate is now possible in AcroPlot Matrix by using the "Custom Scale" option in the printing dialogue window. While other PDF and DWF software applications only print to either "No Scale" or "Reduce to Printable Area", AcroPlot Matrix provides the functionality to define a true reduction percentage so that output to any printer at any scale is now possible -- half-size prints are now quick, easy and accurate.
AcroPlot Matrix is quickly becoming the preferred software application for PDF communication across entire organizations because it is so flexible and easy to use, as well as, cost effective to deploy. It works well in all departments like administrative, estimating, accounting, legal, parts, maintenance, etc.!
More Information Online-->
2025
Last Updated: May 22, 2024
Copyright(c) 2001-2017 by CADzation. All rights reserved.


Topic: Our Products

×

  • Our Products
  • Previous page
  • Next page

Our Products

Thank you for using the AcroPlot family of software products. We believe that CADzation software solutions are some of the most powerful applications for converting engineering documents into PDF, DWF, or Image files. Since 2001, CADzation has been providing thousands of clients the highest quality conversion solutions that also result in the smallest file sizes for PDF and DWF. CADzation was the first company to support “lines merge” functionality when converting from AutoCAD DWG files to PDF, and is also the first company to provide conversion to both PDF and DWF from the same software application.
However, we are never resting on our past accomplishments and are constantly looking for ways to improve our programs. We can best accomplish this with your help. So, please feel free to comment on our software or provide any suggestions for new features or improvements. The best way to do this is through our online support desk at http://www.cadzation.com/support.htm.

AcroPlot Suite (Includes AcroPlot Pro, AcroPlot Matrix, and High Quality PDF Printer Driver)

AcroPlot Suite is has been one of the most advanced CAD to PDF solution available on the market since 2001. With AcroPlot Pro to convert various formats to PDF, DWF, and image formats, AcroPlot Matrix to edit and markup PDF files, and one of the highest quality PDF Printer Drivers we have all of your needs covered.

AcroPlot Pro

is the next generation in digital CAD conversion software. With the capability to convert an extensive list of file formats to PDF, DWF, and images AcroPlot Pro will serve as a nexus for CAD Professionals everywhere.

Input Formats:

DWG, DXF, DOC, TXT, RTF, XLS, BMP, CALS, JPG, GIF, TIFF, PLT and more.

Output Formats:

PDF, DWF, BMP, CALS, JPG, GIF, GP4, PNG, TIFF

More Information Online-->

AcroPlot Matrix

software enables you to easily view, comment, modify and print an extensive list of file types like PDF, DWF, TIFF, PLT, and more, that are associated with the architecture, engineering, construction, and manufacturing design workflows in today's business environment.
With a streamlined interface that makes it easy to use, yet very powerful, AcroPlot Matrix doesn't get in the way of getting work done. Users can quickly open and add comments or stamps to files, insert, reorder, rotate, or delete pages, and even merge various file types into a single PDF or DWF.
Printing files to scale at full or reduced sizes that are dimensionally accurate is now possible in AcroPlot Matrix by using the "Custom Scale" option in the printing dialogue window. While other PDF and DWF software applications only print to either "No Scale" or "Reduce to Printable Area", AcroPlot Matrix provides the functionality to define a true reduction percentage so that output to any printer at any scale is now possible -- half-size prints are now quick, easy and accurate.
AcroPlot Matrix is quickly becoming the preferred software application for PDF communication across entire organizations because it is so flexible and easy to use, as well as, cost effective to deploy. It works well in all departments like administrative, estimating, accounting, legal, parts, maintenance, etc.!
More Information Online-->

AcroPlot Auto

takes conversion one step further and allows you to automatically convert entire drives to PDF or DWF on a continuous basis or at a scheduled time each day. Create watched project folders for AcroPlot Auto to monitor at various intervals and create updated PDF, DWF, or TIFF files daily.
More Information Online-->
AcroPlot Auto does provide for the same high quality image output as AcroPlot Repro so many of our Reprographics customers have found it useful to use AcroPlot Auto to watch folders and convert the files automatically and then load the image files into their Reprographics program.

AcroPlot Repro

- CADzation's AcroPlot line of software has always been able to produce some of the highest quality PDF files on the market. But when enabling the “lines merge” in PDF files the software that does the final rendering (Ghostscript or Adobe) to create the output for the plotters have had a hard time converting the large format files because they are not optimized for large format drawings.
AcroPlot Repro solves this problem. Faster processing, better dithering, and the ability to actually convert files at higher dpi (which currently Ghostscript seldom does) means you can now create the same high quality output on your plotter as you see in the PDF file.
More Information Online-->

Since Several of our Products are included in each other here is a table of the basic features.

Features | AcroPlot Suite | AcroPlot Auto | AcroPlot Repro
Batch convert AutoCAD to PDF | X | X |
Batch convert Word to PDF | X | X |
Batch convert AutoCAD to PDF, DWF, and Images | X | X |
Batch convert Excel to PDF, DWF, and Images | X | X |
Batch convert PDF to DWF or Images | X | X |
Batch convert DWF to PDF and Images | X | X |
Batch convert Images to PDF and DWF | X | X |
Batch convert PLT files to PDF, DWF, and Images | X | X |
Includes the PDF-XChange for AcroPlot Pro Printer Driver to print to PDF from any Windows Appliaction. | X | X |
Includes AcroPlot Matrix for markup and editing of PDF files as well as converting DWF, PLT, and Image files to PDF. | X | X |
Converts PLT, PDF, and DWF files to High Quality TIFF files for plotting. |  | X | X
Watches folders and converts entire drives of supported files to PDF, DWF, and Images. |  | X |


Topic: Style Conventions

×

  • Style Conventions
  • Previous page
  • Next page

Style Conventions

The topics in this Help system are designed to give you concise overviews of the software's functions and step-by-step procedural information. In the course of this instruction you'll encounter a number of conventions:
  • •
    Words in bold text refer to parts of the user interface. For example, "Click Rotate Page."
  • •
    You'll notice that some words are underlined and highlighted in blue. Clicking on one of these links will take you to a screen with additional information.
  • •
    "Choose" and the ">" symbol are used to refer to opening menus. For example, "Choose File > Save" means open the File menu and select the Save icon.
  • •
    "Press Alt+Ctrl" means press and hold the Alt key as you press the Control key.
  • •
    To "hover over" something means to move the cursor over it and linger there to get additional information.
  • •
    To "Drag" something means to move cursor over it, hold down the left mouse button, and drag the mouse. Release the mouse button to stop.
In addition many of the screen shots are annotated with special symbols that, when hovered over, displays a window with further details on the subject matter. Try it below:

Example

Hover Over This

Displays some more detail, the exact location of the topic in question and sometimes more pictures.

Another Detailed Topic

With another picture to help explain this topic


Topic: System Requirements

×

  • System Requirements
  • Previous page
  • Next page

System Requirements

  • •
    Fully supported on 32 and 64 bit versions of Windows 7 through Windows 11.
  • •
    Fully supported on 32 and 64 bit versions of Windows Server 2012 through Windows Server 2022. Windows Server requires the Windows Server with Desktop Experience feature to be installed.
  • •
    You should also have the latest Windows updates and service packs installed for your operating system.
  • •
    500 MB of free disk space on the C: drive.
  • •
    2 GB of RAM minimum. (4 GB or higher strongly recommended.)
  • •
    Pentium 1 GHz or better processor minimum. (Pentium 1.8 GHz or higher recommended.)
  • •
    1024 x 768 with true colors video display minimum.
  • •
    Works with or without AutoCAD 2000-2025 (Without AutoCAD or BricsCAD we will convert DWG and DXF files through our internal converter)
  • •
    Works with or without BricsCAD V19-V24 (Without AutoCAD or BricsCAD we will convert DWG and DXF files through our internal converter)


Topic: Installation

×

  • Installation
  • Previous page
  • Next page

Installation

This section describes the installation and uninstall procedures for the AcroPlot program.

The contents of Installation

Installing The Software
Copying Settings from an Existing Installation
AcroPlot Admin
Silent Install Option
Disabling the Office Add-Ins
Uninstalling the Software
Extracting the MSI Install from the Exe File


Topic: Installing The Software

×

  • Installation
  • Installing The Software
  • Previous page
  • Next page

Installing The Software

To install AcroPlot or AcroPlot Pro the user must be logged on as the Administrator.
Due to the unique low impact install program we use AcroPlot Pro, AcroPlot, AcroPlot Jr., and even the AcroPlot Matrix programs are compiled into the same executable file they are distributed in the same setup typically called acroplotcommonsetup.exe.
This program will start the installation routine that will install the required files for the program as well as the shortcuts under the AcroPlot Program Group in the Windows [Start > Programs] menu.
After the main installation program runs the Admin program should start which will check for the required files and also install the required Printer Driver. If you are running the full version of AutoCAD 2000 or newer you will be able to select the profiles that you want to add the AcroPlot Jr. menu and toolbars to.
If the user does not have the ability to add/remove printers under Windows then the Administrator must also run the AcroPlot Admin program to install the PDF-XChange for AcroPlot Pro Printer Driver. This program is tarted by using the /ADMIN startup switch (AcroPlot.exe /ADMIN) with the AcroPlot.exe program in the installation folder that you selected and there is also a shortcut to it in the Windows Start menu [Start > Programs > AcroPlot > AcroPlot Admin] .

Extracting the MSI Package and the MSI Public Variables

The acroplotsetup.exe is an Installshield MSI setup package. If you would like to extract the MSI you can use the /a command line switch to install it in Administration mode which allows you to provide a path to save the acroplotsetup.msi file but this method will install the product also.
The other method is to just run the acroplotsetup.exe and then when the first dialog comes up just search your temp folder for it. It's going to be in a weird GUID named folder like {7B7756EF-5057-4870-87C9-03BBE8E0558E}. You can then copy the msi over to a folder and then cancel the install.
There are several Public Variables that can be passed to the exe to control the options in the setup. To pass these you either pass 1 to turn it on or \"\" to turn it off.
APADD_DESKTOP_SHORTCUT - This controls if the desktop shortcut is created for all users. Default=1.
APADD_MENU_AUTOCAD - This controls if we add our menu system into your AutoCAD installations. Default=1.
APPINSTALL_PRINTER_SILENTLY - This controls if we display a dialog box while the printer is installing or if just the standard Installshield dialog is displayed. Default=1
APINSTALL_PRINTER_SHOWERRORS - This controls if we display a dialog box if an error occurs during the printer install. When this is turned on it will halt the installation process until the user closes the dialog box. Default=1
So say we want to add the desktop shortcut but not the AutoCAD menu. If we are running it from a batch file we can pass the parameters using the /V command line switch and wrap it in quotes.
acroplotsetup.exe /V"APADD_MENU_AUTOCAD=\"\""
or
acroplotsetup.exe /V"APADD_DESKTOP_SHORTCUT=1 APADD_MENU_AUTOCAD=\"\""
If you want to not add either the desktop shortcut or the AutoCAD menus then it would be.
acroplotsetup.exe /V"APADD_DESKTOP_SHORTCUT=\"\" APADD_MENU_AUTOCAD=\"\""


Topic: Copying Settings from an Existing Installation

×

  • Installation
  • Copying Settings from an Existing Installation
  • Previous page
  • Next page

Copying Settings from an Existing Installation

When installing the software on a new machine or for a new user you can copy most of the settings over from an existing installation. When copying the *.ini files over you must make sure that you have AcroPlot closed first.
These settings are stored in several *.ini files in the following location.
C:\Users\[YOURUSERNAME]\AppData\Roaming\CADzation\AcroPlot


Topic: AcroPlot Admin

×

  • Installation
  • AcroPlot Admin
  • Previous page
  • Next page

AcroPlot Admin

The ''AcroPlot Admin'' utility provides automated functions for adding AcroPlot / AcroPlot Pro menus and toolbars to AutoCAD, setting user preferences for file name output when using the plotting / publishing functions in AutoCAD, and other tools for managing AcroPlot / AcroPlot Pro software.
To launch the ''AcroPlot Admin'' utility go to [Start > All Programs > AcroPlot > AcroPlot Admin] shortcut from the Windows start menu.
Installing the AcroPlot menu and toolbar in AutoCAD is a convenient way to utilize the software for conversion output. The AcroPlot menu and toolbar is supported to install with all versions of AutoCAD 2000i and higher.
It is highly recommended that you use the AcroPlot menu and toolbar when creating PDF files from inside AutoCAD to avoid issues with page rotation that are inherent with using the AutoCAD plot command. Please see the section "AcroPlot Menu & Toolbar for AutoCAD'' for instructions on how to manage the AcroPlot menu and toolbar for AutoCAD.
Please note that the AcroPlot / AcroPlot Pro menus and toolbar will not install with any version of AutoCAD LT. AutoCAD LT does not include the LISP and ARX functionlaity found in full versions of AutoCAD and will not allow the AcroPlot / AcroPlot Pro menu and toolbar to run in its environment. Please see the section ''Creating PDF files from AutCAD LT'' if you have AutoCAD LT installed.

Filename Parsing When Printing Directly to the PDF-XChange for AcroPlot Pro Driver From AutoCAD or AutoCAD LT

The PDF-XChange for AcroPlot Pro Printer Driver can use javascript to parse the filenames that are sent out by the program performing the printing to strip away unwanted information. AutoCAD typically sends out the filename followed by a space followed by the layoutname followed by another space and then (1). The AutoCAD FULLPLOTPATH system variable controls if the path is also sent out to the printer.
If you require any advanced help in parsing out more complex names please open a support ticket on your website with examples and how you would like the result to be and we will attempt to help find a solution for you.
·
Let the AcroPlot Admin modify the naming rules when you Save and Exit.
When checked we will modify the titrules.js file found in the C:\Program Files\AcroPlot folder based on your selections below. If it is not checked then you can manually modify the javascript file yourself.
·
Strip off all layouts based on the last space found. Typically works for layouts without a space in the layout name.
When checked we will first find the " (1)" that AutoCAD appends onto the end and then look for the next space to the left of that and strip everything to the right. This usually works fine to strip off the layoutname as long as there are no spaces in the layoutname.
Examples:
DrawingName LayoutName (1) = DrawingName.pdf
Drawing Name Layout Name (1) = Drawing Name Layout.pdf
DrawingName Model (1) = DrawingName.pdf
Drawing Name Model (1) = Drawing Name.pdf
·
Strip off all layouts based on the first space found. Typically works for all drawings without a space in the drawing name.
When checked we will strip off everything to the right of the first space that we find. If the full path is sent out also we will look for the first space after the last path separator \ or /.
DrawingName LayoutName (1) = DrawingName.pdf
Drawing Name Layout Name (1) = Drawing.pdf
DrawingName Model (1) = DrawingName.pdf
Drawing Name Model (1) = Drawing.pdf
·
Strip off " Model (1)" - Typical for the Modelspace Layout.
When checked we will strip off the " Model (1)" that AutoCAD typically adds on when converting the modelspace layout.
DrawingName Model (1) = DrawingName.pdf
Drawing Name Model (1) = Drawing.pdf
·
Strip off " Layout*" - Strips things like " Layout", " Layout1", and " Layout1 (1)" .
When checked we will find the last instance of " Layout" and strip everything to the right of it.
DrawingName LayoutName (1) = DrawingName.pdf
DrawingName Layout1 (1) = DrawingName.pdf
DrawingName LayoutA2.2 (1) = DrawingName.pdf
·
Strip off "* " - Can be used to strip off the drawing name leaving the layout name. Please see the help button to the right for more information on this.
When checked we will find the first space and strip everything to the left of it.
Note: You can also use the option to strip off the " (1)" from the end also with this option.
Note: You can also combine this with the Strip off "Model (1)" if you would like the modelspace named after the drawing name but the Layouts named after the layoutname.
DrawingName LayoutName (1) = LayoutName (1).pdf
Drawing Name Layout Name (1) = Name Layout Name (1).pdf
DrawingName Model (1) = Model (1).pdf
Drawing Name Model (1) = Name Model (1).pdf
·
Strip off " (1)" - This will typically leave both the Drawingname Layoutname.pdf.
When checked we will strip off the " (1)" from the end.
DrawingName LayoutName (1) = DrawingName LayoutName.pdf
DrawingName Model (1) = DrawingName Model.pdf

AcroPlot Admin Tools Menu

The AcroPlot Admin program contains a few tools to help administer the AcroPlot Pro and AcroPlot Jr. programs.
· | Install AcroPlot Printer This allows you to easily reinstall the PDF-XChange for AcroPlot Pro Windows System Printer Driver. You should be logged on as the Administrator prior to running this.
· | Check AutoCAD Status Sometimes even though AutoCAD will appear to start and run fine in your normal use it may have problems in the installation related to the ActiveX interface that we use to drive it. This typically happens when a registry cleaning software deletes out needed Windows Registry Entries or when you install a newer version of AutoCAD and then go back later and uninstall the older version. This tool allows us to help you troubleshoot problems with AutoCAD and usually the problems are resolved by inserting the AutoCAD installation CD and selecting the Install > Repair Registry Setttings options.


Topic: Silent Install Option

×

  • Installation
  • Silent Install Option
  • Previous page
  • Next page

Silent Install Option

Running the Install in Silent Mode

Please note that the silent installation is recommended for CADzation clients that own +25 licenses of CADzation software. For the most current silent installation instructions please visit the following link on the CADzation web site: http://www.cadzation.com/silentinstall.htm
CADzation software is MSI install based and you can pass the /qn variable through the setup to make our applications install silently.
Note that it will most likely reboot the computer when the install is finished.
setupname.exe /v" /qn"
If you would like to supress the reboot then you can use:.
setupname.exe /v"REBOOT=ReallySupress /qn"
If you want to make it completely silent and also hide the initial setupname.exe progress dialog, then you can use the /s switch:.
setupname.exe /s /v"REBOOT=ReallySupress /qn"

Using the MSI Public Variables

There are several Public Variables that can be passed to the exe to control the options in the setup. To pass these you either pass 1 to turn it on or 0 to turn it off.
APADD_DESKTOP_SHORTCUT - This controls if the desktop shortcut is created for all users. Default=1.
APADD_ADMIN_SHORTCUT - This controls if the AcroPlot Admin shortcut is created for all users. Default=1. You may want to turn this off so users do not try to change the file name filtering and the AutoCAD menu options.
APADD_REGISTRATION_SHORTCUT - This controls if the Registration shortcut is created for all users. Default=1. You may want to turn this off so the users do not run it.
APPATH - This lets you pass the name of the folder where you have common files located that you would like to have installed instead of the defaults. These files include the settings files, the titrules.rsl for custom naming filtering, and the cadzationsoftware.txt file for multi user licenses. You must wrap the pathname in a backslash followed by a quote.
APPATH=\"Z:\Some Folder\Data\"
For example, if you want to add the desktop shortcut, then run the EXE from a batch file and pass the parameters using the /V command line switch and wrap it in quotes.
setupname.exe /s /V"REBOOT=ReallySupress /qn APADD_DESKTOP_SHORTCUT=1 APADD_ADMIN_SHORTCUT=0 APPATH=\"Z:\Some Folder\Data\""
If you don't want to add the desktop shortcut, then the correct parameter would be:
setupname.exe /s /V"REBOOT=ReallySupress /qn APADD_DESKTOP_SHORTCUT=0 APADD_ADMIN_SHORTCUT=0 APPATH=\"Z:\Some Folder\Data\""

Extracting the MSI Package

Click Here to learn how you can extract out the MSI is you would rather have an .msi file instead of the .exe


Topic: Disabling the Office Add-Ins

×

  • Installation
  • Disabling the Office Add-Ins
  • Previous page
  • Next page

Disabling the Office Add-Ins

By default the Office Add-Ins are added when you install AcroPlot. As an Administrator if you want to disable the Office Add-Ins after installation for all users on a machine you can modify the Registry Entries to change the LoadBehavior DWORD value to 0 so they are not loaded.
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Excel\Addins\PXCOfficeAddin5_CAD.Addin
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Powerpoint\Addins\PXCOfficeAddin5_CAD.Addin
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Word\Addins\PXCOfficeAddin5_CAD.Addin
Or if you are using Registry (.reg) files it would be something like this:
Windows Registry Editor Version 5.00
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Excel\AddIns\PXCOfficeAddin5_CAD.Addin]
"LoadBehavior"=dword:00000000
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\PowerPoint\Addins\PXCOfficeAddin5_CAD.Addin]
"LoadBehavior"=dword:00000000
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Word\AddIns\PXCOfficeAddin5_CAD.Addin]
"LoadBehavior"=dword:00000000
For more information please see the Microsoft Office Help on the following page. http://msdn.microsoft.com/en-us/library/vstudio/bb386106.aspx#LoadBehavior
You can also manually run the AcroPlot Admin and uncheck the box to Add Menus to Microsoft Office


Topic: Uninstalling the Software

×

  • Installation
  • Uninstalling the Software
  • Previous page
  • Next page

Uninstalling the Software

To uninstall the software the user must be logged in with Administrator privileges.
To uninstall any CADzation program, use the "Add/Remove Programs" from the Windows Control Panel. This will uninstall the application from the computer.


Topic: Extracting the MSI Install from the Exe File

×

  • Installation
  • Extracting the MSI Install from the Exe File
  • Previous page
  • Next page

Extracting the MSI Install from the Exe File

CADzation software is a downloadable EXE file that contains a MSI install based installation package. If you would like to extract the MSI file, then use the /a command line switch to install it in Administration mode which allows you to provide a path to save the acroplotsetup.msi file. This method will install the product as well.
The other method is to just run the acroplotsetup.exe and then when the first dialog comes up just search your temp folder for it. It's going to be in a GUID named folder like {7B7756EF-5057-4870-87C9-03BBE8E0558E}. You can then copy the msi over to a folder and then cancel the install.


Topic: System Administrator Info

×

  • System Administrator Info
  • Previous page
  • Next page

System Administrator Info

This section contains information that may be helpful for System Administrators who are setting up AcroPlot or AcroPlot Pro for various users across a network.

The contents of System Administrator Info

Administrator Notes
Site License Benefits


Topic: Administrator Notes

×

  • System Administrator Info
  • Administrator Notes
  • Previous page
  • Next page

Administrator Notes

With all the power and flexibility of AcroPlot and AcroPlot Jr. it can be quite complex to get everything setup properly to work for your organization. But the benefit is that we have included just about every feature you could ask for into AcroPlot. The Settings for AcroPlot are mainly stored in a series of files under the users App \Settings subfolder. This should allow you to easily create a settings file that you can share between your various users.

Notes on AcroPlot Settings Files.

1.
The \Settings folder stores all of the settings used by the AcroPlot and AcroPlot Junior.
In Windows Vista and Windows 7 this would typically be: C:\Users\Username\AppData\Roaming\CADzation\AcroPlot
In Windows XP(SP3) this would typically be: C:\Documents and Settings\Username\Application Data\CADzation\AcroPlot
2.
The files that should be located in this folder are:
AcroPlotUserDefaults.ini - This file stores the settings that were last used. This file is only used if no settings are found. The actual last settings are stored in the HKEY_CURRENT_USER portion of the registry but this file allows system administrator to setup the initial defaults for new users.
AcroPlotPaperSizes.ini - This file stores the margins and sizes for the various papersizes.
AcroPlotSettings.ini - This file stores the named setting that you can save.
AcroPlotWatermarks.ini - This file stores the last 10 watermark values.
3.
You can make the files read-only file to prevent the users from tampering with them. When the files are read-only the appropriate options on the user interfaces will be disabled.
4.
You can also locate the files in a common network location and then add the path to the following registry keys for each of your users. When you do this you will have to add a registry key into the HKEY_LOCAL_MACHINE portion of the registry for each computer that has AcroPlot installed. Below is the information that you should need.
Section (32 Bit Operating Systems) = HKEY_LOCAL_MACHINE\Software\CADzation\AcroPlot\
Section (64 Bit Operating Systems) = HKEY_LOCAL_MACHINE\Software\Wow6432Node\CADzation\AcroPlot\
Keyname = SettingsPath
KeyType = String
Example Key Value = L:\CommonSettings\AcroPlot or C:\Users\AllUsers\CADzation\AcroPlot

Hiding Menu Items and Controls

The 2013-01-07 build of AcroPlot and AcroPlot Matrix allows the ability to hide some of the menu items and controls on the form by adding values to the registry either under the HKEY_LOCAL_MACHINE or the HKEY_CURRENT_USER. Simply add a string value with a 4 digit number and set the string value to be the caption of the menu item that you would like to hide.
Examples:
HKEY_LOCAL_MACHINE\SOFTWARE\CADzation\ACROPLOT\HideControls
0001 = "Check for Updates"
0002 = "Register Software"
0003 = "CADzation's Website"
0004 = "Purchase"
HKEY_LOCAL_MACHINE\SOFTWARE\CADzation\ACROPLOTMATRIX\HideControls
0001 = "Check for Updates"
0002 = "Register Software"
0003 = "CADzation's Website"
0004 = "Purchase"

Notes on 25 and more user Authorization Codes

1. | If you have purchased a license for 25 or more users we will supply you with a common Authorization Code that you can also push across to all users. Our sales will also provide you with the latest instructions on where the code should be pushed out to.
2. | With a common license for 25 or more users you will able to provide you with a way to do some basic customization using Visual LISP and your menus to provide single click output without being prompted for the filename. The nice thing about this is that if you have existing LISP routines or menus for plotting to say plt files we can probably easily replace them with our routines to create PDF files and your users won't even know the difference. For some examples please contact us with your specific requirements at sales@cadzation.com .


Topic: Site License Benefits

×

  • System Administrator Info
  • Site License Benefits
  • Previous page
  • Next page

Site License Benefits

With a site license of these product we are able to provide you with a way to do some basic customization using Visual LISP and your menus to provide single click output using AcroPlot Jr. The cool thing about this is that if you have existing LISP routines or menus for plotting to say plt files we can probably easily replace them with our routines to create PDF files and your users won't even know the difference. For some examples please contact us with your specific requirements at sales@cadzation.com
Here's just a few of the customized routines we have done for our customer.
· | Created a DOS command line version for the customer to integrate with their existing document management system to create a PDF of all the named views in the drawing.
· | Created a DOS command line version for the customer to create a single PDF of all the layouts in the drawing.
· | Using the built-in API available to site license customers we took the customers existing lisp and dcl routines for creating and saving PLT files in different directories and in under an hour changed them to output AcroPlot PDF files instead. The best thing was that the users did not have to learn a single thing and the company is now creating PDF files which can be viewed by anyone in the company.


Topic: AcroPlot Pro Overview

×

  • AcroPlot Pro Overview
  • Previous page
  • Next page

AcroPlot Pro Overview

AcroPlot Pro is designed to batch process an extensive list of file formats to either PDF, DWF, and various image formats. By transmitting a complete package of drawings you can get the information to your customer faster and save on plotting and shipping costs. AcroPlot Pro automates the task of creating bookmarks, adding watermarks, and merging output to either a multi-paged PDF or DWF file.

The contents of AcroPlot Pro Overview

Running AcroPlot Pro
Using the Interface
Advanced Features
Settings
Lines Merge


Topic: Running AcroPlot Pro

×

  • AcroPlot Pro Overview
  • Running AcroPlot Pro
  • Previous page
  • Next page

Running AcroPlot Pro

To run AcroPlot Pro either browse to the [Start > All Programs > AcroPlot > AcroPlot Pro] shortcut from the Windows start menu or use the AcroPlot Pro shortcut placed on the Windows desktop.
AcroPlot Pro runs as a stand-alone program. If AutoCAD 2000 or newer (or one of the vertical products) is installed on the same PC, AcroPlot Pro will open a new AutoCAD session in order to use the AutoCAD plotting engine. This may also be a concern if you are using the Flex License Manager with AutoCAD since you may need to have an available license to use in conjunction with AcroPlot Pro. Users who are running AutoCAD with a stand-alone license can have up to 32 instances of AutoCAD open at one time so this is normally not a problem.


Topic: Using the Interface

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Previous page
  • Next page

Using the Interface

The AcroPlot Pro User Interface allows the user to easily select multiple files to convert to either PDF or DWF.
This section will cover the two main sections which simply include the Main Menus and the Tabs.

The contents of Using the Interface

Main Menu
Tabs


Topic: Main Menu

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Main Menu
  • Previous page
  • Next page

Main Menu

The contents of Main Menu

File Menu
Select Menu
Setup Menu
Help Menu


Topic: File Menu

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Main Menu
  • File Menu
  • Previous page
  • Next page

File Menu

Open Plot Set

Launches a dialog box to open and install a previously saved AcroPlot "plot parameter file" (*.ppf). This file stores project settings including the file list, output settings and layout selection. .ppf files can be shared and opened by other AcroPlot users.
Top

Save Plot Set As ...

Saves all of the current settings including the files and layout selections to an AcroPlot plot parameter file (*.ppf) This file stores project settings including the file list, output settings and layout selection. .ppf files can be shared and opened by other AcroPlot users.
Top

Recent Plot List Files

This section lists the 10 most recently created plot parameters files.
Top

Exit

Exits and closes the AcroPlot Pro program. The Exit button at the bottom of the main window also exits and closes the program.
Top


Topic: Select Menu

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Main Menu
  • Select Menu
  • Previous page
  • Next page

Select Menu

This menu pertains to the selection of files in the file list tree populated by initially selecting the Source Folder. A "Selection" consists of clicking on a file name in the tree so that the line item is highlighted. You may select multiple files by holding down the <CTRL> key while selecting.
Note: The checkmarks are NOT the "selections" used for these commands. The checkmarks are for selecting files for the conversion process.
Buttons from the File List Toolbar at the bottom of the page are displayed here with their matching commands in this menu.

Preview Current

Opens the currently selected file in the AcroPlot Preview Window.
Top

Open Current in External Program

Opens the currently selected file in the default program associated for that file type (Similar to double clicking on a file in Explore).
Top

Get Current File Information

Gets available information from the selected file to add to or update the various columns in the file list tree.
Top

Add File(s) to List

Launches the file browser to locate and add files from other folders to the list.
Top

Add Titlepage to List

Launches the file browser to locate and add an additional file from another folder to the top of the list. This is useful for drawings that are actually Title Pages. This command is unique from the Add Files command as it remembers the folder location for this file and will return to the same folder when this command is used again.
Top

Remove Item(s) From List

Deletes the selected file(s).
Top

Move Up / Move Down

Moves the selected item up or down in the file list.
Top

Expand or Collapse Current Selection

Expands or Collapses the parent/child group of the selected item. This is the same as clicking on the '+' to expand or the '-' to collapse.
Top

Check/Clear Current Selection

Checks or Clears ALL items in the file list.
Top

Expand/Collapse All

Expands (shows) or Collapses (hides) all child nodes in the file list.
Top

Get Information All

Gets available information from ALL of the files at once to add to or update the various columns in the file list tree.
Top

Advanced Select

Opens the Advanced Search and Select dialog for selecting multiple drawings or layouts based on matching string names.
If you consistently need to only plot certain layouts, views, or layers then you
can also setup the Options under the View/Layer Tab in the Setup to only
show or exclude specific names.
Wildcard matching is case insensitive and multiple wildcard strings can be
used by separating them with a comma(,).
Wildcard matching examples assuming we have layouts named Layout1,
Layout2, and Layout3
Search String | Layouts That Would Be Selected
sheet | None
out | Layout1, Layout2, and Layout3
1,2 | Layout1 and Layout2
Top

Edit Bookmarks

Launches the dialog box to edit the calculated bookmarks before converting to PDF.
This dialog is really meant to be used when all of the layout information has been shown for all drawings. If you see ALL_LAYOUTS in the list then you might want to either click on the + sign next to the drawings you want to edit before opening this or uncheck the "Do not get drawing information" checkbox and reselect the folder.
It's possible to type directly into the Current Bookmark field here or in the Bookmark field in the file list itself to edit or add a bookmark.
Top


Topic: Setup Menu

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Main Menu
  • Setup Menu
  • Previous page
  • Next page

Setup Menu

Select Options to setup Global Settings for AcroPlot Pro and AcroPlot Jr. Click this link for detailed information on this topic.


Topic: Help Menu

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Main Menu
  • Help Menu
  • Previous page
  • Next page

Help Menu

Contents

Opens the AcroPlot Pro help file to the Main page.
Top

What's New

Opens the AcroPlot Pro help file to the Revisions section.
Top

F.A.Q.

Displays the Frequently Asked Questions Page on the website.
Top

Walk Me Through Using AcroPlot

Starts an interactive guide on how to use the AcroPlot Pro software application.
Top

Getting Started Guide

Opens up the Getting Started ebook which instructs how to start using AcroPlot Pro.
Top

Tip of the Day

Displays helpful tips and tricks in the use of AcroPlot Pro.
Top

Check for Updates

Checks to see if a newer version of the software is available for download and installation (Internet connection required).
Top

Register Software

Launches the dialog box to enter registration information or manually enter the authorization code after purchasing AcroPlot Pro.
Top

Contact Technical Support

Launches default web browser and links to the technical support area of the CADzation web site.
Top

CADzation's Website

Launches default web browser and links to the CADzation website.
Top

Purchase AcroPlot

Launches default web browser and links to the pricing and purchase pages on the CADzation website.
Top

About

Displays the About Dialog which contains links to CADzation, the Version of AcroPlot Pro, as well as, the computer code for the users PC.
Top


Topic: Tabs

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Previous page
  • Next page

Tabs

At startup the Files Tab will be visible by default. To change advanced settings for the current project, click on one of the tabs just below the main menu.
The settings and options for these tabs will be covered in the following sections.

The contents of Tabs

File Tab
Options Tab
CAD Options Tab
Pro Options Tab
Bookmarks Tab


Topic: File Tab

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • File Tab
  • Previous page
  • Next page

File Tab

The File Tab is where most of the action takes place. The other tabs, Options, CAD Options, Pro Options, and Bookmarks are more for tweaking the conversion settings on a per project basis.
These topics will be covered in the 3 different sections listed below.

The contents of File Tab

Saved Settings, Print From, Zip & Email
Output, Convert With, Options
File List, Toolbar, Preview


Topic: Saved Settings, Print From, Zip & Email

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • File Tab
  • Saved Settings, Print From, Zip & Email
  • Previous page
  • Next page

Saved Settings, Print From, Zip & Email

This section will cover:
  • •
    How to save and recall the settings from the Files, Options, and Bookmarks Tabs.
  • •
    How to filter which layouts, views, and/or layers are displayed in the Layout Selection Tree Control for selection and conversion.
  • •
    How to quickly generate an email immediately after a conversion process with the resulting output file(s) as attachments.
Saved Settings, Print From, Zip & Email

Saved Settings

This section saves and recalls the settings from the Files, Options, and Bookmarks Tabs.
Settings saved here are stored by the AcroPlot Pro program and can only be recalled from this installation. This differs from the File Menu > "Save Plot Set As ... " command which saves the settings to a file type of .ppf. See Save Plot Set As for more information on .ppf file types.
The saved settings are stored in the AcroPlotSettings.ini file located in the following location:
C:\Users\[YOURUSERNAME]\AppData\Roaming\CADzation\AcroPlot
Top

Save Setting

After adjusting the settings for this project, the precise current settings may be saved recalling later. Type a descriptive name in the dropdown box and click this Save button.
Top

Delete Setting

Deletes the currently selected setting name (and settings) in the "Saved Settings" dropdown list box.
Top

Print From ... (For AutoCAD Drawings

This section is used to select which layouts, views, and/or layers are displayed in the Layout Selection Tree Control for selection and conversion.
PaperSpace Layouts
When checked all of the paperspace layouts will be listed.
Last Active (Model or Paperspace)
When selected the last active editing space of the DWG file will only be listed.
ModelSpace 3D Standard Views
When checked all of the standard modelspace views will be listed. Front, Back, Top, Left, Right, NEIso, NWIso, SEIso, and SWIso.
ModelSpace
When checked the modelspace will be listed, and you will plot the last saved view in modelspace.
ModelSpace Named Views
When checked all of the named views will be listed.
ModelSpace 3D SWIso View
When checked the SWISO modelspace view will be listed.
Top

Refresh Files

This button must be selected to update the Layout Selection Tree Control after modifying checkbox selections in the "Print From" area.
Top

Zip and Email Results

This section is used to quickly generate an email immediately after a conversion process with the resulting output file(s) as attachments.
Top

Email the Files

When selected, immediately following the conversion process, the computer's default email application will be invoked to create a new email message with the output file(s) automatically inserted as an attachment.
Top

Zip As:

When selected, immediately following the conversion process, the computer's default email application will be invoked to create a new email message with the output file(s) automatically inserted as a single ZIP file attachment. The ZIP file name can be defined prior to the conversion in the ZIP file name field adjacent to the ''ZIP As" checkbox.
Top


Topic: Output, Convert With, Options

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • File Tab
  • Output, Convert With, Options
  • Previous page
  • Next page

Output, Convert With, Options

This section will cover:
  • •
    How files are created and the file type that will be created.
  • •
    The default PDF filename and which layouts are displayed in the Layout Selection Tree Control.
  • •
    Options for pre and post conversion actions.
Output, Convert With, Options

Output

Output Drop-Down Listbox [Left Side]
Select how the files will be created with regard to conversion output. There are 3 options depending on the output type.
  • 1.
    Single PDF or DWF Containing All Files - Creates a multi-paged file that contains all the files selected for conversion.
  • 2.
    One PDF or DWF Per File - Creates a multi-paged file that contains only the selected modelspace, layouts or saved views for each individual source file converted.
  • 3.
    One PDF or DWF Per Layout or View - Creates a single page file for each and every selected modelspace, layout or saved view from the source files converted.
Output Drop-Down Listbox [Right Side]
Select the file type for conversion output. Output file types other than PDF and DWF multi-paged formats will automatically set the "Left" pulldown setting to "One Page Per Layout" due to the specifications of each respective file type.
Top

Convert With

Select which installed application with regard to AutoCAD version is to be used for converting DWG file types specifically.
Only AutoCAD 2000 and later versions will be listed in the ''Convert With'' drop-down if they are already installed on the same computer as AcroPlot Pro. AutoCAD LT is not included due its limited functionality which does not allow AcroPlot Pro to run any batch processes using this application. See ''Creating PDF files with AutoCAD LT'' section.
We also have a built-in DWG interpreter "Convert without AutoCAD (Basic DWG Interpretation)" for all other users.
Top

Options

Open the first file when finished
When checked the first file that was generated will be opened in the default program associated for that file type (Similar to double clicking on a file in Explore).
Do not get the drawing info
When checked it allows AcroPlot to load AutoCAD DWG files into the program faster by not inspecting each file to discover layouts, views, etc.
Enable Preview Window
When checked it allows viewing files in the preview pane by holding down the Alt key while selecting a file or layout.
Filter Files Button
This button is a shortcut to the setup options ''Files'' tab. In this tab select any of the supported file types to be shown in the File Tree window for conversion (.dwg, .pdf, .doc, .txt, .dxf, .rtf)
Filter Layouts Button
This button is a shortcut to the setup options ''Layouts, Views, Layers'' tab. This tab configures settings to omit or always include specific DWG elements like layouts, views, or layers when processing file conversions.
Top


Topic: File List, Toolbar, Preview

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • File Tab
  • File List, Toolbar, Preview
  • Previous page
  • Next page

File List, Toolbar, Preview

This section will cover the input folder, output filename, template name, and which layouts to print, along with the toolbar for the Layout Selection Tree Control and Preview Panel.
File List, Toolbar, Preview

Select Source Folder

Launches the Browse application to select the folder where the source files to be converted are located.
Top

Select Source Dir Dropdown Listbox

Select a folder from a list of recently accessed directories.
Top

Select Output

Select the output location for the converted files.
If in the ''Output'' settings area is set to ''Single PDF or DWF Containing All Files'', then the output path will contain the output file name. The output file name can be modified prior to running the conversion.
If in the ''Output'' settings area is set to ''One PDF or DWF Per File'', then the output path will only contain the location that the converted files will be saved to. The output file names will be the same as the source file with the output filetype extension added.
If in the ''Output'' settings area is set to ''One PDF or DWF Per Layout or View'', then the output path will only contain the location that the converted files will be saved to. The output file names will be the same as the source file with the output filetype extension added.
Top

Auto Naming

This button is a shortcut to the setup options ''Naming'' tab. Here you can configure settings for additional controls such as automatically incrementing filenames, custom folder location rules, and custom file naming rules.
Top

Layout Selection File Tree List

Displays the list of files, drawings and layouts from using the Select Source Dir button.
Select which layouts and which views of the modelspace will be converted from each file. Click on the + or - sign, or double-click on the file name to expand/collapse the drawing to select individual layouts or views. Click on the drawing or layout Bookmark column across from the desired filename to edit it's bookmark. If the Enable Preview box is checked, holding the <ALT> key and selecting a layout or the modelspace will display the file in the preview pane. There is also a right-click shortcut menu that allows editing of the bookmarks and expand/collapse the tree without displaying the drawing in the preview section. When all available layouts and modelspace views are selected in a drawing the drawing name and bookmark will be displayed in bold text.
Top

File Preview Pane

Use the <ALT> while while selecting a file name from the file list to preview in this window.
Note: Not all file types are supported for this feature.
Top

Move File Up/Down

These buttons will move the selected item up or down in the conversion order which also controls the page order of how ''Single File Containing All Files'' mulit-paged documents are assembled.
Top

Add Files from Other Folder

Add files from other directories or folders to the list.
Top

Add File to Beginning

Add a file to the beginning of the list. In addition, this folder is saved so this function will always take you back to the same folder.
Top

Remove Item(s)

Removes the currently selected item(s) from the file list.
Top

Expand All

This button will expand all of the drawings to display their layouts and or views in the file list.
Top

Collapse All

This button will collapse all of the drawings so that the layouts and or views names are not shown.
Top

Select All

This button selects all of the drawings and all of the listed layouts for each drawing.
Top

Unselect All

This button unselects all of the drawings and all of the listed layouts for each drawing.
Top

Advanced Selection

This button launches the Advanced Selection Dialog Box that allows the user to select drawings and/or layouts using wildcard matching for the names.
Top

Edit Bookmarks

This button launches the Bookmark Editor to easily edit multiple bookmarks and to also see what the stored and calculated bookmarks are prior to conversion.
Top

Rotate Preview

Rotates the preview so that the rotation overrides the default rotation settings during the conversion.
Top

Convert

Starts the conversion process on the selected files.
Top

Exit

Exits the program and closes AcroPlot Pro.
Top


Topic: Options Tab

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Options Tab
  • Previous page
  • Next page

Options Tab

This section describes the controls located on the ''Options'' tab. These controls can be used to control PDF filetype version, resolution (DPI), document color, PDF document properties, security, and watermarking options.
These topics will be covered in the 3 different sections listed below.

The contents of Options Tab

General Options / PDF Document Properties
Passwords and Security
Watermark Options


Topic: General Options / PDF Document Properties

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Options Tab
  • General Options / PDF Document Properties
  • Previous page
  • Next page

General Options / PDF Document Properties

This section controls the version, resolution (DPI), and color for converted files, in addition to PDF document properties settings.
General Options / PDF Document Properties

PDF Format

Select the version of PDF that will be created for conversion output.
Top

Resolution

Select the resolution of the PDF for conversion output.
A higher resolution will create a better quality output and a larger file size.
Top

Plot Color

Use the AcroPlot Pro System Printer color control for color, grayscale, or monochrome feature instead of using the CAD programs monochrome stb or ctb plot styles.
Note: Selecting Monochrome or Grayscale will override your CTB and STB colors.
Top

PDF Document Properties

Specify the values that will be stored in the summary fields of the PDF document. The user can also use Fields in these properties that are automatically filled in when the user converts DWG or DXF files.
The 4 fields are:
  • •
    Title
  • •
    Subject
  • •
    Author
  • •
    Keywords
Top

Wizard Buttons

Use the wizard buttons to help you pick the Fields that can automatically extract the information from the drawing properties for you.
Top


Topic: Passwords and Security

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Options Tab
  • Passwords and Security
  • Previous page
  • Next page

Passwords and Security

This section sets passwords and the rights that the User Level Password will provide for the PDF document. The Author password allows full access to anyone who knows the password and is stored with the user information in the Windows Registry. The User password only allows the user the rights specified in the User Rights Section. Please note that this is a functionality of the PDF format. There may be programs available that do not recognize the PDF format security features. By setting passwords you are by no means creating a secure document.
Passwords and Security

Password and Security

Choose from No password protection, 40 bit, or 128 bit password encryption methodology.
  • •
    Selecting "No password protection" disables all the security settings for this document.
  • •
    Selecting "40 Bit (Acrobat 3.0 and newer)" enables some options for use.
  • •
    Selecting "128 Bit (Acrobat 5.0 and newer)" enables all available options for use.
Note: Do not set either password to give users full rights. Set only the Author password if you want to restrict the users without them having to use a password.
Top

Author Password

Read Only. To change the Author Password you must use the User Info Text button to update the user information in the Windows Registry.
Top

Password to Open

Will prompt any user to enter a password when opening the PDF file.
Top

Security Settings

Note: The grayed-out options above are only available if 128 Bit (Acrobat 5.0 and newer) is selected.
User can print
When selected the user will be able to print the PDF document.
User can add notes and fill in forms
When selected the user will be able to add notes or fill in form fields in a PDF document.
User can copy from the PDF
When selected the user will be able to copy objects from the PDF document.
User can modify the PDF
When selected the user will be able to make changes to the PDF document.
User can only print low resolution (150 DPI)
When selected the user will only be able to print the PDF at low resolution regardless of the physical print device.
User can fill in interactive forms
When selected the user will be able to enter data in to PDF files that contain form fields.
User can assemble the PDF
When selected the user will be able to insert, delete, reorder, and rotate pages in the PDF.
User can modify the PDF
When selected the user will be able to edit text, line work, and images in the PDF.
User can extract for disabled users
When selected the user will be able to view and print with screen reader application for users with disabilities.
Top


Topic: Watermark Options

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Options Tab
  • Watermark Options
  • Previous page
  • Next page

Watermark Options

This section creates the ability to easily add either a text watermark or image file to the document as a stamp.

Add a watermark to each page

When selected a watermark or stamp will be placed on each page.
Top

Place the watermark on top

When selected a watermark or stamp will be placed on each page.
Top

Font Type

Select the type of the font to use for the watermark.
Top

Font Size

Select the size of the font to use for the watermark.
Top

Font Color

Select the color of the font to use for the watermark.
Top

Watermark Text Field

Insert a combination of text and fields to use as the watermark. It will also list the last 25 watermarks used.
Top

Watermark Image File

Browse to a BMP or GIF file to be used as the watermark or stamp.
Top

Delete Watermark From List History

Delete the watermark from the history dropdown list.
Top

Watermark Dynamic Text Wizard

Assists in generating dynamic watermarks using system variables.
Top

Horizontal Position

Select the horizontal location where the watermark or stamp will be placed on the document.
Top

Horizontal X Distance

X:(in) - Specify a distance for the horizontal location of the start of the watermark text. A positive number will locate the left edge of the text from the left side of the paper. A negative number will locate the right edge of the text from the right side of the paper.
Top

Vertical Position

Select the vertical location where the watermark or stamp will be placed on the document.
Top

Vertical Y Distance

Y:(in) - Specify a distance for the vertical location of the start of the watermark text. A positive number will locate the bottom edge of the text from the bottom of the paper. A negative number will locate the top edge of the text from the top of the paper
Top

Watermark or Stamp Placement Angle

Specify the angle 0 to 360 degrees for the watermark text or image.
Top

The contents of Watermark Options

Supported Variables for Text Watermarks


Topic: Supported Variables for Text Watermarks

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Options Tab
  • Watermark Options
  • Supported Variables for Text Watermarks
  • Previous page
  • Next page

Supported Variables for Text Watermarks

The text watermark also supports all of the field values from the File Bookmarks.
The examples in the table below assume that the file being converted is: C:\Drawings\Project001\Drawing1.dwg
FIELD NAME | DESCRIPTION | EXAMPLE
||DATE|| | Current Date General Format | 2004/04/06
||DATE1|| | Current Date Long Format | Tuesday, April 06, 2004
||DATE1_LCASE|| |  | tuesday, april 06, 2004
||DATE1_UCASE|| |  | TUESDAY, APRIL 06, 2004
||DATE2|| | Current Date Medium Format | 06-Apr-04
||DATE2_LCASE|| |  | 06-apr-04
||DATE2_UCASE|| |  | 06-APR-04
||DATE3|| | Current Date Short Format | 2004/04/06
||DIRECTORY|| | Full directory for the file | C:\Drawings\Project001
||DIRECTORY_FCASE|| |  | C:\drawings\project001
||DIRECTORY_LCASE|| |  | c:\drawings\project001
||DIRECTORY_UCASE|| |  | C:\DRAWINGS\PROJECT001
||EXTENSION|| | Extension name for the file | dwg
||EXTENSION_FCASE|| |  | Dwg
||EXTENSION_LCASE|| |  | dwg
||EXTENSION_UCASE|| |  | DWG
||FILEANAME|| | The filename without the path or extension | Drawing1
||FILEANAME_FCASE|| |  | Drawing1
||FILEANAME_LCASE|| |  | drawing1
||FILEANAME_UCASE|| |  |
||FULLFILEANAME|| | The full path and name for the file. | C:\Drawings\Project001\Drawing001/dwg
||FULLFILEANAME_FCASE|| |  | C:\drawings\project001\drawing1.dwg
||FULLFILEANAME_LCASE|| |  | c:\drawings\project001\drawing1.dwg
||FULLFILEANAME_UCASE|| |  | C:\DRAWINGS\PROJECT001\DRAWING1.DWG
||LASTDIRECTORY|| | The last directory name only | Project001
||LASTDIRECTORY_FCASE|| |  | Project001
||LASTDIRECTORY_LCASE|| |  | project001
||LASTDIRECTORY_UCASE|| |  | PROJECT001
||LASTMODIFIEDDATE|| | Last Modified Date General Format | 1004/04/06
||LASTMODIFIEDDATE1|| | Last Modified Date Long Format | Tuesday, April 06, 2004
||LASTMODIFIEDDATE1_LCASE|| |  | tuesday, april 06, 2004
||LASTMODIFIEDDATE1_UCASE|| |  | TUESDAY, APRIL 06, 2004
||LASTMODIFIEDDATE2|| | Last Modified Date Medium Format | 06-Apr-2004
||LASTMODIFIEDDATE2_LCASE|| |  | 06-apr-2004
||LASTMODIFIEDDATE2_UCASE|| |  | 06-APR-2004
||LASTMODIFIEDDATE3|| | Last Modified Date Short Format | 2004/04/06
||LASTMODIFIEDTIME1|| | Last Modified Time Long Format | 10:37:36:AM
||LASTMODIFIEDTIME2|| | Last Modified Time Medium Format | 10:37 AM
||LASTMODIFIEDTIME3|| | Last Modified Time Short Format | 10:37
||TIME1|| | Current Time Long Format | 10:37:36:AM
||TIME2|| | Current Time Medium Format | 10:37 AM
||TIME3|| | Current Time Short Format | 10:37


Topic: CAD Options Tab

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • Previous page
  • Next page

CAD Options Tab

This section describes the controls located on the "CAD Options" tab.
These controls can be used to change the various settings that control the output when converting CAD files with AcroPlot Pro.
40

The contents of CAD Options Tab

CAD Layout Settings
CAD DWF Output Options
CAD Plot Style and Thickness
CAD Plot Stamp Settings
CAD 3D Options
CAD True Type Text Settings
CAD Misc. Settings
Passwords for Protected Files
CAD PDF Output Options


Topic: CAD Layout Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD Layout Settings
  • Previous page
  • Next page

CAD Layout Settings

This section controls the AutoCAD options for plotting and conversion output from AcroPlot Pro.
CAD Layout Settings

Paper Size

Select the size of the paper for conversion output.
Currently the AcroPlot Pro program can only scale and print all drawings to a single paper size.
Top

Orientation

Select either portrait, landscape, or automatic orientation.
The automatic orientation will determine for each page what the best orientation is to get the largest scale.
The orientation only pertains to the paper. It does not rotate the AutoCAD drawing.
Top

Justification

Select the justification of the plot on the paper.
Top

Plot Scale

Select the scale factor for plot conversion output.
Current scales are Scale-To-Fit, Full Scale (1:1), Scale to Integer Den, or Saved Settings.
The Scale to Integer Den will force it to scale the drawing to a scale equal to 1 / Integer for those users who scale the titleblock by an even value.
When the Saved Settings scale is used the scale saved for the layout will be used.
When plotting modelspace views other than the top view the Scale-To-Fit option will be used.
Top

Plot Type

Select to plot the paperspace and modelspace top view layouts by either the Extents, Layout, Window - Existing, or Saved Settings.
When the Window option is selected and the Layout was not set to plot a Window the Extents option will be used instead.
Top

Plot Offset

Set the plot offset in the X and Y direction.
Note: Typically not needed since the justification will handle it.
Top

Lines Merge

When selected the lines merge option in AutoCAD 2000i and later will be toggled on.
With this option you do not need to worry about having the draworder set in most drawings and overlapping objects in AutoCAD DWG files will become transparent.
Top

Transparency

Top

Include Layers

When selected the layer information will be passed to the PDF or DWF file. The PDF or DWF file will then allow the user to toggle layers "on and "off".
NOTE: Due to limitations in CAD Programs printing to a Windows System Printer the layer information will not be passed through when the "Convert to PDF Using:" option is set to "Print to the PDF-XChange for AcroPlot Pro Driver".
Top

Make Text Searchable

10. Make Text Searchable
<TODO>: Insert description text here...
Top


Topic: CAD DWF Output Options

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD DWF Output Options
  • Previous page
  • Next page

CAD DWF Output Options

Additional plot controls for converting AutoCAD files to DWF only.
CAD DWF Output Options

Convert DWG Hyperlinks to DWF

Objects that contain a hyperlink in the AutoCAD DWG file will be converted with the associated hyperlink in the converted DWF file output.
Top

Include Preview

Create a DWF with a preview image that is larger than a standard thumbnail.
This option may increase the DWF file size.
Top

Embed Fonts in the DWF

Provides options for how fonts will be embedded in the DWF.
Recommendation is to embed fonts in the DWF file so that viewing and printing on computers that may not have the same fonts installed will render the DWF file correctly.
Top

Convert Fonts to Graphics

Provides options for True Type and SHX fonts in DWF files.
Top


Topic: CAD Plot Style and Thickness

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD Plot Style and Thickness
  • Previous page
  • Next page

CAD Plot Style and Thickness

This section is used for selecting either to use the current plot settings for each layout or plot each layout with the settings selected in this section.
Most of these settings are only used when plotting from AutoCAD.
CAD Plot Style and Thickness

Plot Style

Select an existing plot style table (ctb or stb) file to use for all plots if the Use the existing settings checkbox is not selected.
Top

Saved in Layout

"Saved in Layout" will use the existing ctb or stb that is defined in the page setup for each specific layout tab in the DWG file.
Top

Object Lineweights

Either turn on, off, or use the saved settings for plotting the object lineweights in AutoCAD.
Top

Scale Lineweights

Either turn on, off, or use the saved settings for scaling the lineweights in AutoCAD.
Top


Topic: CAD Plot Stamp Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD Plot Stamp Settings
  • Previous page
  • Next page

CAD Plot Stamp Settings

This section selects to either use the current plot settings for each layout or plot each layout with the settings selected in this section.
Most of these settings are only used when plotting from AutoCAD.
CAD Plot Stamp Settings

Plot Stamp

Either turn on, off, or use the saved settings for using a plot stamp in AutoCAD.
Top

Plot Stamp Select

Select a predefined AutoCAD Plotstamp Parameter File (PPS).
Top


Topic: CAD 3D Options

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD 3D Options
  • Previous page
  • Next page

CAD 3D Options

Controls how 3D views and objects are displayed and rendered.
This option is only enabled when AcroPlot Pro is installed on a computer that also has a full version of AutoCAD 2000 or later. AutoCAD LT is not included.
CAD 3D Options

Hide Plot

Select the options for hiding objects.
This works similar to the AutoCAD hide objects setting except that there is an additional setting to only use the hide objects when plotting the modelspace views. This allows lineweights to still be plotted in the paperspace layouts.
Top

Dispsilh Settings

Either turn on, off, or use the saved settings for displaying the silhouette lines on curved surfaces in AutoCAD.
Top

Facetres Settings

Set a value between 0.01 and 10.0 to control the number of silhouette lines shown on each curved surface.
To use the saved value set this equal to -1.
Top


Topic: CAD True Type Text Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD True Type Text Settings
  • Previous page
  • Next page

CAD True Type Text Settings

Allows True Type Text in the AutoCAD file to be converted as searchable text in the PDF file.
CAD True Type Text Settings

Text Fill

Either turn on, off, or use the saved settings for the texfill system variable.
Note: In order to properly convert the True-Type Text the Text Fill should be turned on.
Top

Text Quality

Set a value between 1 and 100 to control the quality of the text. The default setting in AutoCAD is 50.
To use the saved value set this equal to -1.
Top

Convert Text as Graphics

When selected, all text will be converted as lines and arcs. This will render this text unsearchable in the PDF or DWF file.
Top


Topic: CAD Misc. Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD Misc. Settings
  • Previous page
  • Next page

CAD Misc. Settings

Additional plot controls for converting DWG and DXF files to PDF and DWF.
CAD Misc. Settings
<

OLE Quality

select the OLE Quality that may affect the conversion of object such as Word documents that were inserted into the drawing file.
Top

Raster Quality

Select the level of plot quality for raster images contained in the file.
Top

Paperspace Last

Either turn on, off, or use the saved settings for plotting the paperspace last used in the file.
Top

Do Not Plot if Unresolved XRefs are Found

When selected, if a drawing has an unresolved XRef, then it will not be converted and an error will be logged. Otherwise just a warning will be displayed.
Top

Swap Margins

When selected this will switch the margin justification in order to bind the drawings into a book.
Note: This only works with DWG files.
Top


Topic: Passwords for Protected Files

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • Passwords for Protected Files
  • Previous page
  • Next page

Passwords for Protected Files

If DWG file(s) require a password to open the file, then enter the password(s) in the field in this section so that AcroPlot Pro can open the file for conversion output.
Passwords for Protected Files
Copyright(c) 2001-2017 by CADzation. All rights reserved.


Topic: CAD PDF Output Options

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • CAD Options Tab
  • CAD PDF Output Options
  • Previous page
  • Next page

CAD PDF Output Options

This section controls the various routines we can use to create the PDF file from CAD programs.
CAD PDF Output Options

Convert to PDF Using:

Due to the complexity of CAD drawing and various object like images, transparency, True Type Fonts, Solid Fills, and so on there is no one process that we have found that works best for all drawings. As such we have included 3 different processes that can be used in the CAD to PDF conversions.
1. Automatic - With this option we will try to analyze the file to determine the best routine to use to create the PDF file.
2. Use AcroPlot's Advanced Routines - This option uses our advanced routines that allow layers, text, transparency and more. This process involves multiple steps so it is typically slower but usually gives some of the best results.
3. Print to the PDF-XChange for AcroPlot Pro Driver - This prints from CAD to our printer driver through the Windows System Printer. Because of this most CAD programs convert transparency in the drawing to Raster Images which can cause the files to be larger. Also True Type fonts are only supported in certain situations and layers and searchable text for shx fonts are not supported. But if you do not need these features this is a great choice.
4. Use AcroPlot's Optimized CAD Output - This option uses the built in PDF output of your CAD program and then we optimize the output in the end.
Top


Topic: Pro Options Tab

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Pro Options Tab
  • Previous page
  • Next page

Pro Options Tab

This section describes the controls located on the "Pro Options" tab. These controls are additional file specific settings needed to convert some file types properly.

The contents of Pro Options Tab

Excel Settings
PLT (HPGL & HPGL/2) Settings
Image and Graphic Settings
Open Office Settings


Topic: Excel Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Pro Options Tab
  • Excel Settings
  • Previous page
  • Next page

Excel Settings

Microsoft Office Excel files are setup and printed in many ways.
This section allows the user to choose the settings that match the desired output format.

Paper Size

Select the paper size.
Hint: If you want the Excel files to be letter size and the engineering drawings to be full size, then set the paper size for the Excel files to "Letter" size here.
Top

Orientation

Force the output orientation to portrait, landscape, or what is currently saved in the Excel file.
Top

Fit to 1 Page Tall

When set to "On", this will "scale to fit" each selected tab in the workbook to the paper height defined.
Top

Fit to 1 Page Wide

When set to "On", this will "scale to fit" each selected tab in the workbook to the paper width defined.
Top


Topic: PLT (HPGL & HPGL/2) Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Pro Options Tab
  • PLT (HPGL & HPGL/2) Settings
  • Previous page
  • Next page

PLT (HPGL & HPGL/2) Settings

Plot files have already been preprocessed by another application for the purpose of printing. PLT files usually contain size, color, and orientation information. However, when converting PLT files it is necessary to have additional controls to achieve good quality output.
PLT (HPGL & HPGL/2) Settings
Hint: Users can preview a PLT in the viewer and select the rotate view button [image] several times to achieve proper orientation on a file by file basis. The final rotation value is maintained for the current conversion and can be stored and retrieved by saving to a AcroPlot Pro "Plot List File" (PPF) [File > Save Plot List As...] .

Force to Landscape

When ''On'', all PLT files that have a larger value in the Y direction than X will be rotated 90 degrees counterclockwise to ensure proper viewing and print orientation.
Top

Landscape Default Rotation

Specifies the angle (Clockwise) to rotate PLT files when "Force to Landscape" option is enabled.
Top

Rotate Landscape 180 Degrees

When ''On'', all PLT files will be rotated 180 degrees that have a larger value in the X direction than the Y value.
Top

Papersize

Select the option to use for the paper size for PLT files.
Use PLT Extents Contained in the PLT File
This setting will determine the conversion output paper size from the extents contained within each PLT that is converted.
Use PLT Extents and Force to Standard Size at 1:1 Scale
This setting will determine the conversion output paper size from the extents and center the file on a standard sheet size at 1:1 scale. This setting will not change the scale of the source PLT file.
Use PLT Extents and Force to Standard Size and Scale-to-Fit
This setting will determine the conversion output paper size from the extents and center the file on a standard sheet size with a Scale-to-Fit applied. This setting will scale-to-fit the PLT file to the standard sheet size that is automatically determined by its extents.
Use PLT Extents and Use Sheet Size and Plot Scale from the AutoCAD Layout Settings
This setting will determine the conversion size from the extents contained within each PLT and then use the paper size and plot scale specified in the ''AutoCAD Layout Settings'' within the ''AutoCAD Options'' tab.
Use PLT Paper Size Contained in the PLT File
This setting will determine the conversion output paper size from the paper size information contained within each PLT that is converted.
Use PLT Paper Size and Force to Standard Size at 1:1 Scale
This setting will determine the conversion output paper size from the paper size and center the file on a standard sheet size at 1:1 scale. This setting will not change the scale of the source PLT file.
Use PLT paper Size and Force to Standard Size and Scale-to-Fit
This setting will determine the conversion output paper size from the paper size contained with the PLT file and center the file on a standard sheet size and apply a Scale-to-Fit. This setting will scale-to-fit the PLT file to the standard sheet size that is automatically determined by its paper size.
Use PLT Paper Size and Use Sheet Size and Plot Scale from the AutoCAD Layout Settings
This setting will determine the conversion size from the paper size contained within each PLT and then use the paper size and plot scale specified in the ''AutoCAD Layout Settings'' within the ''AutoCAD Options'' tab.
Top

Convert Images to Monochrome or Grayscale

  • 1.
    Use Same Color from the General Options - Uses the same settings as the main PDF Color on the Options Tab.
  • 2.
    Color - This setting will convert images within PLT files as presented with no change or modification of color.
  • 3.
    Monochrome - This setting will convert images within PLT files to monochrome black and white.
  • 4.
    Grayscale - This setting will convert images within PLT files to 256 grayscale.
Top

Use Truecolor when Converting to Image Formats

Top

Use a Pen Table File to Define Lineweights and Color

When ''On'', the pen table file will override the embedded pen weights and colors contained within each PLT that is converted.
Top

Scale the Lineweights When Using a Pen Table File

When ''On'', lines within the PLT file will be scaled if the PLT file is enlarged or reduced for conversion output.
Top

Use a Pen Table File to Define Lineweights and Color

Specifies the location and file name of the pen table file to use for PLT conversions. Accepts *.pen and *.ppn file types.
Note: AcroPlot Pro does not have a utility to create a pen table file for PLT conversions.
Top


Topic: Image and Graphic Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Pro Options Tab
  • Image and Graphic Settings
  • Previous page
  • Next page

Image and Graphic Settings

Scanned images and electronically created graphic files usually contain size and orientation information. However, when converting to either PDF or DWF, it is necessary to have additional controls to achieve reliable output. For example, most engineering scans that are 36" x 48" in size are portrait in orientation. This is because engineering size scanners have a 36" throat preventing the drawings from being scanned with a landscape orientation. Thus, rotating the scans to proper orientation will keep the PDF and DWF files consistent for viewing and printing.
Image and Graphic Settings
Hint: Users can preview a PLT in the viewer and select the rotate view button [image] several times to achieve proper orientation on a file by file basis. The final rotation value is maintained for the current conversion and can be stored and retrieved by saving to a AcroPlot Pro "Plot List File" (PPF) [File > Save Plot List As...] .

Force to Landscape

When ''On'', all graphic image files that have a larger value in the Y direction than X will be rotated 90 degrees counterclockwise to ensure proper viewing and print orientation.
Top

Landscape Default Rotation

Specifies the angle (Clockwise) to rotate image files when "Force to Landscape" option is enabled.
Top

Papersize for Large Images

Specifies the paper size and scale to use for images that are over 8.5'' x 11'' for conversion output.
  • 1.
    Use Same Size as the Image - This setting will create the paper size to match the image size.
  • 2.
    Force to Standard Size at 1:1 Scale - This setting will determine the conversion output paper size from the image size and center the file on a standard sheet size at 1:1 scale. This setting will not change the scale of the source file.
  • 3.
    Force to Standard Size and Scale-to-Fit - This setting will determine the conversion output paper size from the image and center the file on a standard sheet size with a Scale-to-Fit applied. This setting will scale-to-fit the image file to the standard sheet size that is automatically determined by its outer image regions.
  • 4.
    Use Sheet Size and Plot Scale from the AutoCAD Layout Settings - This setting will use the paper size and plot scale specified in the ''AutoCAD Layout Settings'' within the ''AutoCAD Options'' tab.
Top

Papersize for Small Images

  • 1.
    Force to Standard Size at 1:1 Scale - This setting will determine the conversion output paper size from the image size and center the file on a standard sheet size at 1:1 scale. This setting will not change the scale of the source file.
  • 2.
    Force to Standard Size and Scale-to-Fit - This setting will determine the conversion output paper size from the image and center the file on a standard sheet size with a Scale-to-Fit applied. This setting will scale-to-fit the image file to the standard sheet size that is automatically determined by its outer image regions.
  • 3.
    Use Same Size as the Image
Top

Downsample DPI

Downsample the image DPI settings to a lower setting which will typically create smaller file sizes.
Top

Convert to Monochrome or Grayscale

Specifies settings for how image files will be converted.
  • 1.
    Use Same Color from the General Options - This setting will use the ''Plot Color'' setting for the conversion output that is specified in the ''General Options'' on the ''Options'' tab.
  • 2.
    Color - This setting will convert image files as presented with no change or modification of color.
  • 3.
    Monochrome - This setting will convert image files to monochrome black and white.
  • 4.
    Grayscale - This setting will convert image files to 256 grayscale.
Top


Topic: Open Office Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Pro Options Tab
  • Open Office Settings
  • Previous page
  • Next page

Open Office Settings

OpenOffice.org software applications.
Open Office Settings

Use Open Office Direct PDF

When "On" AcroPlot Pro will use Open Office's routines to create PDF files for specific file types instead of printing to our Printer Driver.
Open Office must be installed on the same PC and is not a part of the AcroPlot Pro software application.
Top


Topic: Bookmarks Tab

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Bookmarks Tab
  • Previous page
  • Next page

Bookmarks Tab

AcroPlot can automatically create your bookmark text for you from a variety of sources such as the filename or file properties. Word, AutoCAD, and PDF files support file properties such as Author, Title, Subject, and Keywords that are saved with the file. To allow the greatest flexibility in creating the bookmarks AcroPlot uses Fields which tell AcroPlot where to insert the various properties. A Field is simply the property name surrounded by || on each side. This also allows you to mix and match both regular text and the Fields to create a complex bookmark.
Hit the "Update Files List" button on the "Files" Tab to see the changes.

The contents of Bookmarks Tab

Text and PDF Document Settings
CAD Bookmark Settings
Text Strings and Fields


Topic: Text and PDF Document Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Bookmarks Tab
  • Text and PDF Document Settings
  • Previous page
  • Next page

Text and PDF Document Settings

This section contains the bookmark fields to use for *.txt, *.rtf, *.doc, and *.pdf documents.
Text and PDF Document Settings

Add Bookmarks to the PDF Document

When selected the bookmarks will be added to the PDF when it is created.
Top

Use a maximum string length of:

When selected long bookmarks will be truncated to the set length entered in the characters box.
Top

Show Bookmarks when PDF Opens

When selected the bookmarks column will display when the PDF file is opened.
Top

Field String Wizard

Launches the Document Bookmarks Wizard which lists all of the available fields that you can use for the text and PDF documents.
Top

Field String Textbox

Edit the field string that will be replaced during printing to create the actual bookmark. You can combine both fields and regular text in this section to create a complex bookmark.
Top

Use the Existing Bookmarks in the PDF Files

When selected it will keep the existing bookmarks when merging an existing PDF file.
Top


Topic: CAD Bookmark Settings

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Bookmarks Tab
  • CAD Bookmark Settings
  • Previous page
  • Next page

CAD Bookmark Settings

This section contains the bookmark text tags to use for *.dwg and *.dxf documents.
Hint: If you use both the drawing and layout bookmarks the layout bookmarks will be a sub-bookmark of the drawing bookmark and will look something like this:
+DrawingName
Layout Name
+DrawingName#2
CAD Bookmark Settings

Use a Bookmark for Each Drawing

When selected a drawing level bookmark will be created.
Top

Drawing Level Field String Wizard

Launches the CAD Bookmarks Wizard which lists all of the available fields that you can use for the CAD drawing.
Top

Drawing Level Field String Textbox

Edit the field string that will be replaced during printing to create the actual bookmark. You can combine both fields and regular text in this section to create a complex bookmark.
Top

Do Not Use Drawing Bookmarks When Printing

to Individual Files for Each Layout

When selected and when layouts are printed to individual files it will not add the drawing level bookmark.
Top

Add a Bookmark for the Standard Drawing Properties

When selected it will add bookmarks for all of the standard AutoCAD drawing properties.
Top

Use a Bookmark for Each Layout View or Layer

When selected a layout level bookmark will be created.
Top

Layout Level Field String Wizard

Launches the AutoCAD Layouts Bookmarks Wizard which lists all of the available text tags that you can use for the AutoCAD drawing. It will also allow you to select a sample drawing to easily view the available titleblock attributes that you can also use.
Top

Layout Level Field String Textbox

Edit the field string that will be replaced during printing to create the actual bookmark. You can combine both fields and regular text in this section to create a complex bookmark.
Top

Attribute Block Names

This contains a comma separated string of the block names that AcroPlot should search for to try to extract the titleblock attributes from. If you use common attribute names but you have a different titleblock for different paper sizes then you can list them all here
Example: Tileblock-ANSIA, Titleblock-ANSIB, Titleblock-ANSIC
Top


Topic: Text Strings and Fields

×

  • AcroPlot Pro Overview
  • Using the Interface
  • Tabs
  • Bookmarks Tab
  • Text Strings and Fields
  • Previous page
  • Next page

Text Strings and Fields

The ''Bookmarks'' tab allows you to setup the field strings that are going to be used by AcroPlot to extract the data from the drawing to use as the bookmark text. With the field strings, you can combine both static text and fields that are going to be replaced during runtime. This way you can easily create bookmarks that actually mean something to your customers.
The values are defined as the field name that is going to be replaced surrounded by two vertical lines || (shift plus the \ key right above the Enter key on your keyboard).
Example Field: This bookmark is for file: ||FILENAME||
Actual Bookmark: This bookmark is for file: Drawing1
Bookmarks basically allow the user to easily navigate to a specific drawings and layouts in the PDF file. In the case of AutoCAD drawings, there are typically two types of bookmarks. The first would be the drawing level bookmark, which would then have child bookmarks for the layout levels. So, each drawing would only have one drawing level bookmark and may also have multiple layout level bookmarks. If you are just printing a single layout or just a single view from the modelspace, then you may want to only use one of the other levels of bookmarks.
We suggest that you use the wizard buttons on the bookmarks tab to help you define the settings.
The bookmark information is saved in a file called acroplot_lastplot.ppf in the folder where the drawings are located. If the user manually enters the bookmark information, then they do not have to reenter this information the next time that they run the AcroPlot program.
Below is a table that shows a typical bookmark structure for a couple sample drawings that have 3 layouts in each file.
Drawing Level On Layout Level Off | Drawing Level On Layout Level On | Drawing Level Off Layout Level Off
+Drawing1.dwg +Drawing2.dwg | +Drawing1.dwg +Layout1 +Layout2 +Layout3 +Drawing2.dwg +LayoutA +LayoutB +LayoutC | +Layout1 +Layout2 +Layout2 +LayoutA +LayoutB +LayoutC


Topic: Advanced Features

×

  • AcroPlot Pro Overview
  • Advanced Features
  • Previous page
  • Next page

Advanced Features

The contents of Advanced Features

Advanced Select Dialog
Using Bookmarks


Topic: Advanced Select Dialog

×

  • AcroPlot Pro Overview
  • Advanced Features
  • Advanced Select Dialog
  • Previous page
  • Next page

Advanced Select Dialog

This section describes the controls used to perform advanced selection of drawings and layouts. The drawings or layouts are based on a wildcard matching that is case insensitive. This means that the string ''lay'' will select any drawing or layout that contains ''lay'' in any part of it's name. This also means that Layout1, layout2, and overlay would all be selected but Electrical would not be selected.

Drawings Section

This section allows the user to select either all of the drawings or to select only the drawings that match the specified string.
· | Select All Drawings Option When selected all layouts in all of the drawings could be selected.
· | Select Only Drawings Matching Option When selected only the layouts from those drawings that match the string could be selected.
· | Drawings Wildcard String Textbox Allows the user to enter in a string or list of strings separated by a comma that the drawing name must match in order for the layouts in the drawing to be selected.
· | Delete Drawings Wildcard String Button When selected the current text string will be deleted from the list stored in the Windows Registry.

Layouts Section

This section allows the user to select either all of the layouts or to select only the layouts that match the specified string.
· | Select All Layouts Option When selected all layouts will be selected.
· | Select Only Layouts Matching Option When selected only the layouts that match the string will be selected.
· | Layouts Wildcard String Textbox Allows the user to enter in a string or list of strings separated by a comma that the layout name must match.
· | Delete Layouts Wildcard String Button When selected the current text string will be deleted from the list stored in the Windows Registry.


Topic: Using Bookmarks

×

  • AcroPlot Pro Overview
  • Advanced Features
  • Using Bookmarks
  • Previous page
  • Next page

Using Bookmarks

Bookmarks allow the user to easily navigate to a specific drawing and layout in the PDF file. Users can add or edit a bookmark for a specific drawing or layout by either double-clicking on the name or by selecting the name and then using the Edit Bookmarks Button.
We suggest that you use the wizard buttons on the bookmarks tab to help you setup the bookmarks. If you would like help simply send us a sample drawing and what you would like the bookmarks to look like to support@cadzation.com and we will gladly help you setup the bookmark strings to work properly.
The bookmark information is saved in a file called acroplot_lastplot.ppf in the folder where the drawings are located. This way the user does not have to reenter this information the next time that they run the AcroPlot program.


Topic: Settings

×

  • AcroPlot Pro Overview
  • Settings
  • Previous page
  • Next page

Settings

This section describes some of the settings available in AcroPlot Pro and AcroPlot Jr. These settings are global settings and are not restored with the project level settings from the main form.
To access these settings go to Setup > Options from the main menu.

The contents of Settings

Program Tab
Naming Tab
File Types Tab
PDF Tab
Paper Sizes Tab
Layouts, Views, Layers Tab
Direct Converter Tab
CAD Programs Tab


Topic: Program Tab

×

  • AcroPlot Pro Overview
  • Settings
  • Program Tab
  • Previous page
  • Next page

Program Tab

Always start in the last source folder used.

When this box is checked AcroPlot will always start in the last used source folder and add the list of files from that folder.
Top

Disable the creation of the acrolot_lastplot.pdf file that stores the plot information.

When this box is checked the acroplot_lastplot.pdf file that stores the plot parameters, selected files, and bookmarks for each folder will not be created in the folder containing the drawings. You can then use the Open Plot Parameters File from the File Menu to restore your settings.
Top

Exit AcroPlot After Plotting

When this box is checked AcroPlot will be closed after the printing has completed.
Top

Prompt Before Overwriting Files.

When this box is checked the user will be prompted before overwriting files.
Top

Use Metric Units

When this box is checked the units for the paper size, margins, and watermark location will be displayed in mm (millimeters).
Top


Topic: Naming Tab

×

  • AcroPlot Pro Overview
  • Settings
  • Naming Tab
  • Previous page
  • Next page

Naming Tab

Clicking the Auto Naming button across from the Select Output box also displays the Settings screen with the Naming tab active.

Automatically Increment the PDF Filename

When this box is checked the output PDF filename will have a 3 digit number (like - 001) appended to the name.
Note: This feature is only available when saving to a single PDF file.
Top

Custom Output Filename Options

By replacing the custom fields at runtime we should be able to automatically save your PDF files exactly where you want them. You can mix and match regular text such as a different drive letter along with the custom fields defined below.
Example: Source Folder=C:\Projects\Current\C1000 File=Drawing1.dwg Layout=Layout1 Saved Setting=Monochrome
Top

Output Folder Settings

Save in the drawing folder
Saves the drawing in the same folder as the file being converted.
Save in a \PDF subfolder
Saves the file in a subfolder of where the drawing is located called \PDF. If the folder does not exist, it will be created.
Save in the last folder
Saves the file in the folder that the last file converted was saved to.
Save in a subfolder name after the Saved Settings name
If the Saved Settings box is populated AcroPlot will save the file to a folder with the same name. If the folder does not exist, AcroPlot will prompt the user to approve the automatic creation of that folder.
Save in custom subfolder
Setup a custom folder location to save the files in.
Note: The actual filename is set by checking the "Automatically increment the PDF filename" check box or using the Filenames dialog box to the right.
Supported Text Tags - Based on the folder name of the file.
||DRIVE|| = The drive letter (Ex. C:)
||DIR|| = The full folder structure (Ex. \Projects\Current\C1000)
||DIRMINUS1|| = All but the last folder (Ex. \Projects\Current)
||DIRMINUS2|| = All but the last 2 directories (Ex. \Projects)
||DIR1|| = The last folder (Ex. C1000)
||DIR2|| = The second to last folder (Ex. Current)
||DATE|| = The current date YYYY-MM-DD (Ex. 2011-08-20)
||DAY|| = The current day as 2 numbers (Ex. 02 for the 2nd day of the
month)
||DAY1|| = The current day as 1 number (Ex. 2 for the 2nd day of the
month)
||MONTH|| = The current month as 2 numbers (Ex. 01 for January)
||MONTH1|| = The current month as 1 number (Ex. 1 for January)
||MONTHSHORT|| = The current month as short text (Ex. Jan)
||MONTHLONG|| = The current month as text (Ex. January)
||YEAR|| = The current year as 4 numbers (Ex. 2011)
||YEAR1|| = The current year as 2 numbers (Ex. 11)
||SETTINGNAME|| = The saved setting name that you choose to use.
Some Common Examples:
To save it in the same folder on the same drive
||DRIVE||\||DIR|| = (Ex. C:\Projects\Current\C1000)
To save it in the same folder but on the D: drive
D:\||DIR|| = (Ex. D:\Projects\Current\C1000)
To save it in a PDF subfolder
||DRIVE||\||DIR||\PDF
Top

Filename Settings

Use standard filenames
  • •
    For Output setting "One PDF per layout", the files will be auto-numbered regardless of the Auto increment setting above.
  • •
    For Output settings "One PDF per layout" and "Single PDF containing all files" the filename will be the original drawing name appended with .pdf.
Use custom filenames
Selecting this will use the text tag settings input in the boxes above.
Supported Text Tags for "Single PDF containing all"
||DRIVE|| = The drive letter (Ex. C:)
||DIR|| = The full folder structure (Ex. \Projects\Current\C1000)
||DIRMINUS1|| = All but the last folder (Ex. \Projects\Current)
||DIRMINUS2|| = All but the last 2 directories (Ex. \Projects)
||DIR1|| = The last folder (Ex. C1000)
||DIR2|| = The second to last folder (Ex. Current)
||DATE|| = The current date YYYY-MM-DD (Ex. 2003-08-20)
||DAY|| = The current day as 2 numbers (Ex. 02 for the 2nd day of the
month)
||DAY1|| = The current day as 1 number (Ex. 2 for the 2nd day of the
month)
||MONTH|| = The current month as 2 numbers (Ex. 01 for January)
||MONTH1|| = The current month as 1 number (Ex. 1 for January)
||MONTHSHORT|| = The current month as short text (Ex. Jan)
||MONTHLONG|| = The current month as text (Ex. January)
||YEAR|| = The current year as 4 numbers (Ex. 2011)
||YEAR1|| = The current year as 2 numbers (Ex. 11)
||SETTINGNAME|| = The saved setting name that you choose to use.
Supported Text Tags for "One PDF per File"
All Tags above plus
||FILENAME|| = The filename minus the extension of the file we are
converting.
||FILEPROPS_AUTHOR||
||FILEPROPS_KEYWORDS||
||FILEPROPS_REVISION||
||FILEPROPS_SUBJECT||
||FILEPROPS_TITLE||
Supported Text Tags for "One PDF per Layout"
All Tags above plus
||LAYOUTNAME|| = The layout name that we are converting.
||ATTRIBUTENAME(Just an example)|| - All titleblock attributes can also
be used and the order of titleblocks that it searches for is defined by the
Titleblock names which can be a semicolon separated list to define
multiple blocks.
Top


Topic: File Types Tab

×

  • AcroPlot Pro Overview
  • Settings
  • File Types Tab
  • Previous page
  • Next page

File Types Tab

File Types Tab

File Type List

In this area check any file type you wish to be displayed in the main file list window when the Source Folder is selected.
By default, every file type supported by AcroPlot Pro is selected. This may result in a very large list of files for the selected Source Folder. Filter only the desired file types to be displayed by leaving the check in the adjoining box.
Note: After changes are made and saved, either close AcroPlot and restart, or Click the Select Source Dir button and click OK on the Browse for Folder window to apply the new File Type settings.
Top

Generic Formats Supported by Pro

Additional file types may be added here. These file types must be able to use the "Print To" Windows function in order to be converted.
Top

Convert Using Microsoft Word

Check this box to convert RTF and TXT files using Microsoft Word. This enables MS Word formatting that may not be available printing directly from a RTF or TXT file.
Top

Use the metric A4 paper size instead of the letter paper size.

If this box is checked the printed paper size will be the metric A4 size instead of the imperial letter size.
Top

RTF and TXT Margin Settings

When printing RTF and TXT files you may set the desired margins here.
Top


Topic: PDF Tab

×

  • AcroPlot Pro Overview
  • Settings
  • PDF Tab
  • Previous page
  • Next page

PDF Tab

Convert True-Type Text to Hyperlinks

...
Top

Lines merge mode

...
Top

Optimize solid fills

...
Top

Show the printing progress window for the driver

...
Top

Optimize image sequences into a single image

...
Top

High Color/Grayscale Image Compression

...
Top

Indexed Image Compression

...
Top

Monochrome Image Compression

...
Top

Embed all used fonts:

...
Top

List Available Fonts

...
Top

Always embed these fonts

...
Top

Never embed these fonts

...
Top


Topic: Paper Sizes Tab

×

  • AcroPlot Pro Overview
  • Settings
  • Paper Sizes Tab
  • Previous page
  • Next page

Paper Sizes Tab

This section defines the minimum margins for all paper sizes. The width and height for the User paper sizes are also defined here. When defining paper sizes,
width must be less than the length. By unchecking a specific paper size it will be removed from the list in the AcroPlot display.
All dimensions are for the paper in portrait mode in inches.
  • •
    If Pc3 file support has not been enabled, the margins may actually be 1/8", forced by AutoCAD, even if they are set to 0.0" in the setup dialog.
  • •
    Up to 9 custom paper sizes can also be defined.
  • •
    The standard maximum width or height of the paper is limited to 50" or 1270 mm.
  • •
    If large papersizes are enabled in the AcroPlot Admin then papersizes can be defined up to 100"x100".
Paper Sizes Tab

Checkboxes for paper sizes to display

When checked the appropriate paper size will be displayed in the AcroPlot interface and will be available to the user to select. This allows you to filter out the papersizes that you do not normally use.
Top

Set All Margins

This will set the margins for all of the paper sizes to the values set in the margin textboxes.
Top

Margin Padding

This allows a small distance to be defined to prevent large titleblock borders from being cutoff when plotting the extents. Internally AutoCAD does not always take into account the line width when it calculates the extents of the drawing.
Top


Topic: Layouts, Views, Layers Tab

×

  • AcroPlot Pro Overview
  • Settings
  • Layouts, Views, Layers Tab
  • Previous page
  • Next page

Layouts, Views, Layers Tab

Note: All lists support basic wildcard matching like "Plot" or "Layout".
Layouts, Views, Layers Tab

Plotting From PaperSpace Options

Sets the PaperSpace Layouts to list to either:
Never display these layouts
Only display these layouts
Then you can add the various names that you do not want to display or to only display when we get the information for the DWG or DXF file.
Top

Plotting From Named Views Options

Sets the views to list for DWG files to either:
Never display these views
Only display these views
Then you can add the various names that you do not want to display or to only display when we get the information for the DWG or DXF file.
Top

Always plot empty layouts.

When selected if the layout only contains a single viewport it will still be plotted.
Otherwise we consider these layouts to be invalid because AutoCAD will
automatically add a layout to older drawings when it opens them in AutoCAD.
If the layout contains two viewports or any other AutoCAD object
(line, text, block reference) then we will consider it valid regardless of this setting.
If no valid layouts are found in the drawing then we will automatically convert
the modelspace instead. This is very useful for AutoCAD 13 and older
drawings that didn't have paperspace layouts but may have been opened
in AutoCAD and resaved to a newer version.
Also the Always Display or Never Display settings in the Plottting From
PaperSpace Options override this setting. So if you tell us to Always Display
the Layout1 then we will even if we think it is invalid.
Top

Never Plot These Layers

Create a list of layers to never plot in the DWG or DXF file.
Top

Always Plot These Layers

Create a list of layers to always plot even if they are turned off in the DWG or DXF file.
Top


Topic: Direct Converter Tab

×

  • AcroPlot Pro Overview
  • Settings
  • Direct Converter Tab
  • Previous page
  • Next page

Direct Converter Tab

Direct Converter Tab

AutoCAD Support Paths

AcroPlot locates and lists the paths where the shx fonts and linetypes reside for the built-in viewer control to use.
Top

Additional Support Paths

This area is used to list additional paths to shx fonts and linetype files for the built-in viewer control to use.
Use the Browse button to locate these files.
Note: On the AutoCAD Tab you can specify the folder from which to use the ctb files for setting the
lineweights in the viewer control or you can let AcroPlot use the default folder if you have
AutoCAD or AutoCAD LT installed.
Top

Browse for Folder Button

Click this button to open the Browse for Folder dialog box, then browse to the location of the additional support files to add to the list.
Top

Remove Folder Buttton

Click this button to remove the selected path from the list.
Top

Default lineweight width listbox

Select the default lineweight width from this dropdown list. This is equivalent to the LWDEFAULT system variable in most CAD systems.
Top


Topic: CAD Programs Tab

×

  • AcroPlot Pro Overview
  • Settings
  • CAD Programs Tab
  • Previous page
  • Next page

CAD Programs Tab

CAD Programs Tab

Always plot Top (World) view when plotting the modelspace

When selected the modelspace will be rotated to the Top (World) view when plotted.
Top

Always use this folder for ctb and stb files

When this box is checked AcroPlot will use the folder listed here to find ctb and stb files.
Click the Browse button to open the Browse for Folder dialog box and locate the folder where these files reside.
Top

Calculate the extents instead of using AutoCAD's values.

When selected, AcroPlot will calculate the extents. This will slow down the conversion process but it will not count objects that are on frozen or hidden layers when calculating the extents.
Top

Hide the AutoCAD session.

When selected, the AutoCAD session will be hidden so the user does not see it.
Top

Default order for layout names

Select either Drawing Order or Alphabetical Order for the default Drawing Order.
Top

Default alternate bigfont file

Input the default AutoCAD BigFont name to use when bigfonts are missing. This file must be
located in one of the AutoCAD support directories. Common BigFonts are:
bigfonts.shx, chineset.shx, extfont.shx, gbcbig.ext, whgdtxt.shx, whgtxt.shx,
whtgtxt.shx, whtmtxt.htm
Top


Topic: Lines Merge

×

  • AcroPlot Pro Overview
  • Lines Merge
  • Previous page
  • Next page

Lines Merge

This section contains information about using the lines merge option from AutoCAD and PLT files..

The contents of Lines Merge

Lines Merge Output
Printing Lines Merge PDF Files To Your Plotter


Topic: Lines Merge Output

×

  • AcroPlot Pro Overview
  • Lines Merge
  • Lines Merge Output
  • Previous page
  • Next page

Lines Merge Output

Lines merge is a print control for rendering entities in a CAD or PLT file to be transparent wherever they overlap. While many printer and plotter drivers support this function for physical printing to paper, the same doesn't hold true for many software applications that convert to digital PDF files.
AcroPlot Pro supports the lines merge control for digital conversion to a PDF and DWF. Below are two examples that illustrate output to a digital file with and without the lines merge function. Click on the following link download a copy of the AutoCAD file used to create these screen caputres. AcroPlot-256-Sample.dwg

Lines Merge Enabled

The screen capture below is from a PDF that was created using AcroPlot Pro to convert an AutoCAD DWG file with the lines merge function enabled. It shows how the overlapping entities in AutoCAD are treated when creating a PDF or DWF file. Upon close inspection, the polylines that intersect the diagonal objects with a solid hatch fill are transparent where they overlap. In the upper right area of the screen capture, there are instances where lines, polylines, and objects with a solid hatch fill all overlap at the same time. This PDF will view and print exactly as it would from AutoCAD.

Lines Merge - OFF

The screen capture below is from a PDF that was created using AcroPlot Pro to convert an AutoCAD DWG file with the lines merge function turned off. CAD entities are rendered to the PDF file in the order they are drawn or created. The actual draw order can be determined by looking on the upper right corner--lines first, then polylines, and finally objects with a solid hatch fill. This PDF file will print the same as it is displayed, which is NOT the same as it would from AutoCAD.


Topic: Printing Lines Merge PDF Files To Your Plotter

×

  • AcroPlot Pro Overview
  • Lines Merge
  • Printing Lines Merge PDF Files To Your Plotter
  • Previous page
  • Next page

Printing Lines Merge PDF Files To Your Plotter

Although the transparency that is used for lines merge has been part of the Adobe PDF Specifications since version 1.4 (Acrobat 5.0), the Adobe Reader is not optimized for viewing or printing large format PDF files with transparency in them. What the Adobe Reader (or any PDF Viewer) had to do is actually flatten the transparency of every item in the PDF file that has transparency applied to it. This process involves looking at each item and all the items below it and calculating the resulting colors. The overlapping regions then basically become new objects in the PDF file when they are sent to the printer. This process can be quite time consuming on large drawings for some printers. The Adobe Reader and Adobe Acrobat have an option called Print As Image that dramatically reduces this time for most printers and plotters.

Enabling Print As Image In Adobe 5.0 Products

In Adobe 5.0 Products the Print As Image Checkbox is located on the main Print Dialog Box.

Enabling Print As Image In Adobe 6.0 Products And Higher

In Adobe 6.0 Products Adobe decided to hide the Print As Image button under the Advanced button on the Print Dialog Box.

Some other hints for improving hardcopy plotting

1. | Create the PDF with the same resolution that you are going to print it out at. If you create a PDF at 1200 dpi but are only going to print it at 400 dpi Adobe will basically have to resample the image for the new dpi.
2. | Make sure that the computer and the printer have plenty of memory. Test show that even without lines merge render the PDF to a printer or plotter may produce 200+ MB spooler sizes. The PDF file format is optimized for filesize, not for plotting engineering size drawings.
3. | For Océ plotters with Repro Desk Software make sure that they are not using the generic Ghostscript with Repro Desk. Only the Adobe output option will support lines merge, Ghostscript does not currently support any of the transparency features of the newer PDF specifications.
4. | Try updating your printer or plotters device driver to the latest version.


Topic: AcroPlot Jr. Overview

×

  • AcroPlot Jr. Overview
  • Previous page
  • Next page

AcroPlot Jr. Overview

AcroPlot Jr. was designed to convert the current drawing that you are working on to either a single PDF file or into individual PDF files for each layout. It is built on the same technology as the AcroPlot / AcroPlot Pro program. It can be started from the toolbar or menu inside your CAD Program that is added by the ''AcroPlot Admin'' program.
Use AroPlot Jr. to quickly create quality PDF files from within AutoCAD.

The contents of AcroPlot Jr. Overview

Running AcroPlot Jr. From AutoCAD
Using the Interface


Topic: Running AcroPlot Jr. From AutoCAD

×

  • AcroPlot Jr. Overview
  • Running AcroPlot Jr. From AutoCAD
  • Previous page
  • Next page

Running AcroPlot Jr. From AutoCAD

For AcroPlot Jr. to work inside of AutoCAD, you can use the AcroPlot Admin program (when AutoCAD is closed) to install the menu and toolbar or you can manually load the AcroPlot.mnc file from the Menus folder in the AcroPlot Application folder into AutoCAD. The commands for the AcroPlot Jr. program are located in the AcroPlot.mnl file which is loaded along with the AcroPlot menu file. You could also load the acroplot.lsp file from the C:\Program Files\AcroPlot\Menus\AutoCAD folder and then type '' _cdznacroplotj '' in the AutoCAD command line to start AcroPlot Jr..
Once the AcroPlot menu and toolbar are loaded you can either access the AcroPlot Jr. program from the toolbar button [image] or from the [AcroPlot] menu in AutoCAD.
It may take a few seconds for the AcroPlot Jr. dialog to appear, but when it does you can select the layouts, views, or layers that you want to plot. You can also select to output the PDF to a single PDF file or to multiple PDF files.


Topic: Using the Interface

×

  • AcroPlot Jr. Overview
  • Using the Interface
  • Previous page
  • Next page

Using the Interface

The AcroPlot Jr. User Interface allows the user to easily select the layouts for the PDF document that will be created.
For more information on using the interface please refer to the AcroPlot Pro Using the Interface Section of the help.


Topic: AcroPlot Matrix Overview

×

  • AcroPlot Matrix Overview
  • Previous page
  • Next page

AcroPlot Matrix Overview

AcroPlot Matrix is included with the AcroPlot Pro software. With AcroPlot Matrix you can view and markup PDF files. For more information on AcroPlot Matrix please see the AcroPlotMatrix.chm Help File.


Topic: Printing From AutoCAD

×

  • Printing From AutoCAD
  • Previous page
  • Next page

Printing From AutoCAD

The contents of Printing From AutoCAD

The Importance Of Using Plotter Configuration (Pc3) Files In AutoCAD
Using Profiles to Control Settings
Using the Save Settings to Control Where Your PDF is Saved
Managing Profiles Across Multiple Users
Plotting Directly To ''PDF-XChange for AcroPlot Pro'' System Printer
Filename Length Limitations in AutoCAD
Creating PDF Files In AutoCAD LT
Using The AutoCAD Publish For PDF Output
Using The AutoCAD Sheet Set Manager For PDF Output
Lines Merge Control For AutoCAD Printing
Controlling Output File Names From AutoCAD
MText Background Masks With Lines Merge


Topic: The Importance Of Using Plotter Configuration (Pc3) Files In AutoCAD

×

  • Printing From AutoCAD
  • The Importance Of Using Plotter Configuration (Pc3) Files In AutoCAD
  • Previous page
  • Next page

The Importance Of Using Plotter Configuration (Pc3) Files In AutoCAD

Several options in AutoCAD are only controlled by using a pc3 and pmp (plotter configuration) files in AutoCAD. Some of these settings are Lines Merge, True Type Text As Text or Graphics, and Page Margins, and resolution. Also most of the settings in the PDF-XChange for AcroPlot Pro

PDF-XChange for AcroPlot Pro and Controlling Settings in the PC3 File

Our printer driver works slightly different in AutoCAD PC3 files than most other printer drivers. Due to the large number of settings we allow in our driver the standard Windows Printer Configuration structure is not large enough to store all of the settings. Because of this we have implemented Profiles in the PDF-XChange for AcroPlot Pro driver. When creating your PC3 file you want to make sure that you set the PDF-XChange for AcroPlot Pro to the Profile that stores the settings you would like to use so the profile name is saved in the AutoCAD PC3 file.

AutoCAD Margins Bug with True Type Text Causing Text to be Clipped

AutoCAD has had a bug that Autodesk refuses to fix since AutoCAD 2000. If you notice when you select the PDF-XChange for AcroPlot Pro system printer in AutoCAD it will show that the paper sizes have a 0.125" margin even though the margins in the PDF-XChange for AcroPlot Pro system printer is set to have a 0.0 margin. The reason for this is that somebody way back when felt that they should consider any margin less than 0.125" as invalid (probably because in the old days printers couldn't print all of the way to the edge). Autodesk has confirmed this as a bug years ago and assured us that it has nothing to do with our printer driver.
Now normally this wouldn't be a big problem except Autodesk has another bug in the program (again which they refuse to fix) which relates to how True Type Text is sent out. When True Type Text is sent out to a printer as text it has two parts. The first part is the clipping plane that defines what the rectangle is that will clip the text if it is near the edge of a viewport or the edge of the paper. The second part is the actual text information itself. The problem is that Autodesk uses the real margin of the printer for the first part and the assumed (0.125") margin for the second part causing the text to be clipped wrong.
You can see the problem areas highlighted below.

So How do I Get Around the Margins Bug?

1.) Use our AcroPlot Pro or AcroPlot Jr. interface. There are more features like per object transparency that is not supported when going directly to the driver. We will also be releasing versions of AcroPlot Pro that support searchable text for shx and True Type fonts that are not a 1.0 width factor that again cannot be accomplished when printing directly to a PDF driver.
2.) The best way around this is to use a pc3 and pmp file and define the margins in the pmp file to 0.0 for every size paper you print to. This is essentially what we do behind the scenes when you use our AcroPlot Pro or AcroPlot Jr. interface.
3.) Or you could create a Pc3/Pmp (AutoCAD Plotter Configuration) file in AutoCAD and then use the Custom Properties to get to the PDF-XChange for AcroPlot Pro printer driver. Then set the margin to 0.125" there and save the settings so only AutoCAD will use the larger margin value.
4.) Another option is to set the Margin in the PDF-XChange for AcroPlot Pro printer driver to 0.125" for all of your programs. We do recommend this option.
5.) Tha last option is to set the Pc3 file options to Create True Type Text As Graphics although this then creates larger size files typically and you won't have searchable text. We do recommend this option.

Why do I not see this Bug with the Adobe PDF, Autodesk PDF, or Other Drivers?

The AutoCAD DWF and PDF drivers both bypass the Windows System Printing and hence they do not have this bug in their drivers. But trust us, they have plenty of other bugs with MText Masks, Wipeouts, and larger file sizes. This is why most of our users continue to use AcroPlot Pro to create the best PDF files from AutoCAD.
The Adobe driver and many other PDF drivers are based off of a Postscript printing process instead of the Windows GDI printing that our PDF Driver uses as well as the vast majority of printer drivers. Postscript drivers from AutoCAD always convert text as graphics and they also don't support lines merge. So since the text is not sent out as text there is no clipping planes to send out and the bug doesn't show up. Since the vast majority of users create PDF files through our programs we were not about to go the postscript route and loose out on searchable text and lines merge for our users.
Again don't believe us, try printing it to the Microsoft XPS Document Writer that is included in Windows and you will get similar results as seen below.


Topic: Using Profiles to Control Settings

×

  • Printing From AutoCAD
  • Using Profiles to Control Settings
  • Previous page
  • Next page

Using Profiles to Control Settings

Profiles allow you to easily manage the various settings in the PDF-XChange for AcroPlot Pro printer driver. In AutoCAD if you want to setup different PC3 files for different settings you must do it by defining a profile and then setting the profile as the Active one when you are creating the PC3 file. This is because our driver has more settings than which the Windows Printer Configuration settings allow.

Step 1 - Closing AutoCAD

Close AutoCAD to make sure the it fully picks up on the printer driver settings we are going to create.

Step 2 - Opening the Printer Driver Printing Preferences Dialog

Let's start by going to the Windows > Start Menu > Printers and Faxes and then right clicking on the PDF-XChange for AcroPlot Pro Printer driver and selecting the Printing Preferences.

Step 3 - Setting the Printer Driver Settings

When the Printing Preferences dialog comes up you can set the various settings that you want. We will discuss the Save options in the next section off the help titled Using Profiles Save Settings to Control Where Your PDF is Saved.

Step 4. - Creating the Profile Name

Now we want to go to the Profiles Tab so we can save these settings as a new Profile or update an existing Profile if you already have one. In this case we do not have one yet so we are going to hit the Add button to create a new one.
Now we will name the new one AutoCAD and select the OK button.
You can now see that we have a new Profile named AutoCAD and if it is not bold then lets select the Use button to make it the current one.
IMPORTANT NOTE:
When a Profile is made current any changes you make to that Profile are NOT SAVED until you go back to the Profiles Tab and use the Add button to Add the current settings under an existing profile name.

Step 5 - Saving the Profile Settings

Now that you have your settings the way you want them you can hit the OK button to close out the PDF-XChange for AcroPlot Pro Printer Preferences Dialog.

Step 6 - Creating the Pc3 file in AutoCAD

Start up you AutoCAD and select a drawing to print from and issue the Print Command. Then select the PDF-XChange for AcroPlot Pro printer in the list.
Next select the Properties Button.
Then select the Device and Documents Settings Tab and then the Custom Properties in the list and finally select the Custom Properties Button.
This will bring up the PDF-XChange for AcroPlot Pro Printing Preferences Dialog again. Here we want to go to the Printing Preferences Tab and make sure that your named Profile is the current one (bold) and if not then you should select it in the list and select the Use button to make it the current one. This is the profile that the Pc3 file will use regardless of the current setting in the printer driver. Hit the OK button to return back to the AutoCAD Plotter Configuration Dialog.
Now you should modify the Standard Paper Sizes so that all of the sizes you have will have 0.0" margins to eliminate a long standing AutoCAD bug. You can read more about why you want to do this at The Importance Of Using Pc3 Files In AutoCAD
Once you hit OK AutoCAD should prompt you to save the Pc3 file or you can select the Save As from the AutoCAD

Managing Profiles Across Multiple Users
Copyright(c) 2001-2017 by CADzation. All rights reserved.


Topic: Using the Save Settings to Control Where Your PDF is Saved

×

  • Printing From AutoCAD
  • Using the Save Settings to Control Where Your PDF is Saved
  • Previous page
  • Next page

Using the Save Settings to Control Where Your PDF is Saved

While the AcroPlot Admin program controls some of the settings for stripping off the Layout or Model names from the filenames in AutoCAD the Save Settings Tab in the PDF-XChange for AcroPlot Pro Printer Preferences controls where it is saved along with some additional filename options.


Topic: Managing Profiles Across Multiple Users

×

  • Printing From AutoCAD
  • Managing Profiles Across Multiple Users
  • Previous page
  • Next page

Managing Profiles Across Multiple Users

The profiles can be exported from the machine that you created them on and then imported on another users machine. Alternatively you can also export the profiles from the Windows Registry and import them onto all of your users machines.

Step 1 - Opening the Printer Driver Printing Preferences Dialog

Let's start by going to the Windows > Start Menu > Printers and Faxes and then right clicking on the PDF-XChange for AcroPlot Pro Printer driver and selecting the Printing Preferences.

Step 2 - Manual Exporting the Profile

Select the Profiles Tab then select the Profile that you would like to export and select the Export button. Select where you would like to save the profile to. A location such as a shared network drive would work best.

Step 3 - Manual Importing the Profile on Another Machine

On the other machine follow Step 1 to access the Printing Preferences for the PDF-XChange for AcroPlot Pro printer. Select the Profiles Tab then Import button.

Alternative Method - Automated Export and Import

The Profiles are saved under the following registry key so you can export them from the Windows Registry and import them on each users machine though a login script also if you would like.
HKEY_CURRENT_USER\Software\Tracker Software\PDF-XChange 5 AcroPlot\PDF-XChange for AcroPlot Pro\Profiles


Topic: Plotting Directly To ''PDF-XChange for AcroPlot Pro'' System Printer

×

  • Printing From AutoCAD
  • Plotting Directly To ''PDF-XChange for AcroPlot Pro'' System Printer
  • Previous page
  • Next page

Plotting Directly To ''PDF-XChange for AcroPlot Pro'' System Printer

The most efficient way to create a PDF file from AutoCAD is to use the AcroPlot / AcroPlot Pro menu and toolbar inside AutoCAD. AcroPlot / AcroPlot Pro software is made specifically for creating PDF files from AutoCAD that are rotated correctly, support ''lines merge'' settings, and are compact in file size.
It is not recommended that you use the ''Print / Plot" command for creating PDF files from within AutoCAD to a Microsoft Windows virtual printer due to the fact that AutoCAD and Windows virtual printing do not translate drawing orientation correctly. It is commonplace for a AutoCAD user to specify ''Landscape" in their AutoCAD plot settings, and ''Lanscape" in the printer/plotter printing preferences, only to achieve a PDF file that is rotated to ''Portrait" orientation. This situation can also happen when using the AutoCAD ''print/plot'' command and selecting the ''PDF-XChange for AcroPlot Pro'' system printer and is why we recommend using the AcroPlot / AcroPlot Pro menu and toolbar for creating PDF files from AutoCAD. AcroPlot will create a PDF correctly every time.
That being said, there are times when a CAD User will need print to the ''PDF-XChange for AcroPlot Pro'' system printer from AutoCAD to create a PDF file and the following steps describe the process.
NOTE: The ''PDF-XChange for AcroPlot Pro'' system printer is a common component installed with the AcroPlot Pro software application.
IMPORTANT FILENAME LENGTH LIMITATION: AutoCAD has an internal limitation of 140 characters that it can send out to any Windows System Printer Driver. If you have combined paths and filenames that are longer than 140 characters you must set the AutoCAD System Variable FullPlotPath=0 so that AutoCAD only sends out the filename and not the path and filename to avoid having your filenames truncated. In this case we will not know which path to save the file in so you will have to specify the path in the Save As Dialog or specify a path in the Printing Preferences Save Options.

Plotting to ''PDF-XChange for AcroPlot Pro'' Using the AutoCAD ''Plot'' command

Plotting or printing to a PDF file using the AutoCAD ''Plot'' command and selecting the ''PDF-XChange for AcroPlot Pro'' system printer will result in creating a PDF file that is saved to a specified folder. Even though the ''Plot'' command was executed, the final result is a file being created. No printing on any of your connected printing / plotting devices will occur. Once the PDF has been created and saved, you can open the PDF file for viewing and actual hardcopy printing.
Here are the steps for plotting to a PDF from AutoCAD using the ''PDF-XChange for AcroPlot Pro'' system printer driver.
1.
Launch AutoCAD and open a DWG file. AcroPlot / AcroPlot Pro has a sample file that is good for testing PDF creation. Here is the location to the CADzation Benchmark DWG to PDF file for AutoCAD: "C:\Program Files\AcroPlot\Samples\CADzation-DWG-to-PDF-Benchmark-FileR4.dwg"
2.
Select [File > Plot...] to invoke the AutoCAD plot window.
3.
In the AutoCAD plot window select the ''PDF-XChange for AcroPlot Pro'' as the printer. (Do not use the AcroPlot.pc3 as this is specifically utilized by the AcroPlot / AcroPlot Pro software application).
4.
Select the paper size in the ''Paper size'' pulldown. The CADzation-DWG-to-PDF-Benchmark-FileR4.dwg is a D-size layout. So, choose 24x36 for the sheet size. Hint: In the sheet sizes available for the ''PDF-XChange for AcroPlot Pro'' system printer there are some standard sizes that are listed at pure numbers (12x18, 24x36, 36x48....) without any other description. These sheets contain additional background coding to assist in creating PDF files that are ''Landscape'' in orientation from AutoCAD and are recommended for PDF creation.
5.
Set the remaining plot settings as needed.
6.
Select the ''OK" button to begin plotting to a PDF file.
7.
The AutoCAD "Plot Job Progress" status window will appear while the DWG file is being rendered to PDF.
8.
Once all plot processing is complete a ''Save As'' window will appear and allow you to specify the location to save the PDF file to, as well as, its file name.
9.
Select the ''Save'' button to save the PDF file.
Done! You just created a PDF file of your drawing from AutoCAD.
Did you know that you can print to the ''PDF-XChange for AcroPlot Pro'' system printer from any Windows software program to create a PDF file?
The ''PDF-XChange for AcroPlot Pro'' system printer has CAD specific programming built into it for creating the most optimized PDF files from other CAD applications like Bentley Microstation, CATIA, Pro/E, TurboCAD, and much more.


Topic: Filename Length Limitations in AutoCAD

×

  • Printing From AutoCAD
  • Filename Length Limitations in AutoCAD
  • Previous page
  • Next page

Filename Length Limitations in AutoCAD

AutoCAD has an internal limitation of 140 characters that it can send out to any Windows System Printer Driver if you are printing directly to our PDF-XChange for AcroPlot Pro printer driver from AutoCAD.
If you have combined paths and filenames that are longer than 140 characters you must set the AutoCAD System Variable FullPlotPath=0 so that AutoCAD only sends out the filename and not the path and filename to avoid having your filenames truncated. In this case we will not know which path to save the file in so you will have to specify the path in the Save As File Dialog or specify a path in the Printing Preferences Save Options of the PDF-XChange for AcroPlot Pro Printer Driver.
If you use our AcroPlot interface or one of the AcroPlot Menu options in AutoCAD we directly control the output filename instead of going through the Windows System Printer Driver name so you will not have this limitation.
The AutoCAD DWF and PDF built-in Heidi Drivers also do not have this limitation due to the fact that they do not go through the Windows System Printers either.


Topic: Creating PDF Files In AutoCAD LT

×

  • Printing From AutoCAD
  • Creating PDF Files In AutoCAD LT
  • Previous page
  • Next page

Creating PDF Files In AutoCAD LT

The most efficient way to create a PDF file from AutoCAD is to use the AcroPlot / AcroPlot Pro menu and toolbar inside AutoCAD. AcroPlot / AcroPlot Pro software is made specifically for creating PDF files from AutoCAD that are rotated correctly, support ''lines merge'' settings, and are compact in file size.
It is not recommended that you use the ''Print / Plot" command for creating PDF files from within AutoCAD to a Microsoft Windows virtual printer due to the fact that AutoCAD and Windows virtual printing do not translate drawing orientation correctly. It is commonplace for a AutoCAD user to specify ''Landscape" in their AutoCAD plot settings, and ''Lanscape" in the printer/plotter printing preferences, only to achieve a PDF file that is rotated to ''Portrait" orientation. This situation can also happen when using the AutoCAD ''print/plot'' command and selecting the ''PDF-XChange for AcroPlot Pro'' system printer and is why we recommend using the AcroPlot / AcroPlot Pro menu and toolbar for creating PDF files from AutoCAD. AcroPlot will create a PDF correctly every time.
That being said, there are times when a CAD User will need print to the ''PDF-XChange for AcroPlot Pro'' system printer from AutoCAD to create a PDF file and the following steps describe the process.
NOTE: The ''PDF-XChange for AcroPlot Pro'' system printer is a common component for AcroPlot and AcroPlot Pro software applications and must be installed. The full functionality and licensing of the ''PDF-XChange for AcroPlot Pro'' system printer is only available with AcroPlot Pro. If you have only licensed AcroPlot, then the PDF files created by printing to this driver will result in a PDF that contains evaluation watermarks. To fully enable the ''PDF-XChange for AcroPlot Pro'' system printer, you will need to upgrade to AcroPlot Pro.

Plotting to ''PDF-XChange for AcroPlot Pro'' Using the AutoCAD ''Plot'' command

Plotting or printing to a PDF file using the AutoCAD ''Plot'' command and selecting the ''PDF-XChange for AcroPlot Pro'' system printer will result in creating a PDF file that is saved to a specified folder. Even though the ''Plot'' command was executed, the final result is a file being created. No printing on any of your connected printing / plotting devices will occur. Once the PDF has been created and saved, you can open the PDF file for viewing and actual hardcopy printing.
Here are the steps for plotting to a PDF from AutoCAD using the ''PDF-XChange for AcroPlot Pro'' system printer driver.
1.
Launch AutoCAD and open a DWG file. AcroPlot / AcroPlot Pro has a sample file that is good for testing PDF creation. Here is the location to the CADzation Benchmark DWG to PDF file for AutoCAD: "C:\Program Files\AcroPlot\Samples\CADzation-DWG-to-PDF-Benchmark-FileR4.dwg"
2.
Select [File > Plot...] to invoke the AutoCAD plot window.
3.
In the AutoCAD plot window select the ''PDF-XChange for AcroPlot Pro'' as the printer. (Do not use the AcroPlot.pc3 as this is specifically utilized by the AcroPlot / AcroPlot Pro software application).
4.
Select the paper size in the ''Paper size'' pulldown. The CADzation-DWG-to-PDF-Benchmark-FileR4.dwg is a D-size layout. So, choose 24x36 for the sheet size. Hint: In the sheet sizes available for the ''PDF-XChange for AcroPlot Pro'' system printer there are some standard sizes that are listed at pure numbers (12x18, 24x36, 36x48....) without any other description. These sheets contain additional background coding to assist in creating PDF files that are ''Landscape'' in orientation from AutoCAD and are recommended for PDF creation.
5.
Set the remaining plot settings as needed.
6.
Select the ''OK" button to begin plotting to a PDF file.
7.
The AutoCAD "Plot Job Progress" status window will appear while the DWG file is being rendered to PDF.
8.
Once all plot processing is complete a ''Save As'' window will appear and allow you to specify the location to save the PDF file to, as well as, its file name.
9.
Select the ''Save'' button to save the PDF file.
Done! You just created a PDF file of your drawing from AutoCAD.
Did you know that you can print to the ''PDF-XChange for AcroPlot Pro'' system printer from any Windows software program to create a PDF file?
The ''PDF-XChange for AcroPlot Pro'' system printer has CAD specific programming built into it for creating the most optimized PDF files from other CAD applications like Bentley Microstation, CATIA, Pro/E, TurboCAD, and much more.


Topic: Using The AutoCAD Publish For PDF Output

×

  • Printing From AutoCAD
  • Using The AutoCAD Publish For PDF Output
  • Previous page
  • Next page

Using The AutoCAD Publish For PDF Output

Help Coming Soon


Topic: Using The AutoCAD Sheet Set Manager For PDF Output

×

  • Printing From AutoCAD
  • Using The AutoCAD Sheet Set Manager For PDF Output
  • Previous page
  • Next page

Using The AutoCAD Sheet Set Manager For PDF Output

Help Coming Soon


Topic: Lines Merge Control For AutoCAD Printing

×

  • Printing From AutoCAD
  • Lines Merge Control For AutoCAD Printing
  • Previous page
  • Next page

Lines Merge Control For AutoCAD Printing

Unfortunately Autdesk for whatever reason decided that the lines merge in AutoCAD would only be controlled by the Pc3 file. So you cannot print directly to a plotter driver and expect the lines merge to work. You must create a Pc3 file in AutoCAD using the Plotter Manger for the PDF-XChange for AcroPlot Pro and then under the Device and Document Settings > Merge Control > Graphics enable the "Lines Merge" instead of the "Lines Overwrite".
We also strongly suggest that you leave the defualt Blending Mode to "Darken" and the De-tessellation to "Simple" for AutoCAD. Click Here for More Info


Topic: Controlling Output File Names From AutoCAD

×

  • Printing From AutoCAD
  • Controlling Output File Names From AutoCAD
  • Previous page
  • Next page

Controlling Output File Names From AutoCAD

Unfortunately Autdesk has been horrible to say the least with how they pass the filename out to a system printer driver. For some reason they thought it would be a good idea to always append on a " (1)" to the end and for a few version also appened on the .dwg or .dxf extension name. Also prior to 2005 they only passed the short name and not the fullname with the path. So in AutoCAD 2000, 2000i, 2002, and 2004 we cannot know what they default folder is to save it in so it will default to the last folder that you saved the PDF file in.
In AutoCAD 2006 and newer if you have the fullplotpath system variable set to 1 then we do know what folder to save the file in.
So let's says you have a drawing saved as Drawing1.dwg in your My Documents folder.
(C:\Documents and Settings\YourLogin\My Documents\Drawing1.dwg) If we look at the various versions of AutoCAD this is how the filenames are going to be sent out to the system printer driver.
Version | Fullplotpath | Filename that is sent out to the System Printer Driver
2000 | NA | Drawing1 Model (1)
2000i | NA | Drawing1 Model (1)
2002 | NA | Drawing1 Model (1)
2004 | NA | Drawing1 Model (1)
2005 | NA | C:\Documents and Settings\YourLogin\My Documents\Drawing1.dwg Model (1)
2006 | 0 | Drawing1.dwg Model (1)
2006 | 1 | C:\Documents and Settings\YourLogin\My Documents\Drawing1.dwg Model (1)
2007-2013 | 0 | Drawing1 Model (1)
 | 1 | C:\Documents and Settings\YourLogin\My Documents\Drawing1 Model (1)
So because we know that you probably do not want the AutoCAD naming conventions we have added a few filters into our PDF-XChange for AcroPlot Pro Printer Driver. To access these settings simply run the AcroPlot Admin Program.
Strip off " Model (1)" - When checked this will remove all " Model (1)" from the end of the filename and you will just end up with Drawing1.pdf
Strip off " Model (1)" - When checked this will remove all " Layout* (1)" from the end of the filename and you will just end up with Drawing1.pdf. You do have to be careful on this one because if you have the word Layout in the filename with a space before it then it will strip out starting at that point. So do not be naming your drawings like "Sample Layout.dwg"
Strip off " (1) - This will just strip off the " (1)" from the end so you will end up with "Drawing1 Model.dwg" We strongly recommend that you keep this one checked.
Strip off all layout names - This one will strip off the layout name no matter what it is. Also this one only works properly if you do not have any spaces in your folder name and the filename because it works by stripping off starting at the 1st space that it finds.
Strip off ".dwg " - This will strip off just the .dwg from AutoCAD 2005 and 2006. Depending on the other ones that you also have selected it will strip off those also.
Strip off ".dwg *" - This will strip off everything after the .dwg from AutoCAD 2005 and 2006 so it will remove all layoutnames.


Topic: MText Background Masks With Lines Merge

×

  • Printing From AutoCAD
  • MText Background Masks With Lines Merge
  • Previous page
  • Next page

MText Background Masks With Lines Merge

Unfortunately Autodesk has refused to fix what we have always considered a bug in their program when it comes to MText Background Masks and Lines Merge. When you enable lines merge support to any output device even their own DWF driver the MText Background Masks become transparent. We have always thought this was a bug and most users agree with use but Autodesk's comment is that this is "By Design" and they have never fixed the problem or given users an option on the output.


Topic: PDF/A Notes and Limitations

×

  • PDF/A Notes and Limitations
  • Previous page
  • Next page

PDF/A Notes and Limitations

PDF/A is a special subset of the PDF format designed for long term archival. AcroPlot Pro can create new files in PDF/A-1 and PDF/A-2 formats from many file types like Office, DWG, DXF, PLT, and Images. But other formats like existing PDF files and DWF files at this time cannot be converted to PDF/A due to the complexity and limitations of the formats.
The exclusion of transparency in the PDF/A-1 formats was really a killer for most of our users because lines merge is used so much in the CAD world. The introduction of the PDF/A-2 format helps with this problem but there are still things.
We are exploring a few different options such as working with 3rd Party PDF to PDF/A converters or possibly creating raster PDF files to get around the transparency and other issues in existing PDF and DWF files. Please contact our sales at sales@cadzation.com with your requirements and number or users so we may provide you with some options.
PDF/A-1 was based on the PDF 1.4 format (Acrobat 5.0) where PDF/A-2 is based on the PDF 1.7 format. For more information on the formats please see the following Wikipedia page http://en.wikipedia.org/wiki/PDF/A
Some limitations of it are:
 | PDF/A-1 | PDF/A-2
Transparency (lines merge) is not allowed. | * |
All fonts must be embedded (even the standard 14 fonts that all viewers are supposed to be able to display and are typically not embedded in normal PDF files). | * | *
Encryption (password protection) is not allowed. | * |
PAdES digital signatures are allowed |  | *
Color profiles must be embedded | * | *
Optional Content (layers) is not allowed. | * |
Audio and video, files are not allowed. | * |
Javascript is not allowed. | * | *
LZW image compression is not allowed. | * | *
JPEG200 image compression is not allowed. | * |
Embedded files and packaged PDF's are not allowed. | * |


Topic: Optimizing Your PDF Files

×

  • Optimizing Your PDF Files
  • Previous page
  • Next page

Optimizing Your PDF Files

This section has some basic hints on how to optimize your PDF files.

The contents of Optimizing Your PDF Files

Using True Type Text In AutoCAD
Creating Searchable PDF's
Reducing The PDF File Size


Topic: Using True Type Text In AutoCAD

×

  • Optimizing Your PDF Files
  • Using True Type Text In AutoCAD
  • Previous page
  • Next page

Using True Type Text In AutoCAD

Creating PDF files from AutoCAD that allow text searching throughout the entire document and at the highest level of compression, requires the use of True Type Fonts (TTF) in your AutoCAD drawings.
There are some conditions that must be met to ensure proper conversion of True Type Fonts in AutoCAD to PDF. These are AutoCAD limitations in how it determines in the output stream to treat text.
1.
The width factor must be 1.0. Modifying the width value in AutoCAD will prevent the TTF from converting as text to PDF.
2.
The oblique angle within the style must be set to 0.0. Modifying the oblique angle in AutoCAD will prevent the TTF from converting as text to PDF.
3.
The font must not be set to "Fit"
4.
The font must have a Z coordinate of 0.0
5.
If the font is part of a block the X and Y scale factors must be the same.
.
In additon the Adobe PDF Specification specifies a set of 14 fonts that must be available to every PDF reader: Helvetica (normal, bold, italic, bold italic), Times (normal, bold, italic, bold italic), Courier (normal, bold, italic, bold italic), Symbol and ZapfDingbats. So if you use only these fonts in your AutoCAD drawings you do not have to embed the fonts because even if the user does not have the font installed the software that they are using to view the PDF file is supposed to have them. This is also true for Apple, Unix, and Linux systems.
Many firms have AutoCAD drawings that contain more than one font. Some fonts are TTF and others are either SHX or custom fonts. The SHX fonts don't convert as text on PDF files. They convert as outlines and curves which increase the PDF file size dramatically. For a firm to simply stop using a custom font so that the PDF's its designers create are text searchable and smaller in size is like asking an artist to paint with only one brush.
There is a solution. Firms that have custom fonts or SHX fonts that they use on a daily basis as a part of their drawing standards can have these fonts converted into a TTF that will install as a Windows font. By converting their in-house fonts to TTF they will be able to maintain their current drawing standards and enjoy the benefit of creating PDF's that are text searchable and significantly smaller in file size.
TC Fonts is a company that will convert your SHX and custom fonts to true type fonts. You must be specific in letting them know that the SHX font needs to be converted to true type font, because they also have software that will convert true type fonts to many CAD font formats. Click here for the TC Fonts web site.


Topic: Creating Searchable PDF's

×

  • Optimizing Your PDF Files
  • Creating Searchable PDF's
  • Previous page
  • Next page

Creating Searchable PDF's

Creating PDF files from AutoCAD that allow text searching throughout the entire document and at the highest level of compression, requires the use of True Type Fonts (TTF). A PDF file with searchable text allows the user to quickly search the entire drawing(s) by any keyword or value.
There are some conditions that must be met to ensure proper conversion to PDF.
  • 1.
    Any True Type Font can be used. AutoCAD TXT or SHX fonts are graphical fonts and do not get converted as text in AutoCAD's plot output.
  • 2.
    The properties of the TTF or text style used in AutoCAD must be set to the following:
  • 3.
    The width factor must be 1.0. Modifying the width value in AutoCAD will prevent the TTF from converting as text to PDF.
  • 4.
    The oblique angle within the style must be set to 0.0. Modifying the oblique angle in AutoCAD will prevent the TTF from converting as text to PDF.
  • 5.
    Custom fonts may be used as long as they are a TTF that installs as a Windows font. See using True Type Fonts in AutoCAD.


Topic: Reducing The PDF File Size

×

  • Optimizing Your PDF Files
  • Reducing The PDF File Size
  • Previous page
  • Next page

Reducing The PDF File Size

Creating PDF files from AutoCAD can be done in many ways. But creating PDF's with the smallest file size and with the highest quality viewing and printing capability is only possible when using True Type Fonts (TTF). This due to the fact that the PDF file has the ability to compress the all the TTF text in the drawing.
When comparing the PDF file sizes of three identical AutoCAD drawings that only differ in the type of font used, the difference in file size is quite surprising. To download the AutoCAD file used to for the following results click on the following link. AcroPlot-TTF-Sample.dwg.
Below are the PDF file sizes based on font:
·
117KB ------------------"AcroPlot-TTF-Sample.dwg" See using True Type Fonts in AutoCAD
·
205KB or 175% Larger "AcroPlot-TXT-Sample.dwg"
·
297KB or 254% Larger "AcroPlot-SHX-Sample.dwg"
·
1.4MB or 1,226% Larger "AcroPlot-Text as Graphics-Sample.dwg" (Font doesn't matter when converting text as graphics)
Properly using True Type Fonts in AutoCAD when creating PDF flies with CADzation software will result in PDF files that are a much as 12 times smaller in file size.
The other added benefits are PDF's that will view and print faster due to the reduced file size. The text in the PDF's will also print sharper at any reduction or enlargement because it is a real font and not a graphic element.


Topic: Customizing The Software

×

  • Customizing The Software
  • Previous page
  • Next page

Customizing The Software

This section has some basic information on customizing the software. We have already added in most of the features that our customers have requested but we are also available to create custom routines for just about anything you need when it comes to PDF and DWF.

The contents of Customizing The Software

Customization
AcroPlot Standard API
AcroPlot Advanced API
AcroPlot Restricted API
AcroPlot Advanced Command Line
API Sample - VBA
Online API Samples
How To Tell If AcroPlot Is Running


Topic: Customization

×

  • Customizing The Software
  • Customization
  • Previous page
  • Next page

Customization

To create or convert files using the command line mode API or ActiveX automation mode interface, it is required to purchase a license of AcroPlot Auto for each server running the process. If there will be additional PC's running AcroPlot Suite licenses or any of its components, then it is also required to purchase the number licenses needed in addition to the AcroPlot Auto server license.
If 50 or more licenses of AcroPlot Suite are purchased, then you are provided with a way to do some basic customization using Visual LISP and your menus to provide single-click output using the AcroPlot AutoCAD Add-in. The cool thing about this is that if you have existing LISP routines or menus for plotting, then you can probably easily replace them with AcroPlot routines to create PDF files and your users won't even know the difference. For some examples please contact us with your specific requirements at sales@cadzation.com
Here are some customized routines we have done for our clients:
  • •
    Created a DOS command line version for the customer to integrate with their existing document management system to create a PDF of all the named views in the drawing.
  • •
    Created a DOS command line version for the customer to create a single PDF.
.
All AcroPlot Suite licenses can access the basic API, however, the user will be prompted with a "Save As" dialogue window to provide the filename to save any files that are created using custom scripts.


Topic: AcroPlot Standard API

×

  • Customizing The Software
  • AcroPlot Standard API
  • Previous page
  • Next page

AcroPlot Standard API

The Standard API designed for users who would like to create their own toolbars or menus to access AcroPlot's basic functionality with predefined output filenames.
All AcroPlot Suite licenses can access some of the Standard AcroPlot API from inside of AutoCAD to provide predefined output for where they would like the files created to be saved.
To create or convert files using the command line mode API or ActiveX automation mode interface, it is required to purchase a license of AcroPlot Auto for each server running the process. If there will be additional PC's running AcroPlot Suite licenses or any of its components, then it is also required to purchase the number licenses needed in addition to the AcroPlot Auto server license.

Notes:

1.
If the sOutputFilename exists the PDF files will be merged to it.
2.
If the sOutputFilename is read-only or is opened in Adobe Acrobat or Adobe Reader the conversion will fail.
3.
If the RestoreSettings is not called or provided a proper settings name then the last used settings in AcroPlot Jr. will be used.
4.
If you are merging multiple layouts or drawings into the same PDF make sure that you turn off the OpenPDF setting by using:
SetSetting "AcroPlotSettings.OpenPDF" 0

The Standard API Calls are:

AcroPlotJCurrent(ByVal oAcadApp As AcadApplication) As Boolean
This method will convert the current layout (either modelspace or paperspace) to PDF.
AcroPlotJModel(ByVal oAcadApp As AcadApplication) As Boolean
This method will convert the modelspace layout to PDF.
AcroPlotJPaper(ByVal oAcadApp As AcadApplication) As Boolean
This method will convert the all of the paperspace layouts in the tab order to PDF.
AcroPlotJView(ByVal oAcadApp As AcadApplication) As Boolean
This method will convert the modelspace layout to PDF.
GetAvailableSettings(ByVal sSettingName As String, ByRef sRet As String) As Long
This method will return a string array of the available setting names based on the following 3 categories that can be passed in for sSettingCategory
AcroPlotSettings
AcroPlotPrinter
AcroPlotAutoCAD
GetSetting(ByVal sSettingName As string, ByRef vValue As Variant) As Long
This method allows you to get the current value of the setting name that you passed in. If the setting name does not exist it will return 0. If it does exist it will return 1.
Init() As Long
This method initializes the AcroPlot API.
Quit()
This method must be called to release the AcroPlot Application Object properly.
RestoreSettings(ByVal sSettings As String) As Long
This method restores a named setting that you had previously saved using AcroPlot or AcroPlot Jr.
RunAutoCADFull(ByVal oAcadApp As Object) As Boolean
Runs the AcroPlot Program from inside of AutoCAD. Useful if you want to provide your own menu routines.
RunAutoCADJunior(ByVal oAcadApp As Object) As Boolean
Runs the AcroPlot Junior Program from inside of AutoCAD. Useful if you want to provide your own menu routines.
RunAutoCADPro(ByVal oAcadApp As Object) As Boolean
Runs the AcroPlot Pro Program from inside of AutoCAD. Useful if you want to provide your own menu routines.
SetOutputFilename(ByVal sOutputFilename As String) As Long
This method allows you to set the output filename. The user will still be prompted for the filename unless you are an AcroPlot Auto customer or an AcroPlot Pro customer with 25 or more licenses.
SetOutputFormtID(ByVal lOutputFormat As Long) As Long
This method allows you to set the output format to use. While the default output format is automatically set when you call the SetOutputFIlename there are some formats like Tiff that can be color or monochrome as well as different output DPI. So you must call the SetOutputFormatID AFTER the SetOutputFilename.
The valid output formats values are:
pdf = 1
dwf6 = 2
'reserved for future use
BMP = 4
CAL = 5
GIF = 6
gp4 = 7
JPG = 8
PNG = 9
tif = 10 (color tiff at 100 dpi)
tifmono = 11 (monochrome group 3 fax format tiff at 100 dpi)
tifmono200 = 12 (monochrome group 3 fax format tiff at 200 dpi)
tifmono300 = 13 (monochrome group 3 fax format tiff at 300 dpi)
tifmono400 = 14 (monochrome group 3 fax format tiff at 400 dpi)
tif200 = 15 (color tiff at 200 dpi)
tif300 = 16 'not supported reserved for future use
tif400 = 17 'not supported reserved for future use
dwfpdf = 18
dwfpdftif = 19
dwfpdftifmono = 20
dwfpdftifmono200 = 21
dwfpdftifmono300 = 22
dwfpdftifmono400 = 23
pdftif = 24
pdftifmono = 25
pdftifmono200 = 26
pdftifmono300 = 27
pdftifmono400 = 28
'reserved for future use
rasterpdf100 = 30 'not supported reserved for future use
rasterpdf150 = 31 'not supported reserved for future use
rasterpdf200 = 32 'not supported reserved for future use
rasterpdf300 = 33 'not supported reserved for future use
rasterpdf400 = 34 'not supported reserved for future use
rasterpdfmono100 = 35 'not supported reserved for future use
rasterpdfmono150 = 36 'not supported reserved for future use
rasterpdfmono200 = 37 'not supported reserved for future use
rasterpdfmono300 = 38 'not supported reserved for future use
rasterpdfmono400 = 39 'not supported reserved for future use
tif600 = 40 'not supported reserved for future use
tifmono600 = 41 (monochrome group 3 fax format tiff at 600 dpi) 'not supported reserved for future use
dwfpdftifmono600 = 42 'not supported reserved for future use
pdftifmono600 = 43 'not supported reserved for future use
rasterpdf600 = 44 'not supported reserved for future use
rasterpdfmono600 = 45 'not supported reserved for future use
cal200 = 46 'not supported reserved for future use
cal400 = 47 'not supported reserved for future use
cal600 = 48 'not supported reserved for future use
gp4200 = 49 'not supported reserved for future use
gp4400 = 50 'not supported reserved for future use
gp4600 = 51 'not supported reserved for future use
cal300 = 52 'not supported reserved for future use
gp4300 = 53 'not supported reserved for future use
dwfx = 54 'not supported reserved for future use
SetSetting(ByVal sSettingName As String, ByVal vValue As Variant) As Variant
This method allows you to override the settings from the RestoreSettings. See below for the currently supported settings.
Any setting in the AcroPlotSettings.ini file can be used used. You can typically find the file in the C:\Users\[USERNAME]\AppData\Roaming\CADzation\AcroPlot\AcroPlotsettings.ini location by using the name on the left as the SettingName like acroplotsettings_bookmarkacadblocknames.

Some common settings are:

sSettingName | Type | vValues
BackgroundPlot | Integer or Long | Controls if AutoCAD uses background plotting. On some systems like Server 2008 we sometimes need to enable background plotting to driver AutoCAD properly. Usually though you can leave this set to -1. -1 = Let us control background plotting needs 0 = Force off background plotting in AutoCAD 1 = Force on background plotting in AutoCAD
DWGCreateIndividualFiles | Integer or Long (True/False) | -1 = Create an individual file for each layout being converted 0 = Create a single file containing all layouts
AcroplotSettings.BookmarkAcadBlocknames | String |
AcroplotSettings.BookmarkAcadDrawingText | String |
AcroplotSettings.BookmarkAcadLayoutText | String |
AcroplotSettings.BookmarkDrawing | Integer or Long (True/False) | -1 = Add bookmarks into the PDF. 0 = Do not add Bookmarks into the PDF
AcroplotSettings.BookmarkDrawingIndividual | Integer or Long (True/False) | -1 = Add drawing level bookmark to the PDF. 0 =Do not add a drawing level bookmark to the PDF.
AcroplotSettings.BookmarkDrawingProperties | Integer or Long (True/False) | -1 = Add bookmarks for the drawing properties to the PDF 0 = Do not add bookmarks for the drawing properties to the PDF.
AcroplotSettings.BookmarkKeep | Integer or Long (True/False) | -1 = If an existing PDF file is being merged keep it's existing bookmarks instead of adding a new one. 0 = Remove all bookmarks and add in our calculated bookmark when merging PDF files.
AcroplotSettings.BookmarkLayout | Integer or Long (True/False) | -1 = Add a layout level bookmark into the PDF file. 0 = Do not add a layout level bookmark into the PDF file.
AcroplotSettings.BookmarkLength | Integer or Long | Also set the BookmarkUseLength to limit the number of characters in a bookmark, Maximum number of characters for the bookmark length.
AcroplotSettings.BookmarkMainText | String |
AcroplotSettings.BookmarkPDFText | String |
AcroplotSettings.BookmarkShowOnOpen | Integer or Long (True/False) | -1 = Show the bookmarks pane in the PDF when it is opened 0 = Do not force showing the bookmarks pane
AcroplotSettings.BookmarkUse | Integer or Long (True/False) | -1 = Add bookmarks to the PDF 0 = Do not add bookmarks
AcroplotSettings.BookmarkUseLength | Integer or Long (True/False) | Also set the BookmarkLength to limit the number of characters in a bookmark, -1 = Limit the length of the bookmark to the specified number of characters as defined by the BookmarkLength 0 = Do not limit the length of bookmarks.
AcroplotSettings.ConvertWith | String | This setting would only be used by the AcroPlot Advanced API users so please see that documentation for more information.
AcroplotSettings.CustomPlotScale | Double > 0.0 | Also set the PlotScale = -101 setting when using the CustomPlotScale 1.0 = Full Size 0.5 = Half Size
AcroplotSettings.DwgOrientation | Integer or Long | 1 = Portait 2 = Landscape 3 = Automatic
AcroplotSettings.DwgPaperSize | Integer or Long | 1 = Letter 5 = Legal 3 = Tabloid 24 = C size sheet 25 = D size sheet 26 = E size sheet 131 = Arch-A 132 = Arch-B 264 = Arch-C 265 = Arch-D 135 = Arch-E 266 = Arch-E1 360 = 22x33 259 = A0 260 = A1 66 = A2 8 = A3 9 = A4 11 = A5 70 = A6 12 = B4 13 = B5 361 = USER1 362 = USER2 363 = USER3 364 = USER4 365 = USER5 366 = USER6 367 = USER7 368 = USER8 369 = USER9 370 = Size saved in drawing 371 = Full Offset
AcroplotSettings.EnablePc3Support | Integer or Long (True/False) | -1 = Use pc3 files 0 = Do not use pc3 files
AcroplotSettings.DwfoutIncludeLayer | Integer or Long (True/False) | -1 = Include layer information 0 = Do not include layer information
AcroplotSettings.LinesMerge | Integer or Long (True/False) | -1 = Use lines merge 0 = Do not use lines merge Note: Not allowed with PDF/A-1a and PDF-A-1b formats
AcroplotSettings.OpenPDF | Integer or Long (True/False) | -1 = Open 0 = Do not open
AcroplotSettings.ReproBrightness | Integer or Long | -100 to 100 (Default = 0) Brightness setting to control making monochrome tiff files lighter or darker.
AcroplotSettings.ReproDitherType | Integer or Long | Used for converting files to monochrome tiff formats
AcroplotSettings.ReproScale | Double | Scale to use when converting to monochrome tiff files. >0.0 where 1.0 is full size and 0.5 is half size
AcroplotSettings.UseInternalViewerForPlotting | Integer or Long (True/False) | -1= Use the internal viewer instead of AutoCAD for plotting 0 = Use AutoCAD if installed for plotting
AcroplotAutoCAD.PlotScale | Integer or Long | 0 = Scale to Fit 16 = 1:1 Full Size 100 = Saved -101 = Custom (Also set the AcroPlotSettings.CustomPlotScale)
AcroplotAutoCAD.PlotType | Integer or Long | 1 = Extents 2 = Limits 3 = View 4 = Window 5 = Layout, -100 = Use saved Settings
AcroplotAutoCAD.PlotView | String | The view name to plot if PlotType = 3
AcroplotPrinter.Allow128Assembly | Integer or Long (True/False) | -1=When Allow128Bit is set to 2 this will allow users to assemble (add) PDF files to this one. 0=When Allow128Bit is set to 2 this will restrict users from doing it.
AcroplotPrinter.Allow128Bit | Integer or Long | 0=Do not add password security 1=Add 40 bit password security 2=Add 128 bit password security Note: Not allowed with PDF/A-1a and PDF-A-1b formats
AcroplotPrinter.Allow128Extract | Integer or Long (True/False) | -1=When Allow128Bit is set to 2 this will allow users to extract from the PDF file. 0=When Allow128Bit is set to 2 this will restrict users from doing it.
AcroplotPrinter.Allow128InteractiveForms | Integer or Long (True/False) | -1=When Allow128Bit is set to 2 this will allow users to fill in interactive forms. 0=When Allow128Bit is set to 2 this will restrict users from doing it.
AcroplotPrinter.Allow128PrintLow | Integer or Long (True/False) | -1=When Allow128Bit is set to 2 this will allow users to only print low resolution output if the AllowPrint is also enabled. 0=When Allow128Bit is set to 2 this will restrict users from doing it.
AcroplotPrinter.AllowChanges | Integer or Long (True/False) | -1=When Allow128Bit is set to 1 or 2 this will allow users to make changes to the PDF. 0=When Allow128Bit is set to 1 or 2 this will restrict users from doing it
AcroplotPrinter.AllowCopy | Integer or Long (True/False) | -1=When Allow128Bit is set to 1 or 2 this will allow users to copy info from PDF. 0=When Allow128Bit is set to 1 or 2 this will restrict users from doing it
AcroPlotPrinter.AllowNotes | Integer or Long (True/False) | -1=When Allow128Bit is set to 1 or 2 this will allow users to add annotation to the PDF. 0=When Allow128Bit is set to 1 or 2 this will restrict users from doing it
AcroPlotPrinter.AllowPrint | Integer or Long (True/False) | -1=When Allow128Bit is set to 1 or 2 this will allow users to print the PDF. 0=When Allow128Bit is set to 1 or 2 this will restrict users from doing it
AcroPlotPrinter.Author | String | Specifies the author for the PDF Document Properties
AcroplotPrinter.GrayScale | Integer or Long | 0 = Color 1 = Monochrome 2 = Grayscale
AcroPlotPrinter.Justification |  |
AcroPlotPrinter.Keywords | String | Specifies the keywords for the PDF Document Properties
AcroPlotPrinter.Orientation |  |
AcroPlotPrinter.PasswordAuthor | String | When Allow128Bit is set to 1 or 2 this will set the Author password to the text you entered. This is required when Allow128Bit is set to 1 or 2.
AcroPlotPrinter.PasswordUser | String | When Allow128Bit is set to 1 or 2 this will set the User password to the text you entered. This is optional and if an empty string then the users will not have to enter a password to open the PDF but the security permissions will still be set.
AcroPlotPrinter.PDFFormat |  | PDF Format to use
AcroPlotPrinter.Resolution | Long | Output Resolution of the PDF. Available values are: 100, 150, 300, 400, 600, 1200
AcroPlotPrinter.Subject | String | Specifies the subject for the PDF Document Properties
AcroPlotPrinter.Title | String | Specifies the title for the PDF Document Properties
AcroplotPrinter.Watermark | Integer or Long (True/False) | -1=Add a watermark 0=Do not add a watermark
AcroPlotPrinter.WatermarkFont | Integer or Long | Font to use for the Watermark if it is a text watermark 1=Arial 2=Arial Bold 3=Arial Bold and Italic 4=Arial Italic 5=Courier 6=Courier Bold 7=Courier Bold and Italic 8=Courier Italic 9=Times Roman 10=Times Roman Bold 11=Times Roman Bold and Italic 12=Times Roman Italic
AcroplotPrinter.WatermarkFontAngle | Integer or Long | Angle from 0 to 360 degrees
AcroplotPrinter.WatermarkFontColor | Long | Long OLE color value for the color
AcroplotPrinter.WatermarkFontHorizPos | Integer or Long | Distance to offset the watermark in the horizontal direction. Distance is a long value expressed in 1/10th of a mm. Example:1 inch would be a value of 254
AcroplotPrinter.WatermarkFontSize | Integer or Long | Size of font in points
AcroplotPrinter.WatermarkFontVertPos | Integer or Long | Distance to offset the watermark in the vertical direction. Distance is a long value expressed in 1/10th of a mm. Example:1 inch would be a value of 254
AcroplotPrinter.WatermarkFontX | Integer or Long | Horizonatal justification for the watermark 0=Left 1=Centered 2=Right
AcroplotPrinter.WatermarkFontY | Integer or Long | Vertical justification for the watermak 0=Bottom1 =Middle 2=Top
AcroplotPrinter.WatermarkOnTop | Integer or Long (True/False) | -1=Place the watermark on the top 0=Place the watermark below all objects
AcroplotPrinter.WatermarkOpacity | Double | Opacity (transparency) for the text or image 0.0 (invisible) to 100.0 (fully visible) Note: Not allowed with PDF/A-1a and PDF-A-1b formats
AcroplotPrinter.WatermarkText | String | Text string to use for the watermark or the full filename if you want to use an image file for the watermark. Image formats currently supported are bmp and gif.

The Following API Calls would normally not be used but are included for your reference:

AcroPlotAbout(ByVal oAcadApp as Object)
This method will display the AcroPlot About dialog box.
AcroPlotAboutJunior(ByVal oAcadApp as Object)
This method will display the AcroPlot Junior About dialog box
AcroPlotPurchase()
This method opens the AcroPlot Purchase page in your default web browser.
AcroPlotSetup(ByVal oAcadApp as Object)
This method will display the AcroPlot Main Settings dialog.
EmailSales()
This method opens an email to sales@cadzation.com in your default email program.
EmailSalesJunior()
This method opens an email to sales@cadzation.com in your default email program
EmailSupport()
This method opens an email to support@cadzation.com in your default email program
EmailSupportJunior()
This method opens an email to support @cadzation.com in your default email program
GotoWebsite()
This method opens the CADzation website in your default web browser.
OpenHelp()
This method opens the AcroPlot help file
OpenHelpJunior()
This method opens the AcroPlot help file


Topic: AcroPlot Advanced API

×

  • Customizing The Software
  • AcroPlot Advanced API
  • Previous page
  • Next page

AcroPlot Advanced API

To create or convert files using the command line mode API or ActiveX automation mode interface, it is required to purchase a license of AcroPlot Auto for each server running the process. If there will be additional PC's running AcroPlot Suite licenses or any of its components, then it is also required to purchase the number licenses needed in addition to the AcroPlot Auto server license.

Notes:

1.
If the sOutputFilename exists the PDF files will be merged to it.
2.
If the sOutputFilename is read-only or is opened in Adobe Acrobat or Adobe Reader the conversion will fail.
3.
If the RestoreSettings is not called or provided a proper settings name then the last used settings in AcroPlot Jr. will be used.
4.
If you are merging multiple layouts or drawings into the same PDF make sure that you turn off the OpenPDF setting by using:
SetSetting "AcroPlotSettings.OpenPDF" 0

The Basic API Calls are:

Please see the AcroPlot Standard API Section for the basic API calls and how to initial the AcroPlot.AcroPlotApplication interface.

The Advacned API Calls for AcroPlot Auto customers or customers with a 25 or more AcroPlot Pro license are:

AcadApp() As Object
This property gets or sets the AutoCAD Application object to use for the conversion. This is a standard COM generic object type.
To set the current AutoCAD Application for AcroPlot to use for conversion.
Dim oAcadObject As Object
Dim oAcroPlotApp As Object
Set oAcroPlotApp = CreateObject("AcroPlot.AcroPlotApplication")
Set oAcadObject = CreateObject("AutoCAD.AcroPlotApplication")
Set oAcroPlotApp.AcadApp = oAcadObject
To get the current AcadApp object from AcroPlot
Set oAcadObject = oAcroPlotApp.AcadApp
AcadDoc() As Object
This property gets or sets the AutoCAD Document object to use for the conversion. This is a standard COM generic object type.
StartAutoCAD() As Object
This method starts the version of AutoCAD as defined by the ConvertWith value and returns the standard COM object for the AutoCAD.Application if it succeeds. If that fails then it tries to start the last used version of AutoCAD and returns the AutoCAD.Application if it succeeds. Otherwise returns Nothing.
SetSetting("AcroPlotSettings.ConvertWith", ByVal sAutoCADProgram As string)
This is a special case of the SetSetting standard API call which allows users converting files outside of AutoCAD with the Convert function to specify the version or flavor of AutoCAD for us to use. This would be be the string value as shown in the AcroPlot interface like "AutoCAD 2011" or "AutoCAD 2012 - English". This changes based on versions, flavors, and languages of AutoCAD so it's best to start AcroPlot and look for the values in the Convert With drop down.
SetDWGConvertFrom(ByVal vConvertFrom As Variant) As Long
This method specifies what to convert from the DWG file when you use the Convert method.
Standard input would be a long value based on what you want to convert.
0 = Current layout either modelspace or paperspace
1 = Modelspace
2 = Current Paperspace layout
3 = All Paperspace layouts in order
4 = All Modelspace views
5 = All Paperspace views
SetUseDWGViewer(ByVal bUseViewer As Boolean) As Long
Set to True if you want to use our direct conversion routines instead of AutoCAD for the DWG conversion.
Convert(ByVal sInputFilename As String, _
ByVal sOutputFilename As String,
Optional ByVal bModal As Boolean = False,
Optional ByVal lOutputformat As Long = 0,
Optional ByVal bTerminateAtEnd As Boolean = False) As Boolean
This method converts the file to the specified output either by the extension on the sOutputFilename or by the lOutputFormat specified.
sInputFilename is the full filename of the file that you want to convert. Accepts all supported input formats.
sOutputFilename is the full filename of the file that you want to create.
bModal is an optional parameter if you want the conversion to be modal or modeless. If modal (True) it will not return control to your application until the conversion is finished. If modeless (False) it will return control to your application almost immediately and you will be responsible for watching for the conversion to finish before starting another one.
lOutputFormat is the output format which you would like to convert to. Typically this can be 0 and we will determine the format based off from the file extension of the sOutputFilename. But in the case of tiff files where it could be either monochrome or color you would want to specifically tell us which format to use.
bTerminateAtEnd - If set to True this will close the AutoCAD and AcroPlot application and release it at the end of the conversion. It is not recommended to do it this way with some programming languages because an error may occur since the object reference might be lost to the AcroPlot.AcroPlotApplication. Please use the Quit() method instead.
The values for the various output formats are:
pdf = 1
dwf6 = 2
'reserved for future use
BMP = 4
CAL = 5
GIF = 6
gp4 = 7
JPG = 8
PNG = 9
tif = 10 (color tiff at 100 dpi)
tifmono = 11 (monochrome group 3 fax format tiff at 100 dpi)
tifmono200 = 12 (monochrome group 3 fax format tiff at 200 dpi)
tifmono300 = 13 (monochrome group 3 fax format tiff at 300 dpi)
tifmono400 = 14 (monochrome group 3 fax format tiff at 400 dpi)
tif200 = 15 (color tiff at 200 dpi)
tif300 = 16 'not supported reserved for future use
tif400 = 17 'not supported reserved for future use
dwfpdf = 18
dwfpdftif = 19
dwfpdftifmono = 20
dwfpdftifmono200 = 21
dwfpdftifmono300 = 22
dwfpdftifmono400 = 23
pdftif = 24
pdftifmono = 25
pdftifmono200 = 26
pdftifmono300 = 27
pdftifmono400 = 28
'reserved for future use
rasterpdf100 = 30 'not supported reserved for future use
rasterpdf150 = 31 'not supported reserved for future use
rasterpdf200 = 32 'not supported reserved for future use
rasterpdf300 = 33 'not supported reserved for future use
rasterpdf400 = 34 'not supported reserved for future use
rasterpdfmono100 = 35 'not supported reserved for future use
rasterpdfmono150 = 36 'not supported reserved for future use
rasterpdfmono200 = 37 'not supported reserved for future use
rasterpdfmono300 = 38 'not supported reserved for future use
rasterpdfmono400 = 39 'not supported reserved for future use
tif600 = 40 'not supported reserved for future use
tifmono600 = 41 (monochrome group 3 fax format tiff at 600 dpi) 'not supported reserved for future use
dwfpdftifmono600 = 42 'not supported reserved for future use
pdftifmono600 = 43 'not supported reserved for future use
rasterpdf600 = 44 'not supported reserved for future use
rasterpdfmono600 = 45 'not supported reserved for future use
cal200 = 46 'not supported reserved for future use
cal400 = 47 'not supported reserved for future use
cal600 = 48 'not supported reserved for future use
gp4200 = 49 'not supported reserved for future use
gp4400 = 50 'not supported reserved for future use
gp4600 = 51 'not supported reserved for future use
cal300 = 52 'not supported reserved for future use
gp4300 = 53 'not supported reserved for future use
dwfx = 54 'not supported reserved for future use
GetFilesCreated() As Variant
This method returns a string array of the files created during the conversion.
GetFilesCreatedAsString() As String
This method returns a string of the files created during the conversion separated by a semicolon.
GetAPIError() As String
This method returns the error string if an error occurs during the current Convert call. This is the same as checking the registry for the value at HKEY_CURRENT_USER\Software\CADzation\ACROPLOT\API.Error.
EndAutoCAD()
This method ends the instance of AutoCAD that is defined by the AcadApp in AcroPlot and properly releases all objects. This is useful if you want to close AutoCAD after say 100 or 200 conversions to clean up AutoCAD's own memory usage.
Quit()
This method properly quits the AcroPlot.Application object and releases all references. It is recommended that you restart AutoCAD every hundred drawings of so if you are batching with the Convert Method.

Registry Setting to Watch for Conversion Status

If you call the Convert method with the bModal=False then we will return control to your program immediately. In this case you would want to put a loop in your code to watch for use to write the value to the registry that we have finished the conversion. A value of 1 means that the conversion has finished.
The registry key where we wri
HKEY_CURRENT_USER\Software\CADzation\ACROPLOT\API.ConversionFinished (REG_SZ) 0=Working, 1=Finished Successfully, -1=Finished but failed to create output file.
There are 3 other values that we write to the registry that might also be helpful for those using the Convert Method.
HKEY_CURRENT_USER\Software\CADzation\ACROPLOT\API.Error (REG_SZ)
HKEY_CURRENT_USER\Software\CADzation\ACROPLOT\API.Hwnd_AutoCAD (REG_SZ)
HKEY_CURRENT_USER\Software\CADzation\ACROPLOT\API.ResultFilename (REG_SZ)


Topic: AcroPlot Restricted API

×

  • Customizing The Software
  • AcroPlot Restricted API
  • Previous page
  • Next page

AcroPlot Restricted API

The following API calls are restricted and are reserved for use by CADzation only. Although they will show up in the COM Viewer you are not legally allowed to use these API calls in your own customization.

The Restricted API Calls are:

AcadDoc_SetDWGProps
AcadDoc_SetDWGPropsBookmarks
AcroPlotJ
Convert2
FilePropertyAuthor
FilePropertyComments
FilePropertySubject
FilePropertyTitle
GetAutoCADLayouts
GetAutoCADViews
IsAuto
OpenAcadDoc
PDFOut
PDFUpdateFiles
RunSiteSpecific
SetCreateNextAsThumbnail
SetMonitor
ShowMonitor
Valid


Topic: AcroPlot Advanced Command Line

×

  • Customizing The Software
  • AcroPlot Advanced Command Line
  • Previous page
  • Next page

AcroPlot Advanced Command Line

AcroPlot Command Line access requires an AcroPlot Auto license and is designed to tie into document management systems as a conversion engine that is easily implemented with custom scripting or batch routines.
To create or convert files using the command line mode API or ActiveX automation mode interface, it is required to purchase a license of AcroPlot Auto for each server running the process.
If there will be additional PC's running AcroPlot Suite licenses or any of its components, then it is also required to purchase the number licenses needed in addition to the AcroPlot Auto server license.
There are several command line switches that can be passes
/i= Input filename for the AutoCAD drawing. Filename should be wrapped with quotation marks.
/o= Output filename or folder name.Filename should be wrapped with quotation marks.
This should be the full pathname but there are a few shotcuts that can be used.
If you want to create a PDF with the same name as the input then do not specify
this and instead set the /f Output format value
NOTE: If you specify an output file that already exists for PDF and DWF files the file will be appended to the end of the existing file.
/b= Create Individual Files
0 = Create a single file - Default
1 = Create one file per layout
/s= Settings - Saved Setting name to use from AcroPlot Pro
/t= Type to plot from
0 = Current layout either modelspace or paperspace
1 = Modelspace
2 = Current Paperspace layout
3 = All Paperspace layouts in order
/v= Viewer - Use the viewer for plotting
0 = Use AutoCAD
1 = Use the internal viewer
2 = Use AutoCAD but leave open (Not implemented yet)
/n= No wait - Does not wait for the conversion to finish and returns
control back to the command line so it does not tie up the
program calling it.
0 = Wait for the conversion to finish
1 = Do not wait for the conversion to finish. User will check the registry settings to find out when the conversion is finished.
/h= Creates a prompts to see what values are being passed in. Used for testing only
1 = Stop executions and display message box for debugging
/f= AcroPlot Output Format - Needed for file extensions like tif which could have
multiple different types of output formats
NOTE: NOT ALL OUTPUT FORMATS WORK YET FROM THE COMMAND LINE
pdf = 1
dwf6 = 2
dwf5 = 3 'not supported any longer
bmp = 4
cal = 5
gif = 6
gp4 = 7
jpg = 8
png = 9
tif = 10
tifmono = 11
tifmono200 = 12
tifmono300 = 13
tifmono400 = 14
tif200 = 15
tif300 = 16 'not supported reserved for future use
tif400 = 17 'not supported reserved for future use
dwfpdf = 18
dwfpdftif = 19
dwfpdftifmono = 20
dwfpdftifmono200 = 21
dwfpdftifmono300 = 22
dwfpdftifmono400 = 23
pdftif = 24
pdftifmono = 25
pdftifmono200 = 26
pdftifmono300 = 27
pdftifmono400 = 28
'reserved
rasterpdf100 = 30
rasterpdf150 = 31
rasterpdf200 = 32
rasterpdf300 = 33
rasterpdf400 = 34
rasterpdfmono100 = 35
rasterpdfmono150 = 36
rasterpdfmono200 = 37
rasterpdfmono300 = 38
rasterpdfmono400 = 39
unknown = -100
NOTE: NOT ALL OUTPUT FORMATS WORK YET FROM THE COMMAND LINE
/d= Debug Log Filename Creates a debug log file for the conversion /d="C:\SomeDir\SomeLogName.txt"
NOTE: Any existing file with this name is deleted each time you run the AcroPlot.exe
/z= Set an Setting that is not directly supported Example /z="AcroPlotPrinter.Grayscale=1" to create for a monochrome PDF.
NOTE: For more on the various settings please see the AcroPlot Standard API documentation.
/e= Error Log Filename - Creates an error log file for any errors
NOTE: The error log is never deleted. Any new errors will be appended to the end of the log file. If you want to watch for an error file to be created either use a unique name each time or delete out the existing error file with your own code prior to running the AcroPlot.exe
This file is also a semicolon separated file which you could bring into Excel to analyze
/a= Do not show the AcroPlot Monitor
0 = Do not show the AcroPlot Monitor (monitor still runs in background)
1 = Show the AcroPlot Monitor
2 = Do not show the AcroPlot Monitor and close when finished
3 = Show the AcroPlot Monitor and close when finished

Example of converting DWG to PDF.

AcroPlot.exe /i="C:\File.dwg" /o="C:\File.pdf" /s="DWGToPDF" /b=0 /t=3
In this example we are using the setting named DWGToPDF that we had already defined in AcroPlot Pro. By passing the /b=0 command line switch it will merge all layouts into a single PDF named C:\File.pdf. Also the /t=3 tells us to convert all the paperspace layouts.

Example of converting 3 DWG files to a single PDF.

AcroPlot.exe /i="C:\File1.dwg" /o="C:\File.pdf" /s="DWGToPDF" /b=0 /t=3
AcroPlot.exe /i="C:\File2.dwg" /o="C:\File.pdf" /s="DWGToPDF" /b=0 /t=3
AcroPlot.exe /i="C:\File3.dwg" /o="C:\File.pdf" /s="DWGToPDF" /b=0 /t=3
In this case you would want to make sure that the output pdf file does not exist. Then the first DWG will be created as the output file. The next two since you are passing the same output filename to us we will append those onto the existing PDF so you will end up with a single PDF of the 3 drawings.
Also in this example we are using the setting named DWGToPDF that we had already defined in AcroPlot Pro. By passing the /b=0 command line switch it will merge all layouts into a single PDF named C:\File.pdf. Also the /t=3 tells us to convert all the paperspace layouts.

Example of Merging 2.PDF to 1.PDF

AcroPlot.exe /i="C:\2.pdf" /o="C:\1.pdf"

Example of Merging 1.pdf, 2.pdf, and 3.pdf together to a new filename

AcroPlot.exe /i="C:\1.pdf" /o="C:\NewFilename.pdf"
AcroPlot.exe /i="C:\2.pdf" /o="C:\NewFilename.pdf"
AcroPlot.exe /i="C:\3.pdf" /o="C:\NewFilename.pdf"

Example of Adding a Text Watermark to a PDF

NOTE: You must specify a new filename otherwise it will try to append the file to itself.
NOTE: When enabling watermarks you should either use a saved setting name in which you have all of your watermark settings how you want them or pass all the parameters to the AcroPlot.exe to get consistent results. Otherwise it might use the last settings you had previously used.
AcroPlot.exe /i="C:\1.pdf" /o="C:\WatermarkedFile.pdf" /s="SavedSettingsForWatermark"
or
AcroPlot.exe /i="C:\1.pdf" /o="C:\WatermarkedFile.pdf" /z="AcroPlotPrinter.Allow128Bit=1" /z="AcroPlotPrinter.Watermark=1" /z="AcroPlotPrinter.WatermarkFont=2" /z="AcroPlotPrinter.WatermarkFontAngle=0" /z="AcroPlotPrinter.WatermarkFontColor=255" /z="AcroPlotPrinter.WatermarkFontHorizPos=1" /z="AcroPlotPrinter.WatermarkFontSize=12" /z="AcroPlotPrinter.WatermarkFontVertPos=2" /z="AcroPlotPrinter.WatermarkFontX=0" /z="AcroPlotPrinter.WatermarkFontY=254" /z="AcroPlotPrinter.WatermarkOnTop=1" /z="AcroPlotPrinter.WatermarkText=||PAGE|| of ||PAGETOTAL||"
The above sample would located a red text watermark centered horizontally and 1 inch (25.4 mm) above the bottom of the page using a font size of 12 points. For more on the various settings please see the AcroPlot Standard API documentation.

Example of Adding an Image Watermark to a PDF

NOTE: You must specify a new filename otherwise it will try to append the file to itself.
NOTE: When enabling watermarks you should either use a saved setting name in which you have all of your watermark settings how you want them or pass all the parameters to the AcroPlot.exe to get consistent results. Otherwise it might use the last settings you had previously used.
NOTE: Currently bmp and gif images are supported.
AcroPlot.exe /i="C:\1.pdf" /o="C:\WatermarkedFile.pdf" /s="SavedSettingsForImageWatermark"
or
AcroPlot.exe /i="C:\1.pdf" /o="C:\WatermarkedFile.pdf" /z="AcroPlotPrinter.Allow128Bit=1" /z="AcroPlotPrinter.Watermark=1" / /z="AcroPlotPrinter.WatermarkFontAngle=0" /z="AcroPlotPrinter.WatermarkFontHorizPos=1" /z="AcroPlotPrinter.WatermarkFontVertPos=2" /z="AcroPlotPrinter.WatermarkFontX=0" /z="AcroPlotPrinter.WatermarkFontY=254" /z="AcroPlotPrinter.WatermarkOnTop=1" /z="AcroPlotPrinter.WatermarkText=C:\SomeImageFile.gif"
The above sample would located the gif image centered horizontally and 1 inch (25.4 mm) above the bottom of the page using a font size of 12 points. For more on the various settings please see the AcroPlot Standard API documentation.

Example of Adding Password Protection to a PDF

NOTE: You must specify a new filename otherwise it will try to append the file to itself.
NOTE: When enabling Password Protection you should either use a saved setting name in which you have all of your security settings how you want them or pass all the parameters to the AcroPlot.exe to get consistent results. Otherwise it might use the last settings you had previously used.
AcroPlot.exe /i="C:\1.pdf" /o="C:\PasswordProtectedFile.pdf" /s="SavedSettingsWithPassword"
or
AcroPlot.exe /i="C:\1.pdf" /o="C:\PasswordProtectedFile.pdf" /z="AcroPlotPrinter.Allow128Bit=2" /z="AcroPlotPrinter.PasswordAuthor=AuthorPassword" /z="AcroPlotPrinter.PasswordUser=UserPassword" /z="AcroPlotPrinter.Allow128Assembly=-1" /z="AcroPlotPrinter.Allow128BitExtract=0" /z="AcroPlotPrinter.Allow128BitInteractiveForms=-1" /z="AcroPlotPrinter.Allow128BitPrintLow=-1" /z="AcroPlotPrinter.AllowChanges=0" /z="AcroPlotPrinter.AllowCopy=-1" /z="AcroPlotPrinter.AllowNotes=-1" z="AcroPlotPrinter.AllowPrint=-1"


Topic: API Sample - VBA

×

  • Customizing The Software
  • API Sample - VBA
  • Previous page
  • Next page

API Sample - VBA

This sample will create 2 different files of the current layout. The first one will be named after the drawing and will use the AcroPlot Jr. defaults. The second one will be in Monochrome, 11x17, Scaled-To-Fit and will be named after the drawing and Tabloid-Monochrome.

Sample VB/VBA Application Using the AcroPlotJ Methods

Sub TestCurrentLayout()
On Error Resume Next
Dim oAcroPlotApp As Object
Dim oAcadApp As AcadApplication
Dim sSettingName As String
Dim sOutputFile As String
'First try to get the AcroPlot Application Interface
'We'll use late binding to make it easier
Set oAcroPlotApp = CreateObject("AcroPlot.AcroPlotApplication")
If oAcroPlotApp Is Nothing Then
MsgBox "Unable to get the AcroPlot Application Interface"
Exit Sub
End If
'Get the current AutoCAD.Application Object
Set oAcadApp = ThisDrawing.Application
'Set the Settings Name use "AcroPlotJunior." for the last used settings in AcroPlot Jr.
sSettingName = "AcroPlotJunior"
'Set the output filename equal to the drawing name .pdf
sOutputFile = ThisDrawing.FullName
sOutputFile = Strings.Left$(sOutputFile, Len(sOutputFile) - 4) & ".pdf"
'Now we should set the Undo mark because if the layout was set to a printer that does
'not exist we cannot restore that due to AutoCAD limitations. But the Undo can.
ThisDrawing.StartUndoMark
'Now let convert the current layout
oAcroPlotApp.Init
***************VERY IMPORTANT***************
'Provide the AcroPlot Auto unlock code here so the filename dialog does not popup.
'Other users will have the filename dialog popup per our standard licensing for the AcroPlot Suite, and will need to select the “Save As” button for each file created.
***************VERY IMPORTANT***************
oAcroPlotApp.RestoreSettings sSettingName
oAcroPlotApp.SetOutputFilename sOutputFile
oAcroPlotApp.AcroPlotJCurrent oAcadApp
'Now let's change the papersize to tablod, monochrome, and scaled to fit
sOutputFile = ThisDrawing.FullName
sOutputFile = Strings.Left$(sOutputFile, Len(sOutputFile) - 4) & "-Tabloid-Monochrome" & ".pdf"
oAcroPlotApp.SetOutputFilename sOutputFile
oAcroPlotApp.SetSetting "DwgPaperSize", 3
oAcroPlotApp.SetSetting "Grayscale", 1
oAcroPlotApp.SetSetting "PlotScale", 0
Err.Clear
oAcroPlotApp.AcroPlotJCurrent oAcadApp
'Release the AcroPlot Application
oAcroPlotApp.Quit
Set oAcroPlotApp = Nothing
'Now let's undo the changes
ThisDrawing.EndUndoMark
ThisDrawing.SendCommand "_u "
End Sub

Sample VB/VBA Application Using the Convert Method

To create or convert files using the command line mode API or ActiveX automation mode interface, it is required to purchase a license of AcroPlot Auto for each server running the process. If there will be additional PC's running AcroPlot Suite licenses or any of its components, then it is also required to purchase the number licenses needed in addition to the AcroPlot Auto server license.
Private Sub ConvertFile(ByVal sInputFile As String, ByVal sOutputFile As String, ByVal sSettingName As String)
On Error Resume Next
Dim oAcadObject As Object
Dim oAcroPlotApp As Object
Dim sFilesCreated As String
Dim bResults As Boolean
Dim lWait As Long
Dim lFilesOpened As Long
Dim lLoop As Long
Dim sConversionFinished As String
Set oAcroPlotApp = CreateObject("AcroPlot.AcroPlotApplication")
If oAcroPlotApp Is Nothing Then
MsgBox "Unable to get the AcroPlot Application Interface"
Exit Sub
End If
oAcroPlotApp.RestoreSettings sSettingName
'Now maybe we want to override the settings and make the output grayscale
oAcroPlotApp.SetSetting "Grayscale", 1
'Since we do not want to append to the end of the existing file we should delete it first if it exists. There should of coarse be some error checking here.
Kill sOutputFile
'Lets use our own internal converter for this first one.
oAcroPlotApp.SetSetting "UseInternalViewerForPlotting", -1
'Now we want to do the conversion modal so it will not return control to our application until it finishes.
Call oAcroPlotApp.Convert(sInputFile, sOutputFile, True, 0, False)
sFilesCreated = oAcroPlotApp.GetFilesCreatedAsString
'For the next ones let's use AutoCAD for the conversion.
oAcroPlotApp.SetSetting "UseInternalViewerForPlotting", 0
'Now let's say we want to test running it 200 times and having it close AutoCAD after 100 files
'We will also do this conversion modeless so we would need to have a loop to wait and check every second if the conversion is finished.
For lLoop = 0 to 199
'Since we do not want to append to the end of the existing file we should delete it first if it exists. There should of coarse be some error checking here.
Kill sOutputFile
Call oAcroPlotApp.Convert(sInputFile,sOutputFile, False, 0, False)
'Here now we want to wait until we write a value other than 0 to the HKEY_CURRENT_USER\Software\CADzation\ACROPLOT\API.ConversionFinished
'The ReadRegVal would be a wrapped function in VB or VBA to read a registry value
For lWait = 0 to 300
Sleep 1000 'Windows API function to wait specified number of milliseconds
sConversionFinished = ReadRegVal(HKEY_CURRENT_USER, "Software\CADzation\ACROPLOT", "API.ConversionFinished")
If sConversionFinished = "1" then
'Created the output file
Exit For
Else if sConversionFinished = "-1"
'Failed to create the output file
Exit For
End if
Next
If lFilesOpened < 100 then
lFilesOpened = lFilesOpened + 1
Else
lFilesOpened = 0
oAcroPlotApp.EndAutoCAD
End if
Next
'Now let's properly exit AcroPlot.Application
oAcroPlotApp.Quit
Set oAcroPlotApp = Nothing
End Sub


Topic: Online API Samples

×

  • Customizing The Software
  • Online API Samples
  • Previous page
  • Next page

Online API Samples

We also have a few sample projects created online that you can download and look at.
The samples are located in a zip file at:
www.cadzation.com/downloads/AcroPlotAPISamples.zip
Currently there is a VB6 sample and a VS 2005 ASP.Net/C# sample in the zip.


Topic: How To Tell If AcroPlot Is Running

×

  • Customizing The Software
  • How To Tell If AcroPlot Is Running
  • Previous page
  • Next page

How To Tell If AcroPlot Is Running

In certain cases you may want to disable certain scripts from running that may halt the batch processing in AutoCAD if AcroPlot or AcroPlot Pro are running. We have provided 4 registry settings that save the time that AcroPlot was started and also the time that we tried to start opening the current AutoCAD drawing to help make it easy for you to determine if AcroPlot is doing the processing.
The values are stored as doubles in the Registry and the decimal part of the value is the percentage of the day. So multiplying the decimal portion by 86400.0 will give you the number of seconds elapsed since midnight. The integer portion changes between the standard Windows date and the AutoCAD Jullian date by 2415019 days.
The values are saved under the current user's values:
HKEY_CURRENT_USER\Software\CADzation\AcroPlot
For VB users you can use the following 2 keys which are based on the system date and time given by the Now function.
StartTime - Stores the date and time that the AcroPlot dialog was started. This value is reset to 0 when the form is closed so in theory yo could just check this value as long as the program is not ended from the task manager or by some other abnormal way.
Open Time - Stores the date and time that AcroPlot tried to open the last drawing in AutoCAD. This is the safest value to use as you could determine the maximum amount of time it takes to open your drawings and then compare the times. This value is also reset to 0 when the form is closed.
For AutoLisp and VisualLisp users you can use the following 2 keys (using the Visual Lisp vl-registry-read) which are based on the value returned from the AutoCAD date system variable.
StartTimeAutoCAD - Stores the date and time that the AcroPlot dialog was started. This value is reset to 0 when the form is closed so in theory yo could just check this value as long as the program is not ended from the task manager or by some other abnormal way.
Open TimeAutoCAD - Stores the date and time that AcroPlot tried to open the last drawing in AutoCAD. This is the safest value to use as you could determing the maximum amount of time it takes to open your drawings and then compare the times. This value is also reset to 0 when the form is closed.


Topic: Troubleshooting

×

  • Troubleshooting
  • Previous page
  • Next page

Troubleshooting

If you have a problem with our software please contact us at support@cadzation.com and we will happily get back to you to resolve the problem.
We strive to make AcroPlot as bug free and easy to use as possible but unfortunately we cannot catch everything or test it on every system. We will do all that we can to quickly resolve the problem.
These are some of the common support requests that come up.

The contents of Troubleshooting

What to do when you see the Buy It Now Watermarks
PDF-XChange for AcroPlot Pro Print Driver
The AcroPlot Program Will Not Run
AutoCAD Related Troubleshooting
Viewing and Printing PDF Files in Adobe Reader or Other Viewers
Set and Restore Windows File Associations
Why does AcroPlot not work with my Office 2010 and Newer?
Working with PLT Files
Troubleshooting the Installer


Topic: What to do when you see the Buy It Now Watermarks

×

  • Troubleshooting
  • What to do when you see the Buy It Now Watermarks
  • Previous page
  • Next page

What to do when you see the Buy It Now Watermarks

This error is typically caused by one of three reasons.
1.) You purchased and authorized AcroPlot only. AcroPlot users do not have the ability to print directly the the PDF-XChange for AcroPlot Pro printer driver. Only AcroPlot Pro users are allowed to do that. You can upgrade your product to AcroPlot Pro by logging into your account. Then you can select the AcroPlot licenses you would like to upgrade and hit the Purchase Maintenance button. This will then give you an option to upgrade them to AcroPlot Pro.
2.) The other reason is that the registration of the PDF-XChange for AcroPlot Pro printer driver did not work when you registered AcroPlot Pro. The video below will explain this in more detail.
3.) The third reason is if you are running AcroPlot Pro in evaluation mode. In evaluation mode we do not allow use of the printer driver directly without a watermark. Only when converting directly through our AcroPlot Pro program will we remove the watermarks during your 30 day evaluation trial.


Topic: PDF-XChange for AcroPlot Pro Print Driver

×

  • Troubleshooting
  • PDF-XChange for AcroPlot Pro Print Driver
  • Previous page
  • Next page

PDF-XChange for AcroPlot Pro Print Driver

Check these troubleshooting topics if you are having trouble with the PDF-XChange for AcroPlot Pro Printer Driver.

The contents of PDF-XChange for AcroPlot Pro Print Driver

The PDF-XChange Driver Does Not Install
Saving the PDF in the Same Location as the Source File
Why do I see a Temporary Printer Driver?


Topic: The PDF-XChange Driver Does Not Install

×

  • Troubleshooting
  • PDF-XChange for AcroPlot Pro Print Driver
  • The PDF-XChange Driver Does Not Install
  • Previous page
  • Next page

The PDF-XChange Driver Does Not Install

Typically there is one of 3 reasons why the printer driver does not install.
  • 1.
    You are not logged on with full Administrator rights.
  • 2.
    You are installing over an older version of AcroPlot. Please uninstall the old version of AcroPlot first and make sure that the PDF-XChange for AcroPlot Pro printer driver is removed also and reboot the computer. Then try re-installing AcroPlot with Administrator rights also.
  • 3.
    Either the system path is wrong. Or the Windows framedyn.dll file is corrupt. For help on this please refer to the following Microsoft Support Article http://support.microsoft.com/default.aspx?scid=kb;en-us;319114
If you are still experiencing difficulties please contact us at support@cadzation.com


Topic: Saving the PDF in the Same Location as the Source File

×

  • Troubleshooting
  • PDF-XChange for AcroPlot Pro Print Driver
  • Saving the PDF in the Same Location as the Source File
  • Previous page
  • Next page

Saving the PDF in the Same Location as the Source File

Unfortunately most Windows based programs do not send out the full path and the file name through the print process so we do not know which path to save the file to in most cases.
But for AutoCAD users you can typically have AutoCAD send out both the path and the file name by setting the FullPlotPath system variable to 1.
The other trick is in the Printing Preferences of the PDF-XChange for AcroPlot Pro Printer Driver is that you need to uncheck the Last Used Path under the Browse dropdown and also uncheck the Strip Path From Document Name under the Save Options. Then AutoCAD should send out the full filename and allow us know the path were the source file was saved and save it there.


Topic: Why do I see a Temporary Printer Driver?

×

  • Troubleshooting
  • PDF-XChange for AcroPlot Pro Print Driver
  • Why do I see a Temporary Printer Driver?
  • Previous page
  • Next page

Why do I see a Temporary Printer Driver?

When running AcroPlot Pro or AcroPlot Jr to do the conversions we create a temporary version of the PDF-XChange for AcroPlot Pro printer driver to use just in case the user prints to the driver from another program during the conversion. When you close AcroPlot Pro or AcroPlot Jr. the temporary printer driver should be deleted. The temporary version will have a name like PDF-XChange for AcroPlot Pro5252
You should never try to print to this temporary version of the driver.
If by change something happens with AcroPlot and it does not cleanly exit there is a chance that the temporary driver might be left behind. The newer versions of our programs (late 2014) include routines that will delete out these temporary versions the next time that you run AcroPlot.
Below is an example of the Windows Printers and Faxes showing how there is also a temporary version of the driver along with the main one.


Topic: The AcroPlot Program Will Not Run

×

  • Troubleshooting
  • The AcroPlot Program Will Not Run
  • Previous page
  • Next page

The AcroPlot Program Will Not Run

Check these troubleshooting topics if you are having trouble starting or running AcroPlot.

The contents of The AcroPlot Program Will Not Run

AcroPlot Won't Run ... Could Be Your Antivirus Program
Unexpected error; quitting Dialog Shown
Possible Conflict with Windows DEP Settings
Windows Scripting Runtime Error Message


Topic: AcroPlot Won't Run ... Could Be Your Antivirus Program

×

  • Troubleshooting
  • The AcroPlot Program Will Not Run
  • AcroPlot Won't Run ... Could Be Your Antivirus Program
  • Previous page
  • Next page

AcroPlot Won't Run ... Could Be Your Antivirus Program

Important Notice to Avira and Avast Antivirus Users!

Some of the free antivirus software like Avira and Avast have been improperly flagging our software, and in doing so they do not provide the user with a notice that they have shut down our software. I guess it goes to the old saying of "You get what you pay for".
Many antivirus programs now have a secondary program that uses some type of heuristic analysis or behavioral analysis to analyze programs for unknown viruses, threats, or adware. It is usually these parts of their programs that flag our software and many others as false positives. Even after all of these years these parts of their programs flag many more false positives than what they find as valid threats and many of them do not even give you a choice to run the program or not. Some of the cheaper antivirus programs do not even warn you, they just shut the program down.
It's a problem that many vendors who use some of the advanced virtualization technologies like we do are seeing with some antivirus vendors but typically not with the big vendors like Norton and McAfee. We have never in the 10+ years of AcroPlot's existence shipped out a version that I know of that had a virus or any malware in it.
We are actively working with many of the antivirus vendors to prevent their future updates from flagging the latest versions of our software. There is nothing that they or ourselves can do about the older versions of our software but if you are on the latest version of our software and of their antivirus and you have a problem please open up a support ticket so we can contact the antivirus vendor to see why they are falsely flagging us.
AVAST Reply on 2/2/2011
Hello,
thank you for reporting this problem, it's caused by Behavior Shield in avast! 5.1 (uninstalling this shield should resolve this problem immediately). The fix will be included in upcoming avast! 6.0 update (public beta is available here http://forum.avast.com/index.php?topic=70655.0 - if possible, please re-test the program with this version of avast! antivirus).
Kind Regards,
Pavel Pletanek
2nd Level Technical Support
AVAST Software a.s.
Ticket Details
===================
Ticket ID: WDL-308138
Department: 2nd Level Tech Supp
Priority: Default
Status: On Hold
Avira Reply on 2/15/2011
Dear Sir or Madam,
Thank you for your recent inquiry.
We could not find a virus in the attachment you have sent us.
This is a false positive. We will take out the pattern recognition in one of our next updates.
We thank you for your assistance.
Attachment(s) you sent:
www.cadzation.com/downloads/acroplotreprosetup.exe
www.cadzation.com/downloads/acroplotsetup.exe
--
Freundliche Gruesse / Best regards
Avira GmbH
Steffen Wiczorek
Professional Support & Services
Avira GmbH
Lindauer Str. 21, D-88069 Tettnang, Germany
Internet: http://www.avira.com


Topic: Unexpected error; quitting Dialog Shown

×

  • Troubleshooting
  • The AcroPlot Program Will Not Run
  • Unexpected error; quitting Dialog Shown
  • Previous page
  • Next page

Unexpected error; quitting Dialog Shown

If you see a dialog similar to the one below when you try to run AcroPlot it's likely caused by the AcroPlot.exe not being registered properly in the Windows Registry.
Please see the AutoCAD Specific Troubleshooting > AcroPlot Application is Not Registered in Windows Properly topic by clicking here.


Topic: Possible Conflict with Windows DEP Settings

×

  • Troubleshooting
  • The AcroPlot Program Will Not Run
  • Possible Conflict with Windows DEP Settings
  • Previous page
  • Next page

Possible Conflict with Windows DEP Settings

My program will not run or it gives me a Windows DEP Error when I try to start it.

We are exploring a possible conflict with the Windows DEP (Data Execution Prevention) Settings that appears to be related to AMD processors with hardware based DEP. If your AcroPlot Software will not even open please check that your DEP settings is set to "Turn on DEP for essential Windows programs and services only" or if it is set to "Turn on DEP for all programs except those I select" you will and to add our AcroPlot.exe, AcroPlotMatrix.exe, or AcroPlotRepro.exe to the list of exceptions..
The DEP settings are found under the Control Panel > System > Advanced Tab > Performance Settings > Data Execution Prevention.
Again this appears to be a conflict with the Tree List Control we use in the interface and the AMD Hardware Based DEP. We hope to have a fix for it soon so you would not have to add our program to the list of exceptions.


Topic: Windows Scripting Runtime Error Message

×

  • Troubleshooting
  • The AcroPlot Program Will Not Run
  • Windows Scripting Runtime Error Message
  • Previous page
  • Next page

Windows Scripting Runtime Error Message

I get the error message "Microsoft Windows Scripting Runtime is not properly installed".

The Windows Scripting Host is part of the Microsoft Operating System and seldom causes a problem. But if you get this message when trying to run our program than one of the solutions below is probably the cause.
1.) The most likely cause is that you do not have one of the latest versions of our program installed. Hence a version from 2008 or 2009 you can't expect to run on Windows 7. In order to use the latest version you must be current on your maintenance. You can install it to test it but it might prompt you to register it online. You can run and test it at that point but you will get watermarks on your output.
When you purchase our software you get 1 year of free upgrades and support. After that you were supposed to purchase yearly maintenance but we did not enforce it for many years. Unfortunately we cannot stay in business by not enforcing it and our relicensing partners require us to purchase new licenses also.
Please log into your account in the upper right and make sure that you are current on your maintenance and download and install the new version to see if that resolves the problem. Again you can download from the download page and test if that is the problem without being current but you will get watermarks on your output.
2.) Another cause may be that something has happened to unregister the Windows Scripting Runtime in your operating system.
You can try right clicking on our AcroPlot Pro icon and then doing the Run As Administrator which might allow us to reregister the Microsoft scrrun.dll properly.
If that doesn't work try going to the Windows > Start > Accessories > Command Prompt and right click on that to Run As Administrator. Then when that comes up type in regsvr32.exe scrrun.dll and hit enter. It should then give you a prompt on if it succeeded or not.
3.) Another cause might be that your antivirus is for some reason blocking our access to it. We have not had a case where Norton or McAfee block anything but some of the free and cheaper antivirus programs tend to throw up more false positives. Try temporarily disabling your antivirus and see if that solves it. More info on antivirus software.

Submitting a Support Request if these do not solve the problem.

If none of these solve your problem please open a help ticket by clicking on the Support link at the top of the page and please provide us with as much information as possible like what Antivirus you are using as well as what version of our software you have downloaded and if you downloaded it from our downloads page or by logging into your account.


Topic: AutoCAD Related Troubleshooting

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Previous page
  • Next page

AutoCAD Related Troubleshooting

Find your answers here to questions that pertain to AcroPlot and the AutoCAD software.

The contents of AutoCAD Related Troubleshooting

AcroPlot is not Working with Older Versions of AutoCAD on Newer Operating Systems
Conversion Crashes in AutoCAD on Certain Drawing Files
AcroPlot Application is Not Registered in Windows Properly
Troubleshooting AcroPlot's AutoCAD Menus and Ribbons
My AutoCAD Ribbons Are Lost
Does AcroPlot work with AutoCAD LT?
Lines Merge Isn't Working
Pros and Cons of Using Lines Merge in PDF Files
Plot Transparency Setting Produces Large File Sizes
Using True Type Text in AutoCAD
Why does my text look jagged from AutoCAD?
True Type Text Causing Text to be Clipped
Why are AutoCAD's Textmasks Green or Other Colors?
Why are Images or OLE Object not Printing from AutoCAD?
Could Not Get the AutoCAD Blocks Collection
Windows 7 (and Vista) and Older Versions of AutoCAD
Why Does it Improperly List My AutoCAD Layouts?
Could Not Get The AutoCAD Blocks Collection
Why are There Lines Showing in My Solid Fills?


Topic: AcroPlot is not Working with Older Versions of AutoCAD on Newer Operating Systems

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • AcroPlot is not Working with Older Versions of AutoCAD on Newer Operating Systems
  • Previous page
  • Next page

AcroPlot is not Working with Older Versions of AutoCAD on Newer Operating Systems

AcroPlot is designed to work with all versions of AutoCAD from AutoCAD 2000 on but it is only supported on the operating systems which AutoCAD itself was officially supported on for each release.
Here is a link to Autodesk's Knowledgebase article on what the supported operating systems are for various versions of AutoCAD.
https://knowledge.autodesk.com/search-result/caas/sfdcarticles/sfdcarticles/Operating-system-compatibility-for-AutoCAD-and-AutoCAD-LT.html
You may be able to get AcroPlot to work with your AutoCAD on unsupported operating systems but it is not something we support beyond the troubleshooting and hints we provide below.
Since AcroPlot uses the AutoCAD COM (ActiveX) interface to drive AutoCAD in the background is you have set AutoCAD's Compatibility Mode to "Run this program as an administrator" you will likely have to set AcroPlot to use the same settings. This is a Windows limitation, not a limitation of our program.
One easy way to tell if you are running AutoCAD with Elevated Privileges is to see if you desktop icon has the UAC shield on it in Windows 7. In the Example below AutoCAD 2006 and older were not designed to run on Windows 7 so hence in order to install them and get them to run you likely had to set it to "Run this program as an administrator" so it would likely show the shield on the icons where AutoCAD 2008 and newer would not.
Also please note the UAC Shield may not be updated on the icons until after you restart Windows if you make a change to the settings.
Or if you browse to the location of the acad.exe file if it requires running with Elevated Privileges it should show the shield also.
Sometimes in Windows Explorer you can browse to the location of the acad.exe file that you are using for AutoCAD. Right click on the acad.exe file and then do the Properties. On the properties dialog there will be a Compatibility tab so click on that. In the example below you can see that AutoCAD 2006 has been set to "Run this program as an administrator" to make it run on the unsupported Windows 7.
But unfortunately looking at the Compatibility Settings does not always work as can be seen if we look at the AutoCAD 2000 acad.exe which the icon shows the UAC Shield but the "Run this program as an administrator" is not checked.
The reason for this is that Windows is far to complicated to understand it all and of coarse Microsoft has other things that determines if a program is ran with Elevated Privileges besides just the one setting.
If you do see the UAC shield then you should browse to the location of the AcroPlot.exe file, right click on the AcroPlot.exe, click on Properties, and then on the Compatibility Tab and set it to "Run this program as an Administrator".
Unfortunately due to the printer driver if you have set the Compatibility Mode to run as a different operating system for AutoCAD then AcroPlot may not work with it.
Some other tips that we have seen in our testing.
1.) On Windows 7 we had to rename the C:\Program Files (x86)\AutoCAD 2006\AcSign.arx to C:\Program Files (x86)\AutoCAD 2006\AcSign.arx.old. We have not tested other versions but we would think the AcSign.arx also conflicts in other unsupported versions. The reason for it is that this Arx file appears to cause crashes and lock ups of AutoCAD. Here is an Autodesk post on it also.
https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/Error-message-in-the-command-line-Error-loading-AcSign-services.html
2.) On Windows 7 with AutoCAD 2006 and older we were able to get things to work by setting both AutoCAD and AcroPlot to "Run this program as an administrator".
3.) We would recommend using the" Change settings for all users" in case you create a new user account in Windows or log on as a different user.


Topic: Conversion Crashes in AutoCAD on Certain Drawing Files

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Conversion Crashes in AutoCAD on Certain Drawing Files
  • Previous page
  • Next page

Conversion Crashes in AutoCAD on Certain Drawing Files

While AcroPlot normally does an excellent job converting through AutoCAD there are times when AutoCAD itself hits it's upper limit or resources or when other third party arx applications might be causing a conflict. This may require an online meeting with our support staff to troubleshoot but here are a few things we can try first.

Step 1.) Disable Transparency, Layers, and Searchable Text.

AcroPlot actually uses 2 different output routines depending on the features you need. There are times that the transparency, layers, and searchable text output crashes while our standard output doesn't. This is due to limitations in Windows CAD Program's output routines, not in AcroPlot. So by disabling these features and forcing it to use our normal output we can determine which output method is causing the problems.
On the CAD Options Tab please set the following settings and try your conversion again.
Lines Merge set to Off
Transparency set to Off
Uncheck the Include Layers Checkbox
Uncheck the Make Text Searchable Checkbox
If this solves your problem please do an etransmit of drawing and attach up the zip file to our online support system at www.cadzation.com so we can test it on our systems and see if there is anything we can do.
It would also be helpful if you would
Step 2.) Try lowering the output resolution
Does it appear to happen with only with certain files?
If so the first thing to try it do lower the Output DPI in AcroPlot on the "Options" Tab
And on the AutoCAD Options Tab please set the OLE Quality to "Text\Low Graphics" and the Raster Quality to "Medium"


Topic: AcroPlot Application is Not Registered in Windows Properly

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • AcroPlot Application is Not Registered in Windows Properly
  • Previous page
  • Next page

AcroPlot Application is Not Registered in Windows Properly

If you try to run AcroPlot or AcroPlot Junior inside of AutoCAD and receive an AutoCAD warning message that "AcroPlot Application is Not Registered in Windows Properly" it is likely caused by one of the following cases.
1.) You have changed the Compatibility settings in Windows for the AcroPlot.exe to Run As Administrator. When this happens and you are running AutoCAD as a normal user it does not have the proper rights to start the AcroPlot program. In Windows Explorer brose to the C:\Program Files (x86)\AcroPlot or C:\Program Files\AcroPlot in 32 bit Windows and right click on the AcroPlot.exe program and select the Properties option. On the Properties Dialog select the Compatibility Tab and then make sure that the Run this program as Administrator checkbox is not selected. If it is selected and is grayed out then you will want to use the Change settings for all users button in order to change it.
2.) If Solution #1 did not solve it than you can try to manually register the AcroPlot.exe with Windows. In newer versions of AcroPlot you can run the AcroPlot Admin as the Administrator and select the Tools > Register AcroPlot.exe menus. In older versions you will have to manually register it. Since you have to do this as the Administrator the easy way is to just modify the AcroPlot shortcut menu. You can modify either the one from the Windows Desktop or from the Windows Start > All Programs > AcroPlot menus. At the end of the current Target String you will want to put a space and /regserver to tell windows to register the AcroPlot.exe. Then you will need to right-click on the shortcut and "Run As Administrator". Typically nothing is displayed and make sure that you then change the Target string back to the original value.
So the Target String on 64 bit systems will likely be:
"C:\Program Files (x86)\AcroPlot\AcroPlot.exe" /regserver
And on 32 bit systems it will likely be:
"C:\Program Files\AcroPlot\AcroPlot.exe" /regserver


Topic: Troubleshooting AcroPlot's AutoCAD Menus and Ribbons

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Troubleshooting AcroPlot's AutoCAD Menus and Ribbons
  • Previous page
  • Next page

Troubleshooting AcroPlot's AutoCAD Menus and Ribbons

In all of our versions of AcroPlot if you run into a problem with the menus, ribbon tab, or commands please try the following to resolve the problem.
1.) Close AcroPlot and AutoCAD.
2.) Run the AcroPlot Admin program from the Windows Start > All Programs > AcroPlot > AcroPlot Admin menus.
3.) Uncheck the checkbox to add the AcroPlot Menus into AutoCAD.
4.) Click on the Save and Exit in the AcroPlot Admin.
5.) Start your AutoCAD and open a drawing. IT"S VERY IMPORTANT TO OPEN A DRAWING FOR AUTOCAD TO CLEAR OUT THE OLD VALUES.
6.) Close AutoCAD.
7.) Run the AcroPlot Admin program from the Windows Start > All Programs > AcroPlot > AcroPlot Admin menus.
8.) Uncheck the checkbox to add the AcroPlot Menus into AutoCAD.
9.) Click on the Save and Exit in the AcroPlot Admin.
10) Start your AutoCAD and open a drawing and the menus and ribbon tabs should be restored.
In our AcroPlot 2019 build to get around a bug in AutoCAD 2019 we had to change how the AcroPlot Menus, Toolbars, and Commands are added into AutoCAD.
For AutoCAD 2013 and newer versions we now use the AutoCAD Application Plugin Model. If you choose to add the AcroPlot Menus and Commands into AutoCAD from the AcroPlot Admin we create an AcroPlotPDFAddIn.Bundle folder under the C:\Users\All Users\Autodesk\ApplicationPlugins folder. This contains the necessary files for AutoCAD to find the required files for each version of AutoCAD so AutoCAD will handle loading the AcroPlot.cuix menu and the appropriate arx file which contains the command to call AcroPlot from AutoCAD.


Topic: My AutoCAD Ribbons Are Lost

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • My AutoCAD Ribbons Are Lost
  • Previous page
  • Next page

My AutoCAD Ribbons Are Lost

If something strange happens during the starting or stopping of AutoCAD there is a chance that it might save the configuration improperly. If the Ribbon Tabs are missing when AutoCAD is restarted, type in cui to edit the AutoCAD CUI Editor. In the CUI Editor you can expand the Workspaces and select the one you would like.
1.) In AutoCAD Type cui and hit return to start the AutoCAD CUI Editor.
2.) Expand out the Workspaces Group
3.) Select the Workspace you would like to use. Typically the last one used will say (current) next to it. If the one you would like already says (current) then please select another one and right-click on it with the mouse and choose Set Current and then click on the Apply button. Then go back to the original one and right-click on that and choose Set Current and then click on the Apply button.
4.) Now click on the OK button to close the dialog and it should reload your Ribbons and Toolbars.
Please note that AutoCAD doesn't typically reload the Ribbon until after you click on the OK button which is why you want to select a different current Workspace then reset the original Workspace back to be the current one.


Topic: Does AcroPlot work with AutoCAD LT?

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Does AcroPlot work with AutoCAD LT?
  • Previous page
  • Next page

Does AcroPlot work with AutoCAD LT?

AcroPlot does not directly work with AutoCAD LT because Autodesk removes the programming interface from LT that third party developers such as ourselves need to use to interface with the program. They also strictly forbid (through our contract with them) Autodesk Registered Developers such as ourselves from providing any functionality inside of AutoCAD LT.
Because of these limitations we have our own direct converter which does not require AutoCAD or LT to be installed on the computer. It does a pretty good job of converting most files but does have the following limitations:
  • •
    It does not run directly inside of LT like AcroPlot would in regular AutoCAD. Since we do not have access to the AutoCAD LT application we do not know if the drawing has been saved or not.
  • •
    It does not support all custom objects. It does support most Civil 3D and AEC objects but not all. It also does not support any 3rd party developer custom objects that you would have to install an object enabler into LT for.


Topic: Lines Merge Isn't Working

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Lines Merge Isn't Working
  • Previous page
  • Next page

Lines Merge Isn't Working

If you are converting files and are not achieving lines merge type of output, then check the following:
  • 1.
    AutoCAD 2000 did not support the lines merge output to Windows System Printers.
  • 2.
    Make sure that you have checked the Lines Merge Checkbox in the AutoCAD section of the Options Tab in AcroPlot or AcroPlot Pro. In AcroPlot Jr. it is located on the Properties Tab.
  • 3.
    If you are still not achieving lines merge, then you may be attempting to convert a file type that doesn't support that feature. The only file types that support lines merge are AutoCAD DWG and some PLT files. You can not reconvert a file that didn't contain the information needed for lines merge for a new result.
For more information on lines merge output see All About Lines Merge.


Topic: Pros and Cons of Using Lines Merge in PDF Files

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Pros and Cons of Using Lines Merge in PDF Files
  • Previous page
  • Next page

Pros and Cons of Using Lines Merge in PDF Files

Support for lines merge in PDF files is a huge feature in AcroPlot and it can save the user countless hours of messing with the draworder to get the proper results. But it does come at a price.
The three main limitations are:
  • 1.
    AutoCAD's MText Background Behavior prior to AutoCAD 2011
  • 2.
    PDF Specifications for Color Transparency
  • 3.
    Problems printing PDF files from Adobe Reader, Acrobat, and most Ghostscript based Reprographics software.

AutoCAD's MText Background Behavior prior to AutoCAD 2011*

*In AutoCAD 2011 Autodesk finally fixed this behavior and the MText background is no longer transparent when using Lines Merge.
First off, by design, Autodesk made the MText Background Mask follow the lines merge settings so if you do have lines merge enabled the MText Background Mask will be transparent in AutoCAD 2005-2010. This is the exact opposite of the behavior of wipeouts and regular textmasks which are never transparent regardless of the lines merge settings. The output to our PDF matches Autodesk's DWF and also hardcopy output when it comes to lines merge and MText Background Masks.
Below is the output with lines merge turned Off:
Below is the output with lines merge turned On in AutoCAD 2005-2010:

PDF Specifications for Color Transparency

The PDF Specifications handle the way that transparency is calculated and displayed in a PDF. Unfortunately this is slightly different than the way the printers handle the transparency output from AutoCAD. Typically from AutoCAD overlapping objects of the same color still display as the same color as shown in the screen capture from AutoCAD below.
In AcroPlot as the default we use a Darken transparency for AutoCAD drawings. You can change the Transparency setting in AcroPlot by going to Setup > Options then on the PDF Tab there is a setting towards the bottom left. While this transparency is slightly different than what AutoCAD's print output would create on most plotters it is the safest one to use most often because overlapping colors still display as the same color. Just as it says it uses the darker color of the two. So you can see where the color 254 does not bleed through the Color 253 like AutoCAD's hardcopy output does. Here's a capture of what the Darken transparency looks like.
The only other close option is to use a Multiply transparency. This allows the Color 254 and Color 253 to combine into a darker color like the AutoCAD output. The problem with this is that the way the specifications define the calculations you can get overlapping areas of the same color that end up being darker as can be seen in the Color 91 overlaps. You really can't tell it much in these screen captures but it really shows up in filled areas because the outline is one object in AutoCAD and the fill area is another so the edges end up being darker. It doesn't happen with all colors but it happens enough that we decided to use Darken as the default for AcroPlot. Below is the screen capture using the Multiply transparency.

Problems printing PDF files from Adobe Reader, Acrobat, and most Ghostscript based Reprographics software.

The third problem is that by using the lines merge the rendering or printing software has to do the work to calculate the transparency and final color of the overlapping areas. This is a problem seen in all PDF files that use transparency, not just AcroPlot PDF files. Users have said that it doesn't happen with other PDF Printer Drivers but that is because most PDF printer drivers do not actually support the lines merge from AutoCAD. It may say so when you setup the PC3 file but if you actually look at the results the lines are opaque, not transparent.
While this is no problem on the screen it can be a problem when printing the PDF file depending on which program you are using. This process is called Flattening in Adobe Acrobat and Adobe Reader and can sometime take several minutes because Adobe has never optimized their process to work with large format engineering type drawings.
With Adobe Reader or Adobe Acrobat sometimes you will see a dialog that says it is flattening the PDF file during printing. If the printing process takes a long time you may want to try selecting you printer then hitting the Advanced button in the lower left of the Adobe print dialog. Then there should be a checkbox where you can select to "Print As Image". In the full Adobe Acrobat you can also specify the DPI like 300 or 400 but the free Adobe Reader only has a Print As Image option with no DPI Setting. See Slow Printing from Adobe due to Flattening.
So it's up to each user to decide if they want to enable the lines merge option on the AcroPlot AutoCAD Options Tab or not when converting DWG and DXF files. When converting DWF files or PLT files there are no options and if the original DWF or PLT file contains lines merge we also have to convert it to PDF with the lines merge otherwise the PDF may not be identical to the original file.
Some users have implemented a process where they include a title page in the PDF files that they send out that informs the user that they may have to use the Print As Image option from Adobe Products.
On Oce plotters if you have the Oce-Adobe PDF Option on the controller you should also have no problem. But if you do not then it is probably using the free Ghostscript to do the conversion from PDF to monochrome Tiff and Ghostscript becomes extremely slow with lines merge PDF files. Our AcroPlot Repro will plug-in to replace the Ghostscript and although it is not free it is a fraction of the cost of the Adobe Option from Oce.
KIP Powerprint uses their own conversion engine which also has the same problems as Ghostscript and again our AcroPlot Repro can plug-in to replace their software.
Metaprint also uses Ghostscript so again our AcroPlot Repro is the best solution.
The Xerox Access software unfortunately does not have a plug-in option so you can use our AcroPlot Repro to batch process the PDF files to Tiff and then load the Tiff files into your Access software.


Topic: Plot Transparency Setting Produces Large File Sizes

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Plot Transparency Setting Produces Large File Sizes
  • Previous page
  • Next page

Plot Transparency Setting Produces Large File Sizes

AutoCAD 2011-2013 and Plot Transparency Setting Produces Large File Sizes.

With the release of AutoCAD 2011 Autodesk implemented per object and per layer transparency settings. While this does allow one more options in designing drawings it comes at a price. That price is that Windows System Printers do not work with transparency this way and hence output is rasterized by AutoCAD when you enable the "Plot Transparency" option in the print dialog. Output to postscript and hpgl plotters also gets rasterized and many customers have complained about greatly increased plot time going out to their large format plotters also. Only AutoCAD's own internal DWF and PDF output prevents being rasterized in this case as will our upcoming release of AcroPlot Pro.
Because of this if you are using the "Use Transparency" option in AutoCAD 2011 and newer we strongly advise you TO NOT PRINT DIRECTLY to our PDF-XChange for AcroPlot Pro windows driver. AcroPlot Pro will automatically determine if you are using the "Plot Transparency" option and if so we will do an alternative output to PDF in this case. While it takes a bit longer it will give you the high quality and smaller file size you have come to expect from us.
Below is a screen capture of where you can find the Use Transparency setting in the AutoCAD Plot Dialog.
There is also a new AutoCAD System Variable in AutoCAD 2011 and newer which overrides your settings in the layout.
PLOTTRANSPARENCYOVERRIDE.
0 = Ignores the setting in the Page Setup and forces the plot transparency off for all output.
1 = Uses the setting in the Page Setup. (Default Value)
2 = Ignores the setting in the Page Setup and forces the plot transparency on for all output.
If you don't believe us here is a blog directly from Autodesk that also says it can slow down plotting.
http://heidihewett.blogs.com/my_weblog/2010/04/transparency-display-and-plot-controls-in-autocad-2011.html
http://autodesk.blogs.com/between_the_lines/2010/03/autocad-2011-feature-tips-tricks-transparency.html


Topic: Using True Type Text in AutoCAD

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Using True Type Text in AutoCAD
  • Previous page
  • Next page

Using True Type Text in AutoCAD

Why is my text from AutoCAD not converting as searchable text in the PDF?

Creating PDF files from AutoCAD that allow text searching throughout the entire document and at the highest level of compression, requires the use of True Type Fonts (TTF) in your AutoCAD drawings.
There are some conditions that must be met to ensure proper conversion of True Type Fonts in AutoCAD to PDF. These are AutoCAD limitations in how it determines in the output stream to treat text.
  • 1.
    The width factor must be 1.0. Modifying the width value in AutoCAD will prevent the TTF from converting as text to PDF.
  • 2.
    The oblique angle within the style must be set to 0.0. Modifying the oblique angle in AutoCAD will prevent the TTF from converting as text to PDF.
  • 3.
    The font must not be set to "Fit"
  • 4.
    The font must have a Z coordinate of 0.0
  • 5.
    If the font is part of a block the X and Y scale factors must be the same.
In addition the Adobe PDF Specification specifies a set of 14 fonts that must be available to every PDF reader: Helvetica (normal, bold, italic, bold italic), Times (normal, bold, italic, bold italic), Courier (normal, bold, italic, bold italic), Symbol and ZapfDingbats. So if you use only these fonts in your AutoCAD drawings you do not have to embed the fonts because even if the user does not have the font installed the software that they are using to view the PDF file is supposed to have them. This is also true for Apple, Unix, and Linux systems.
Many firms have AutoCAD drawings that contain more than one font. Some fonts are TTF and others are either SHX or custom fonts. The SHX fonts don't convert as text on PDF files. They convert as outlines and curves which increase the PDF file size dramatically. For a firm to simply stop using a custom font so that the PDF's its designers create are text searchable and smaller in size is like asking an artist to paint with only one brush.
There is a solution. Firms that have custom fonts or SHX fonts that they use on a daily basis as a part of their drawing standards can have these fonts converted into a TTF that will install as a Windows font. By converting their in-house fonts to TTF they will be able to maintain their current drawing standards and enjoy the benefit of creating PDF's that are text searchable and significantly smaller in file size.
TC Fonts is a company that will convert your SHX and custom fonts to true type fonts. You must be specific in letting them know that the SHX font needs to be converted to true type font, because they also have software that will convert true type fonts to many CAD font formats. Click here for the TC Fonts web site.


Topic: Why does my text look jagged from AutoCAD?

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Why does my text look jagged from AutoCAD?
  • Previous page
  • Next page

Why does my text look jagged from AutoCAD?

In AutoCAD's output SHX fonts are always treated as graphics and at times even True Type fonts are treated as graphics. When you zoom in on the text in the PDF some of the characters may appear jagged. Quite often though when you print the PDF to a printer or plotter the text looks fine.
It's common when zoomed in at 2000% in a PDF for the vector fonts to look like this:
There are several reasons for this and it is NOT a bug in the software, it's basically the rules of geometry.
1.) Vector fonts are simply a series of vectors (lines) in AutoCAD. When you create a PDF at say 300 dpi the endpoints of every vector must start and end on a pixel location based on that 300 dpi. So 1/300 gives you a pixel every 0.0033 inches. Now the above text is actually 0.03"x0.06" per letter in the PDF. That means that we have 9 pixels wide by 18 pixels tall to draw the lines of the letter into. That's not much room at all when you think about it.
2.) When AutoCAD is calculating the endpoints for each line of the letter it must round up or down to the nearest pixel. It does not know which direction may make it look better or worse, it just uses pure mathematics to determine the closest one and that is what it outputs to us.
3.) You may say that you don't see this problem when you output to Adobe's PDF driver or to some other PDF driver. The reason for that is that their driver is probably outputting at 600 or 1200 dpi. Fine for some drawings and better for text like this but try getting AutoCAD to output a large format engineering drawing with Aerial images at 1200 dpi. The 300 to 400 dpi range is what we have found works best overall. And remember, the text often looks perfectly fine printed out to paper, just not when zoomed in 2000% or higher in the PDF viewer.
4.) True Type fonts on the other hand only need to have their start point for the line of text to fall on a specific pixel. Beyond that the font information is either stored on the users system or in the PDF itself and the viewing or printing application can render it at the DPI that the device can handle. So on screen it will render cleaner when you are zoomed in 2000% and when you print if the printer is a 300 dpi printer it will be the same. But if the printer is a 600 dpi printer then it can render it at 600 dpi instead of the 300 saved in the PDF. But there are other inherit problems with using True Type Fonts in AutoCAD so please see the following page before deciding to switch everything over to True Type Fonts - Click Here to Learn About Using True Type Text in AutoCAD
5.) If you do want to raise the DPI to a higher value for the vector artwork but would like to keep the images at a lower DPI to make a smaller file we can do that by downsampling the images that AutoCAD sends us. We unfortunately do not have this as a standard setting but it's as a global setting in AcroPlot. Use the Setup > Options menus and then on the PDF Tab you can set the downsample and DPI value for the basic types of images. As a general approximation going down by 50% makes the images 200% smaller in file size because everything is a factor of 4. If you are printing directly to the PDF-XChange for AcroPlot Pro driver then you will find these settings under the Graphics Tab of the drivers Printing Preferences. This does cause longer processing times because AutoCAD actually sends us the image at the DPI you specify in the main settings but then we downsample it to what you want it to be.


Topic: True Type Text Causing Text to be Clipped

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • True Type Text Causing Text to be Clipped
  • Previous page
  • Next page

True Type Text Causing Text to be Clipped

Why is my AutoCAD text missing in the bottom or right edge or shifted on the top or left edge?

AutoCAD Margins Bug with True Type Text Causing Text to be Clipped
AutoCAD has had a bug that Autodesk refuses to fix since AutoCAD 2000. If you notice when you select the PDF-XChange for AcroPlot Pro system printer in AutoCAD it will show that the paper sizes have a 0.125" margin even though the margins in the PDF-XChange for AcroPlot Pro system printer is set to have a 0.0 margin. The reason for this is that somebody, way back when, felt that they should consider any margin less than 0.125" as invalid (probably because in the old days printers couldn't print all of the way to the edge). Autodesk has confirmed this as a bug years ago and assured us that it has nothing to do with our printer driver.
Now normally this wouldn't be a big problem except Autodesk has another bug in the program (again which they refuse to fix) which relates to how True Type Text is sent out. When True Type Text is sent out to a printer as text it has two parts. The first part is the clipping plane that defines what the rectangle is that will clip the text if it is near the edge of a viewport or the edge of the paper. The second part is the actual text information itself. The problem is that Autodesk uses the real margin of the printer for the first part and the assumed (0.125") margin for the second part causing the text to be clipped wrong.
You can see the problem areas highlighted below:

So How do I Get Around the Bug?

1.) Use our AcroPlot Pro or AcroPlot Jr. interface. There are more features like per object transparency that is not supported when going directly to the driver. We will also be releasing versions of AcroPlot Pro that support searchable text for shx and True Type fonts that are not a 1.0 width factor that again cannot be accomplished when printing directly to a PDF driver.
2.) The best way around this is to use a pc3 and pmp file and define the margins in the pmp file to 0.0 for every size paper you print to. This is essentially what we do behind the scenes when you use our AcroPlot Pro or AcroPlot Jr. interface.
3.) Or you could create a Pc3/Pmp (AutoCAD Plotter Configuration) file in AutoCAD and then use the Custom Properties to get to the PDF-XChange for AcroPlot Pro printer driver. Then set the margin to 0.125" there and save the settings so only AutoCAD will use the larger margin value.
4.) Another option is to set the Margin in the PDF-XChange for AcroPlot Pro printer driver to 0.125" for all of your programs. We do recommend this option.
5.) Tha last option is to set the Pc3 file options to Create True Type Text As Graphics although this then creates larger size files typically and you won't have searchable text. We do recommend this option.

Why do I not see this Bug with the Adobe PDF, AutoCAD PDF, or Other Drivers?

The AutoCAD DWF and PDF drivers both bypass the Windows System Printing and hence they do not have this bug in their drivers. But trust us, they have plenty of other bugs with MText Masks, Wipeouts, and larger file sizes. This is why most of our users continue to use AcroPlot Pro to create the best PDF files from AutoCAD.
The Adobe driver and many other PDF drivers are based off of a Postscript printing process instead of the Windows GDI printing that our PDF Driver uses as well as the vast majority of printer drivers. Postscript drivers from AutoCAD always convert text as graphics and they also don't support lines merge. So since the text is not sent out as text there is no clipping planes to send out and the bug doesn't show up. Since the vast majority of users create PDF files through our programs we were not about to go the postscript route and loose out on searchable text and lines merge for our users.
Again don't believe us, try printing it to the Microsoft XPS Document Writer that is included in Windows and you will get similar results as seen below:


Topic: Why are AutoCAD's Textmasks Green or Other Colors?

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Why are AutoCAD's Textmasks Green or Other Colors?
  • Previous page
  • Next page

Why are AutoCAD's Textmasks Green or Other Colors?

There is a bug in the newer versions of AutoCAD (2011 and 2012 for sure) related to the combination of Textmasks and using Lines Merge. It happens to all printer drivers (that support lines merge) when you enable lines merge support in the Pc3 file.
Please note that this is very random that it does happen but we have not been able to determine what in a particular file causes AutoCAD to render the output wrong.
As you can see the same file can vary depending on which print output AutoCAD uses (PDF, DWF, Windows System Driver) but they all have problems when lines merge is enabled on some legacy drawings.
Sometimes it will completely cover the text, other times it might only cover part of it, and still other times it might just be small lines as seen in the DWF example on this file.
If you don't believe us try creating a DWF file with lines merge enabled and you will likely get weird colored or black backgrounds in your textmask and the DWF output is a direct conversion from AutoCAD to file which bypasses the Windows System printing. This to me say the problem lies solely in Autodesk's own code rendering the textmasks, not on our side or windows side of things.
In our testing we tested the following output all of which displayed the problem when lines merge was turned on.
  • •
    Our PDF-XChange for AcroPlot Pro driver.
  • •
    Autodesk's own DWF6 driver.
  • •
    Autodesk's own DWG To PDF driver.
  • •
    Microsoft XPS Document Writer
  • •
    HP Photoshop Premium Inkjet Desktop Printer.
What we have found out so far is:
  • •
    It appears to only happen with legacy drawings or drawings that have had legacy blocks inserted. We have not been able to reproduce the problem when creating a new drawing with Mtext masks and multileader masks.
  • •
    It only happens if you enable lines merge in the Pc3 configuration. Hence this is why it does not happen when going to Postscript based drivers because they do not support lines merge.
  • •
    It happens to MText and Multileader backgrounds.
  • •
    It's related to the background mask. Select all MText and Multileaders in the drawing and turn the Background Mask off and your output will be fine also. Try selecting one of the problem ones and increase it's background mask to 5.0 when you have it turned on and you will see a larger box.
  • •
    In our testing it seams like the background masks set to the drawing background tend to turn out green where colored backgrounds will tend to be partially colored and partially black. Although at times some masks end up being multiple colors.
  • •
    We have tested both with ctb files and without them and it happens both ways.
  • •
    Since it doesn't appear to be a problem in 2010 and prior versions and since 2011 I believe is when they implemented per object transparency I would have to say that they screwed something up when they added that feature in. But that's just my opinion.
  • •
    In my opinion Autodesk has never correctly implemented the whole black/white/background since they allowed you to change the background color. But it looks like we are stuck with it for another 20 years.
If you are a large enough customer and have some pull with your Reseller maybe they can get AutoCAD to fix their bugs. We have reported it but unfortunately it's not a developer problem so we have no pull with the rest of Autodesk. Also it's our experience in the past that they seldom fix what is wrong in the plotting routines, just introduce more bugs. It took them probably 5 or more releases to finally fix the Mtext background masks becoming transparent when you enabled lines merge but now we have even bigger problems with it.


Topic: Why are Images or OLE Object not Printing from AutoCAD?

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Why are Images or OLE Object not Printing from AutoCAD?
  • Previous page
  • Next page

Why are Images or OLE Object not Printing from AutoCAD?

This is typically caused by the Raster Image and OLE Settings on the AcroPlot AutoCAD Options Tab. We set the defaults to what normally works to create the smallest size files without loosing data. Unfortunately sometimes you will have to increase our default settings.
What is happening behind the scenes is that at lower quality AutoCAD itself completely drops out sending the data to us for some reason. It's nothing on our end and can be reproduced going to different plotters also at the same settings. I guess that is why Autodesk put those settings in there to begin with.
Also the newer versions need these settings set higher than older versions. So if you are using AutoCAD 2008 and the setting worked fine there but you upgrade to 2012 you may need to increase those two settings. We don't know why this is but it we have had to increase the defaults a couple times over the last 10 years due to their new releases.
Also, as far as images, it tends to drop out monochrome images before color ones. Again, not sure why but that is what we have seen in the past.


Topic: Could Not Get the AutoCAD Blocks Collection

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Could Not Get the AutoCAD Blocks Collection
  • Previous page
  • Next page

Could Not Get the AutoCAD Blocks Collection

Why do I get an error that it cannot find the AutoCAD Blocks Collection?

This error is typically caused by an error in the Windows Registry with respect to AutoCAD's ActiveX interface. The only way to fix this is to either repair or reinstall AutoCAD. There have been a couple cases where it was a conflict with some other 3rd party software but 95% of the time this is a registry problem.
Typical Causes Of AutoCAD Registry Errors
There are several things that can cause an error in the Windows Registry but the most common causes are:
1. You ran a registry cleaning software that removed some of the AutoCAD registry entries. The AutoCAD installation Read
2. You are running multiple versions of AutoCAD on your computer. If you are running multiple versions it is HIGHLY RECOMMENDED that you always run in Power User or Administrator mode so AutoCAD can properly write to the registry. When running as a Normal User or Restricted User you may not be able to write to the HKEY_LOCAL_MACHINE portion of the registry and hence AutoCAD may not be able to properly update the registry values when you switch between the different version. To make matters worse Windows only has one "AutoCAD.Application" object in the registry and this will point to the current version that was used last. So it may point to:
"AutoCAD.Application.15" = AutoCAD 2000, AutoCAD 2000i, or AutoCAD 2002
"AutoCAD.Application.16" = AutoCAD 2004
"AutoCAD.Application.16.1" = AutoCAD 2005
"AutoCAD.Application.16.2" = AutoCAD 2006
"AutoCAD.Application.17.0" = AutoCAD 2007
"AutoCAD.Application.17.1" = AutoCAD 2008
"AutoCAD.Application.17.2" = AutoCAD 2009
"AutoCAD.Application.18" = AutoCAD 2010
"AutoCAD.Application.18.1" = AutoCAD 2011
"AutoCAD.Application.18.2" = AutoCAD 2012
"AutoCAD.Application.19" = AutoCAD 2013
Then add to that the fact that ADT, MDT, LDDT, and AutoCAD are all really considered "AutoCAD.Application".
3. You uninstalled an older version of AutoCAD after installing the newer version. This is why Autodesk recommends uninstalling the old version first before installing the new version. Essentially the old version was never designed to check for the new version and hence it may uninstall registry keys or files that the new version needs.
How To Fix The Registry In AutoCAD 2004 and newer
Please search the AutoCAD help for "Reinstall or Repair AutoCAD" and follow the steps there. Basically you are going to want to be logged in as the "Administrator" on your computer and either insert the original installation CD or use the Control Panel - Add or Remove Programs to Reinstall or Repair the installation. Then select the Repair Option and then the Repair Registry.
How To Fix The Registry In AutoCAD 2000 - 2002
1. Check the AutoCAD help but basically you are stuck reinstalling AutoCAD because they didn't have the registry repair option until AutoCAD 2004.


Topic: Windows 7 (and Vista) and Older Versions of AutoCAD

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Windows 7 (and Vista) and Older Versions of AutoCAD
  • Previous page
  • Next page

Windows 7 (and Vista) and Older Versions of AutoCAD

Autodesk only officially supports AutoCAD 2010 and newer on Windows Vista and Windows 7. Older versions were not designed for the Vista UAC(User Account Controls) and security built into Vista and Windows 7. AutoCAD 2002 wasn't even designed for Windows XP.
Then there's the whole problem with 64 bit operating systems and how 32 bit programs have to be designed slightly differently for 64 bit operating systems.
While the newer versions of AcroPlot are compatible with Windows 7 it doesn't mean that we are going to be able to drive older versions of AutoCAD externally on Windows 7. Getting an older version of AutoCAD to run on Windows 7 is one thing. Getting a program to be able to drive an older version of AutoCAD is a whole different problem.
AcroPlot is officially supported on Windows 7 but only with versions of AutoCAD (2010 and newer) that are also supported on Windows 7.
For older versions of AutoCAD on Windows 7 you will likely have to set both AutoCAD and AcroPlot to Run As Administrator because the older version of AutoCAD likely needs elevated rights to run. You will also likely have to set AutoCAD to run in Windows XP, SP3 emulation mode.
Now you may ask why AcroPlot would have to be set to Run As Administrator when it is Windows 7 compatible and you want to use a version of AutoCAD before 2010. The reason is because of the Windows UAC and a program cannot start another program that requires higher privileges. So if AcroPlot is running as a normal user and it tries to start AutoCAD 2002 which you have set to Run As Administrator then it will fail. At this point you can either run AcroPlot from inside of an already opened AutoCAD or you will have to set AcroPlot to Run As Administrator also.
Here is a good write up of how to get older versions of AutoCAD to run on Windows 7.
http://www.longbowsoftware.com/Tips_and_Tricks.php


Topic: Why Does it Improperly List My AutoCAD Layouts?

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Why Does it Improperly List My AutoCAD Layouts?
  • Previous page
  • Next page

Why Does it Improperly List My AutoCAD Layouts?

Trying to determine if a user would like to print the modelspace of the paperspace while batch processing is no easy task. For users that have strict standards setup it should be no problem because they typically put a titleblock in the paperspace and then we can easily tell that the layout should be plotted. But for those of you who insist on following the old practice of putting your titleblock in modelspace and then using just a viewport in paperspace to show the paperspace view, there is no way for AcroPlot to determine if you want to print from the modelspace or from the paperspace. In most cases we will assume that this is just one of the generic layouts that AutoCAD creates and we will not list it.

Our basic criteria for not listing a paperspace layout is:

  • 1.
    If the drawing is R13 or older than there will be no paperspace layouts to list and the modelspace will be converted instead.
  • 2.
    If the drawing is R15(2000) or newer and the programming call to return the paperwidth is 0.0 then we will not list it. This means that the pagesetup has never been issues. Even if you had never printed in AutoCAD there is typically a printer assigned to the layout if you had accessed it.
  • 3.
    If there is only 1 modelspace viewport on the paperspace layout then we will assume that it is not a valid layout and will not list it. If you do use your layouts this way then under the Setup > Change Setup Options you can check the "Always convert empty layouts" on the AutoCAD Tab to force it to list and covnert these.

Some things you can do to force it to list your layouts:

  • 1.
    If you do use just a single modelspace viewport in paperspace then you can force it to list the layout. Under the Setup > Change Setup Options you can check the "Always convert empty layouts" on the AutoCAD Tab to force it to list and convert these.
  • 2.
    Add your titleblocks into the paperspace instead of the modelspace. This is the way that AutoCAD is designed to work and the new Sheet Set Manager in 2005 basically required it to work properly.
  • 3.
    You could also draw a rectangle around the outside of the viewport in paperspace and then place it an an unplottable layer or turn off it's visibility.


Topic: Could Not Get The AutoCAD Blocks Collection

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Could Not Get The AutoCAD Blocks Collection
  • Previous page
  • Next page

Could Not Get The AutoCAD Blocks Collection

This error is typically caused by an error in the Windows Registry with respect to AutoCAD's ActiveX interface. The only way to fix this is to either repair or reinstall AutoCAD. There have been a couple cases where it was a conflict with some other 3rd party software but 95% of the time this is a registry problem.

Typical Causes of AutoCAD Registry Errors

T

here are several things that can cause an error in the Windows Registry but the most common causes are:
  • •
    You ran a registry cleaning software that removed some of the AutoCAD registry entries. The AutoCAD installation Read
  • •
    You are running multiple versions of AutoCAD on your computer. If you are running multiple versions it is HIGHLY RECOMMENDED that you always run in Power User or Administrator mode so AutoCAD can properly write to the registry. When running as a Normal User or Restricted User you may not be able to write to the HKEY_LOCAL_MACHINE portion of the registry and hence AutoCAD may not be able to properly update the registry values when you switch between the different version. To make matters worse Windows only has one "AutoCAD.Application" object in the registry and this will point to the current version that was used last. So it may point to:
  • •
    "AutoCAD.Application.15" = AutoCAD 2000, AutoCAD 2000i, or AutoCAD 2002
  • •
    "AutoCAD.Application.16" = AutoCAD 2004
  • •
    "AutoCAD.Application.16.1" = AutoCAD 2005
  • •
    "AutoCAD.Application.16.2" = AutoCAD 2006
Then add to that the fact that ADT, MDT, LDDT, and AutoCAD are all really considered "AutoCAD.Application".
  • •
    You uninstalled an older version of AutoCAD after installing the newer version. This is why Autodesk recommends uninstalling the old version first before installing the new version. Essentially the old version was never designed to check for the new version and hence it may uninstall registry keys or files that the new version needs.

Why you shouldn't run more than one version of AutoCAD on a computer

  • •
    The most important reason is that it is illegal if you purchased an upgrade to keep the old version installed past 120 days. Read the License.rtf in the AutoCAD folder if you don't believe me. Legally you are just as liable as having a license that you did not pay for after the 120 day period. Now we haven't heard of Autodesk even enforcing it but if you do get audited you could end up paying a heathy sum of money.
  • •
    In the case of AutoCAD 2004-2006 the file formats are essentially the same and all files created in 2006 should open perfectly fine in 2004. So it makes very little sense to have both installed at the same time unless you have custom programs that do not run in the newer version.

How to Fix the Registry in AutoCAD 2004 - 2006

Please search the AutoCAD help for "Reinstall or Repair AutoCAD" and follow the steps there. Basically you are going to want to be logged in as the "Administrator" on your computer and either insert the original installation CD or use the Control Panel - Add or Remove Programs to Reinstall or Repair the installation. Then select the Repair Option and then the Repair Registry.
How To Fix The Registry In AutoCAD 2000 - 2002
1.
Check the AutoCAD help but basically you are stuck reinstalling AutoCAD because they didn't have the registry repair option until AutoCAD 2004.


Topic: Why are There Lines Showing in My Solid Fills?

×

  • Troubleshooting
  • AutoCAD Related Troubleshooting
  • Why are There Lines Showing in My Solid Fills?
  • Previous page
  • Next page

Why are There Lines Showing in My Solid Fills?

AutoCAD and most CAD programs approximate solid fill areas by drawing anywhere from two to several hundred triangles to approximate the area. They do this because printer drivers do not recognize filling the complex areas so AutoCAD approximates it based on the triangles that printer drivers will understand. Much like how solid meshes are used to approximate complex 3D objects.
And even though the endpoints of the triangles are written identical in the PDF format the rendering engines of PDF Viewers will typically end up showing dashed lines between some of the triangles when they scale the endpoints to the screen which is much lower resolution than the PDF. An 8.5x11.0 PDF at 600 DPI would be 5100x6600 pixels which is considerably higher than today's computer screen resolutions.
Below is a sample of standard solid fill output from AutoCAD to most PDF drivers.
Many PDF Viewers also perform antialiasing on the graphics to make them appear smoother on the screen. If you zoom in on a 1 pixel wide line drawn at 45 degrees it essentially will look like a set of stairs. Antialiasing adds lighter colored pixels around the line to simulate a smoother line to the human eye.
Below is a sample of a standard line on the left and an atialiased line on the right.
The antialiasing is typically what causes the lighter colored lines shown in the solid fill areas from CAD files.

AcroPlot to the Rescue

We realized the shortcoming of the PDF Format and PDF Viewers over a decade ago and have worked hard to provide optimization routines to piece the solid fill triangles back together into complex closed solid fill polyline. Not only does this make the PDF smaller in size but it also helps to reduce the chance of PDF Viewers displaying the lines in solid fill areas.
Below is a sample of the same output through our AcroPlot products.
If you are printing through our AcroPlot program and are still seeing the lines in your solid fill areas it's likely that you have the Optimize solid fills set to None. Please run the AcroPlot program and go to the Setup > Options menus and then check on the PDF tab that the Optimize solid fills is set to Simple as shown below.
If you are still experiencing problems with your files after you make sure that the Optimize Solid fills is set to Simple please open a help ticket on our site at www.cadzation.com/support.htm and perform an etrasmit of the problem file and attach the zip file and the PDF file that you created to the ticket so we can test it and see if we can improve on the output.


Topic: Viewing and Printing PDF Files in Adobe Reader or Other Viewers

×

  • Troubleshooting
  • Viewing and Printing PDF Files in Adobe Reader or Other Viewers
  • Previous page
  • Next page

Viewing and Printing PDF Files in Adobe Reader or Other Viewers

<TODO>: Insert description text here... And don't forget to add keyword for this topic

The contents of Viewing and Printing PDF Files in Adobe Reader or Other Viewers

The PDF Doesn't Print To Scale From Adobe Reader
Printing Lines Merge PDF Files To Your Plotter
Slow Printing from Adobe due to Flattening
Adobe's "Enable for Commenting in Adobe Reader" Feature


Topic: The PDF Doesn't Print To Scale From Adobe Reader

×

  • Troubleshooting
  • Viewing and Printing PDF Files in Adobe Reader or Other Viewers
  • The PDF Doesn't Print To Scale From Adobe Reader
  • Previous page
  • Next page

The PDF Doesn't Print To Scale From Adobe Reader

If the PDF that AcroPlot creates looks correct but it doesn't print to scale then it is likely that you have the settings on in Adobe to resize the plot to fit the page.
Basically all printers and plotters have an unprintable area (margins) on the page. For example, if you had enabled the Pc3 and Pmp files then the resulting PDF file could have an image that is exactly 8.5" x 11" inches. If you try to print this to an HP Inkjet that has a top margin of 0.25" and a bottom margin of 0.47", then the resulting length that it can actually print the image on is 10.28 inches. To fit the entire plot, the Adobe Reader may have to plot at a scale of 10.28/11.0 or 93%. Since the Adobe products will actually look at the area that includes and image you never really know what scale you may get.
To fix this problem make sure that "None" is selected in the Page Scaling / Shrink to Printable Area dropdown box.
Do NOT select:
  • •
    Fit to Printable Area
  • •
    Shrink to Printable Area


Topic: Printing Lines Merge PDF Files To Your Plotter

×

  • Troubleshooting
  • Viewing and Printing PDF Files in Adobe Reader or Other Viewers
  • Printing Lines Merge PDF Files To Your Plotter
  • Previous page
  • Next page

Printing Lines Merge PDF Files To Your Plotter

Although the transparency that is used for lines merge has been part of the Adobe PDF Specifications since version 1.4 (Acrobat 5.0), the Adobe Reader is not optimized for viewing or printing large format PDF files with transparency in them. What the Adobe Reader (or any PDF Viewer) had to do is actually flatten the transparency of every item in the PDF file that has transparency applied to it. This process involves looking at each item and all the items below it and calculating the resulting colors. The overlapping regions then basically become new objects in the PDF file when they are sent to the printer. This process can be quite time consuming on large drawings for some printers. The Adobe Reader and Adobe Acrobat have an option called Print As Image that dramatically reduces this time for most printers and plotters.

Enabling Print As Image In Adobe Reader 9.0 Products And Higher

To upgrade to the latest version of Adobe Reader click the following link - http://www.adobe.com/products/reader.html
1. From the Print dialog click the Advanced button.

2. Check the Print as image box

Enabling Print As Image In Adobe Acrobat X Products And Higher

1. From the Print dialog click the Advanced button

2. Check the Print As Image box

Some other hints for improving hardcopy plotting

  • 1.
    Create the PDF with the same resolution that you are going to print it out at. If you create a PDF at 1200 dpi but are only going to print it at 400 dpi Adobe will basically have to resample the image for the new dpi.
  • 2.
    Make sure that the computer and the printer have plenty of memory. Test show that even without lines merge render the PDF to a printer or plotter may produce 200+ MB spooler sizes. The PDF file format is optimized for file size, not for plotting engineering size drawings.
  • 3.
    For Océ plotters with Repro Desk Software make sure that they are not using the generic Ghostscript with Repro Desk. Only the Adobe output option will support lines merge, Ghostscript does not currently support any of the transparency features of the newer PDF specifications.
  • 4.
    Try updating your printer or plotters device driver to the latest version.


Topic: Slow Printing from Adobe due to Flattening

×

  • Troubleshooting
  • Viewing and Printing PDF Files in Adobe Reader or Other Viewers
  • Slow Printing from Adobe due to Flattening
  • Previous page
  • Next page

Slow Printing from Adobe due to Flattening

Why do I see a Flattening File dialog when I print PDF files from Adobe Acrobat or Adobe Reader?

If you are printing a PDF file from Adobe Acrobat or Adobe Reader and you see a dialog that says it's Flattening the PDF and it takes forever to do it, then you are likely printing a PDF file with transparency (lines merge).
It has nothing to do with our PDF files and the problem is caused by any PDF file that uses transparency. The main problem is that Adobe refuses to optimize their print process for large format engineering size drawings since the vast majority of PDF files are 8.5x11 Letter size documents.
Here's a few solutions to this problem.
1.) In AcroPlot you can uncheck the Lines Merge option on the AutoCAD Options tab. This usually is not acceptable since most users want or need to create PDF files so they do not have to worry about the draw order of objects in AutoCAD.
2.) In Adobe Acrobat or Adobe Reader you can select your printer and then hit the Advanced button in the lower left of the Adobe Printer Dialog. Then check the Print As Image option and if it also has an option for the dpi try 300 or 400 dpi. This way Adobe will convert the PDF to an image prior to sending it to the printer and it's the solution Adobe recommends for any printing problems from Acrobat or Reader.
3.) Try using our AcroPlot Matrix software to send your PDF files to the plotter.
For more information please watch our short 3 minute video below.


Topic: Adobe's "Enable for Commenting in Adobe Reader" Feature

×

  • Troubleshooting
  • Viewing and Printing PDF Files in Adobe Reader or Other Viewers
  • Adobe's "Enable for Commenting in Adobe Reader" Feature
  • Previous page
  • Next page

Adobe's "Enable for Commenting in Adobe Reader" Feature

Does AcroPlot support the "Enable Commenting for Adobe Reader" feature that is in Adobe Acrobat Pro?

Unfortunately the "Enable Commenting in Adobe Reader" function of the Adobe Acrobat Pro software is not a feature that we can support with our software or that any other third party vendor can support.
While we would love to support it this feature is not part of the official ISO PDF specification and it's Adobe's attempt to use their monopoly with the free Adobe Reader and screw the rest of the PDF world. Where the remainder of the security features like allowing printing or modifying the document are basically a setting in the format the "Enable Commenting in Adobe Reader" is controlled by Adobe by the use of a private key to generate the required digital certificate value for each PDF.
We have tried in the past to automate Adobe Acrobat Pro to enable this value if you also have Adobe Acrobat Pro installed but that also has been unsuccessful. It appears that Adobe does all they can to prevent it so you would have to buy their Lifecycle Designer to batch enable PDF files for the "Enable for Commenting in Adobe Reader" feature.
We suggest you tell your clients to use our AcroPlot Matrix or one of the other third party PDF Viewer and Markup tools instead of relying on the Adobe Reader.


Topic: Set and Restore Windows File Associations

×

  • Troubleshooting
  • Set and Restore Windows File Associations
  • Previous page
  • Next page

Set and Restore Windows File Associations

Windows File Association also known As Default Programs allows you to tell Windows what program you would like to use to open a specific file type.

Setting File Associations to Open In AcroPlot Matrix

This is the easy part. Just run AcroPlot Matrix then choose the Edit > Set File Associations. The Default Programs dialog box should appear and you can pick which extensions you would like to associate with the program.

Resetting File Associations to open in a different program.

Unfortunately Windows does not make it easy to reset the File Associations. We have never understood why except that Microsoft tends to do lots of stupid stuff to make it hard for the user. It would be very simple for them to cache what the old value was and allow you to uncheck one or all of the values on the Default Programs Dialog but they actually gray out the ones which you have set to open with a program..
Instead you need to run the Control Panel > Programs > Default Programs > Set Associations dialog. You can also in Windows 8 find it by searching for Default Programs and then selecting the "Associate a file type or protocol (such as .mp3 or http://) always open in a specific program" option. Both of these will take you to the File Association Dialog which you will have to pick each extension you would like to change and then use the button in the upper right to "Change Program.." and select a program from the list. If the program you want to use is not shown in the list you can always browse to it.


Topic: Why does AcroPlot not work with my Office 2010 and Newer?

×

  • Troubleshooting
  • Why does AcroPlot not work with my Office 2010 and Newer?
  • Previous page
  • Next page

Why does AcroPlot not work with my Office 2010 and Newer?

AcroPlot drives Microsoft Office through an out of process means called COM or ActiveX. In previous versions of Office this was never a problem.
But starting with Office 2010 Microsoft creates two types of Office installations. The old full MSI installation and a newer technology they call Click-to-Run which downloads and installs Office in a virtualized environment.
AcroPlot functions perfectly fine with the full install of Microsoft Office which is probably what the majority of business users install.
But the Click-to-Run version is another story. The downside of the Click-to-Run version is that by design it does not allow outside programs to drive Office so we result in doing a default Windows Print To function similar to what would happen if you right click on a Word file in Windows Explorer and do the Print To option. This often works fine but it doesn't always give us 100% control over the output like we can with driving Office directly.
For more information and options to install the full version see the following Microsoft Article.
Click to read Microsoft KB Article #982431 - Office 2010 Click-to-Run compatibility with add-ins.
Microsoft also has the following article to tell if you have the Click-to-Run version installed by looking at the registry if you are comfortable using the Registry Editor.
http://msdn.microsoft.com/en-us/library/ff522355.aspx


Topic: Working with PLT Files

×

  • Troubleshooting
  • Working with PLT Files
  • Previous page
  • Next page

Working with PLT Files

Unlike PDF files which are created to be viewed PLT files are created to be printed or plotted to a specific printer or plotter. PLT is not even a format, it's merely a file extension that programs use to specify that it is a plot ready file. AcroPlot and AcroPlot Repro can properly read the vast majority of HPGL and HPGL/2 "PLT" files out there. HPGL and HPGL/2 was a plotter format designed and published by HP back in the 80's and 90's. There hasn't been an official update to the published format for over a decade that we know of.

Why won't AcroPlot or AcroPlot Repro convert my PLT file?

Most likely the "PLT" file is not really an HPGL or HPGL/2 format. AutoCAD will use the PLT extension for any plotter driver that you choose the plot to file with. This may include a Postscript driver, a PCL driver, or even a driver for say an Epson inkjet printer that might use a proprietary program. While most large format plotters worked with the HPGL format many also shipped a postscript version of their drivers also.
As such we cannot work with these file types. If it is a know file type such as PDF or Postscript (if you have Ghostscript installed) we will be able to determine that and convert it anyway.
We have also rarely ran into files which are basically an HPGL or HPGL/2 format file with specific extensions to the format added by a plotter manufacturer. Since the official format has not been updated in over a decade manufacturers have added their own programming codes to it to support specific features for their plotter. If we do convert it but something is not correct in the results please upload the problem file to our support desk so we can see if we can support their changes.

Why are my PLT files rotated different directions?

Again since the PLT files were created to plot to a specific plotter they might be rotated based on a the width of the plotter. If a 24x36" drawing was plotted to a 24" wide plotter it would have had to be rotated 90 degrees. But to a 36" wide plotter it most likely would not have been rotated.
We do have a feature on the Pro Options Tab in AcroPlot Pro which will allow you to "Force to landscape rotation". There is also a "Force to landscape default rotation" (Landscape default rotation in some versions) of either 90 or 270 degrees to control if you want portrait drawings rotated CW or CCW when they are rotated to landscape. Unfortunately this is mainly a trial and error type process with your specific files.
Also to make matter worse AutoCAD has always allowed you to plot the file upside down also. This was sometimes used by specific users to make their drawing stand out against all the other users drawings in the stack at times. If you run into Landscape drawings which are upside down you can set the "Rotate landscape files 180 degrees" to On.
You can also use the AcroPlot Pro preview to look at each PLT file and manually rotate it prior to converting it.


Topic: Troubleshooting the Installer

×

  • Troubleshooting
  • Troubleshooting the Installer
  • Previous page
  • Next page

Troubleshooting the Installer

If for some reason the installer will not run on your system it would be helpful if you could please create the MSI installer log files and open a helpdesk ticket on our site and attach them to the ticket.
To enable the creation of the log files we need to first create a folder to save them in and then pass command line parameters to the acroplotsetup.exe
1.) First create a folder in your C:\ drive called TempAcroPlot for the files to be written to.
2.) Then right click on the acroplotreprosetup.exe and do the "Send to" option and then the "Desktop (create shortcut)" option.
3.) Once you have the shortcut created on your desktop please right click on the shortcut and do the "Properties" option.
4.) In the Target box after the ...acroplotsetup.exe" you will need to add a space and then paste the following line in.
/debuglog"C:\TempAcroPlot\setupexe.log" /V"/L*v c:\TempAcroPlot\SetupMSI.log"
So it should look something like this:
"C:\YourLocation\acroplotreprosetup.exe" /debuglog"C:\TempAcroPlot\setupexe.log" /V"/L*v c:\TempAcroPlot\SetupMSI.log"
The important thing is that it needs a space between the acroplotreprosetup.exe" and the /debuglog
Then just double click on the shortcut to run the installer and when it fails please send us the two log files it creates in the C:\TempAcroPlot folder.


Topic: Technical Support

×

  • Technical Support
  • Previous page
  • Next page

Technical Support

Technical support for AcroPlot Pro is best handled by visiting our online helpdesk at:
www.cadzation.com/support.htm
From there you can both search our knowledge base and also submit a new support request. You can also upload any files that you may be having problems with as long as they are under 6 MB in size.
We have found in the past that pure email support is too unreliable with customer's email servers filtering out our emails at times. The online helpdesk allows you to log in and check the status at any time in case you do not receive our emails.


Topic: Copyrights and Trademarks

×

  • Copyrights and Trademarks
  • Previous page
  • Next page

Copyrights and Trademarks

Copyright © 2001-2024 CADzation LLC. All rights reserved.
Portions Copyright © 2003-2024 Black Ice Software, LLC. All rights reserved.
Portions Copyright © 1998-2024 Developer Express Inc. All rights reserved.
Portions Copyright © 2002-2024 Glyph & Cog. All rights reserved.
Portions Copyright © 1995-2024 Jean-loup Gailly and Mark Adler. All rights reserved.
Portions Copyright © 1995-2024 by Inner Media, Inc. All Rights Reserved.
Portions Copyright © 1998-2024 Open Design Alliance. All rights reserved.
Portions Copyright © 1988-1998 Sam Leffler. All rights reserved.
Portions Copyright © 1991-1998 Silicon Graphics, Inc. All rights reserved.
Portions Copyright © 2001-2024 Tracker Software. All rights reserved.
Portions Copyright © 1996-2024 URW++ and those portions only are released under the LaTeX Project Public License. All rights reserved.
This product includes software developed by vbAccelerator (http://vbaccelerator.com/).
"CADzation", the CADzation logo, "AcroPlot", "AcroPlot Pro", "AcroPlot Auto", "AcroPlot Matrix", and "AcroPlot Repro" are trademarks of CADzation.
"Adobe", the Adobe logo, "Acrobat", the Acrobat logo, and "Postscript" are trademarks or registered trademarks of Adobe Systems Incorporated.
"Microsoft", "Access", "Excel", "Frontpage", "Windows", Windows 95, Windows 98, Windows NT 4.0, Windows 2000, Windows XP, Windows 7, Windows 8, Windows 10, Windows 11, Word, and their logos are trademarks or registered trademarks of Microsoft Corporation.
KIP Powerprint and Starprint are registered trademarks of KIP America. KIP America is a registered trademark of KIP America, Incorporated.
“American Reprographics Companysm”, “ARCsm”, “Abacus PCRtm”, “BidCastersm”, “EWOsm”, “MetaPrinttm”, “OneViewsm”, PEiRsm”, PlanWell®”, “PlanWell PDStm”, “PlanWell Enterprisesm”, are servicemarks, trademarks, or registered trademarks of American Reprographics Company.
"Océ", ‘’Repro Desk, "Océ Power Logic" and the "Océ" logo are registered trademarks, and "Océ Client Tools" is a trademark of Océ-Technologies B.V.
All other brand and product names are trademarks or registered trademarks of their respective companies.


Topic: Revision History

×

  • Revision History
  • Previous page

Revision History

Please visit our website at www.cadzation.com/revisions.htm for a listing of the major revision history.